# Generated automatically. Do not edit.

commit c804fee52dac41b33dbf13769c2c5478cacbe59a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-21

    Release version 3.3.2

 NEWS |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit eaf2212371b732b6824bdd2f5d514f2ac8f5420a
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:   2011-11-18

    [l10n] Updated German translation

 po/de.po |  240 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 128 insertions(+), 112 deletions(-)

commit 87f37b935be4c160db0cf1a3370ad9e98ea08e92
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-18

    Updated Spanish translation

 po/es.po |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 751dc434459f5990aadb409dd2b950e4c291e923
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-11-17

    Updated Spanish translation

 po/es.po |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

commit 3c2bad03d8970353f8493a7a327f6c54948694a3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    Release version 3.2.2

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 6072b306123008647a640ede6883e63ed5a675e0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    pgp: Don't load signatures unless showing key properties
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662088

 pgp/seahorse-gpgme-key.c          |    8 +++++++-
 pgp/seahorse-gpgme-key.h          |    2 ++
 pgp/seahorse-pgp-key-properties.c |    4 +++-
 3 files changed, 12 insertions(+), 2 deletions(-)

commit 1a2147b2003b1f52dc9ab860d6cb70bb56a1f629
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    pgp: Fix issues adding key servers
    
     * Make all key server types show up
     * Fix validation code for hkp server type
     * These were regressions because of port to GTK+3

 libseahorse/seahorse-prefs.c |   11 +++++------
 pgp/seahorse-hkp-source.c    |    2 +-
 2 files changed, 6 insertions(+), 7 deletions(-)

commit 9deebce839f32ed5e2cc7ae18c835feb52bc5a2f
Author: Vincent Untz <vuntz@gnome.org>
Date:   2011-10-13

    Fix crash when adding a non-LDAP keyserver
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661683

 libseahorse/seahorse-prefs.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 049fed8df401bd295cad0205ab66cb368c49d435
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-14

    Updated Spanish translation

 po/es.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f2c61630234c01ea6b19535cc1ae17c3b2f8456f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-14

    Updated Spanish translation

 po/es.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit beac8e60c8ac3a43684a00e04900f121e4b4375e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-14

    Updated Spanish translation

 po/es.po |  120 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 61 insertions(+), 59 deletions(-)

commit d83bf011b7c549664eb6bb1edb7a7c03fea42060
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    Fix seahorse so it doesn't crash if gpg or gpg2 don't load.
    
     * Print out informative message when creating a gpgme context fails
     * Rework all code paths to handle such failures.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659529

 pgp/seahorse-gpg-options.c        |   80 ++++++++++----------
 pgp/seahorse-gpgme-key-op.c       |   79 ++++++++++++--------
 pgp/seahorse-gpgme-key.c          |    5 +-
 pgp/seahorse-gpgme-keyring.c      |  147 ++++++++++++++++++++-----------------
 pgp/seahorse-gpgme-keyring.h      |    3 +-
 pgp/seahorse-pgp-key-properties.c |    9 ++-
 6 files changed, 177 insertions(+), 146 deletions(-)

commit 5174d6c314583ae800e884875fc602ffc20884d0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-14

    Fix build warnings for uninitialized variables

 pgp/seahorse-gpgme-key-op.c       |    2 +-
 pgp/seahorse-ldap-source.c        |    2 +-
 pgp/seahorse-pgp-key-properties.c |    4 ++--
 src/seahorse-key-manager.c        |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit 553461e0f2be494406cbce2ecc9cc0af39711fff
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2011-11-14

    Transform translation context to a comment.
    
     * Its localization was not working, and using a context is not necessary
        anymore.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661481

 libseahorse/seahorse-viewer.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 235c665691199e2b92d740685ea276df9b065cd3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-11-13

    Updated Norwegian bokmål translation

 po/nb.po |  363 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 154 insertions(+), 209 deletions(-)

commit db595b25ee11e3dd39b13d06c9d81ac5ba30f6d9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-11-10

    Updated Galician translations

 po/gl.po |   61 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 35 insertions(+), 26 deletions(-)

commit cca696c5c47ca0eb1e405236e1ebf0c87cca01b1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-08

    Updated Spanish translation

 po/es.po |   88 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 45 insertions(+), 43 deletions(-)

commit 496f6adfe5017993401cc335f4e839a925c932e8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-11-07

    Updated POTFILES.in

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 20e66860aaa71b5033511d33f8afcfc5c1a2e9bc
Author: Andre Klapper <a9016009@gmx.de>
Date:   2011-11-07

    Remove non-existing file from POTFILES.in to make xgettext work

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 27a2ede548cab9f035a542d4b052a12d652716bf
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-07

    Make the properties viewer work for keys and certificates.

 pkcs11/Makefile.am                         |    2 +-
 pkcs11/seahorse-certificate.c              |   42 ++++--
 pkcs11/seahorse-certificate.h              |    6 +-
 pkcs11/seahorse-pkcs11-actions.c           |   32 +----
 pkcs11/seahorse-pkcs11-certificate-props.c |  228 -------------------------
 pkcs11/seahorse-pkcs11-certificate-props.h |   75 --------
 pkcs11/seahorse-pkcs11-properties.c        |  251 ++++++++++++++++++++++++++++
 pkcs11/seahorse-pkcs11-properties.h        |   45 +++++
 pkcs11/seahorse-private-key.c              |   20 +-
 pkcs11/seahorse-private-key.h              |    4 +-
 pkcs11/seahorse-token.c                    |   16 +-
 11 files changed, 354 insertions(+), 367 deletions(-)

commit 2922282354301d0cbf53008af9e15fb52d3a67c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-06

    Use ngettext for strings that are only pluralized
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659469

 pgp/seahorse-pgp-actions.c |   15 ++++++++++++---
 ssh/seahorse-ssh-actions.c |    5 ++++-
 2 files changed, 16 insertions(+), 4 deletions(-)

commit b0110cf2a62a43e6509053b164638451efc76fdc
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-11-06

    Updated Spanish translation

 po/es.po |   76 ++++++++++++++++++++++++-------------------------------------
 1 files changed, 30 insertions(+), 46 deletions(-)

commit 74f04792d4b9126a94d408f745b3e0e7c0e9cca5
Author: Algimantas Margevičius <gymka@mail.ru>
Date:   2011-11-06

    Updated Lithuanian translation

 po/lt.po | 2845 ++++++++++++++++++--------------------------------------------
 1 files changed, 833 insertions(+), 2012 deletions(-)

commit 610039e4494aed5f42bcfa0b1e5bd6b3c92c42bf
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-11-05

    [l10n] Updated German translation

 po/de.po |  321 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 171 insertions(+), 150 deletions(-)

commit c2c1c376d3d763863b2b7cdc0dbe535446208b56
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-11-04

    Updated Spanish translation

 po/es.po |  281 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 151 insertions(+), 130 deletions(-)

commit b872b8774d247ea555d2584fcd7af4eb44075921
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-11-04

    Updated Galician translations

 po/gl.po |  245 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 135 insertions(+), 110 deletions(-)

commit 2f9873a8fcab14b9fc12045e91a40c857afc9545
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-11-03

    Updated POTFILES.in

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2c778d59082eefae39531441b6524b132667ad18
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    pkcs11: Add private key text and icon

 pkcs11/seahorse-private-key.c |  110 +++++++++++++++++++++++++++++++++++++----
 pkcs11/seahorse-private-key.h |    2 +
 2 files changed, 102 insertions(+), 10 deletions(-)

commit 57d1e9d0ff77cfb26654df69becaf53b617442ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    pkcs11: Matching certificates and keys into a single item
    
     * Also fix regression of setting appropriate place on pkcs11 items

 pkcs11/seahorse-certificate.c |  105 ++++++++++++-
 pkcs11/seahorse-certificate.h |   10 +-
 pkcs11/seahorse-private-key.c |   53 ++++++-
 pkcs11/seahorse-private-key.h |    8 +-
 pkcs11/seahorse-token.c       |  363 +++++++++++++++++++++++++++++++----------
 5 files changed, 441 insertions(+), 98 deletions(-)

commit a74369551cb929d7792127792c90d39bd2dc4200
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-03

    pkcs11: Initial support for listing (but not showing) private keys

 pkcs11/Makefile.am            |    1 +
 pkcs11/seahorse-private-key.c |  170 +++++++++++++++++++++++++++++++++++++++++
 pkcs11/seahorse-private-key.h |   51 ++++++++++++
 pkcs11/seahorse-token.c       |  163 ++++++++++++++++++++++++++++++++--------
 pkcs11/seahorse-token.h       |    5 +
 5 files changed, 359 insertions(+), 31 deletions(-)

commit b13932a8c67f382a9924f188c1326c2060b64a46
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-11-02

    Make selection work normally, without checks on sidebar
    
     * The checks get in the way of the lock/unlock icons
     * The sidebar is thought of as a power user feature, and these guys
       know about multiple select in the standard HIG manner.

 src/seahorse-sidebar.c |  265 +++++++-----------------------------------------
 1 files changed, 37 insertions(+), 228 deletions(-)

commit 9993a5fa795e92c9be244d2bfc6baca850702ef6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-25

    pkcs11: Implement locking and unlocking of tokens

 libseahorse/seahorse-passphrase.c |    6 +-
 libseahorse/seahorse-passphrase.h |    2 +-
 pgp/seahorse-gpgme-keyring.c      |    2 +-
 pkcs11/Makefile.am                |    1 +
 pkcs11/seahorse-certificate.c     |    2 +-
 pkcs11/seahorse-interaction.c     |  194 ++++++++++++++++++++++++
 pkcs11/seahorse-interaction.h     |   59 ++++++++
 pkcs11/seahorse-pkcs11-actions.c  |  174 +++++++++++++++++++---
 pkcs11/seahorse-pkcs11-actions.h  |    4 +-
 pkcs11/seahorse-token.c           |  295 +++++++++++++++++++++++++++++++++++--
 pkcs11/seahorse-token.h           |   26 ++++
 11 files changed, 728 insertions(+), 37 deletions(-)

commit 6b294359c31b0d8b187d7a1c3682a2f689ddca29
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-25

    Add ability to lock and unlock from the sidebar.

 gkr/seahorse-gkr-actions.c |   49 ++++--
 gkr/seahorse-gkr-keyring.c |   23 +++-
 gkr/seahorse-gkr-keyring.h |    2 +
 src/seahorse-sidebar.c     |  389 +++++++++++++++++++++++++++++++++++++++++++-
 4 files changed, 448 insertions(+), 15 deletions(-)

commit 700ae51c40e90cef388dab0cf89c5e82933b4757
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-25

    Rework actions again
    
     * We clone action groups for the current selection, that clone
       contains a reference to the current selection.

 gkr/seahorse-gkr-actions.c         |  202 ++++++++++++++-----------
 libseahorse/seahorse-action.c      |  123 +++-------------
 libseahorse/seahorse-action.h      |   19 +--
 libseahorse/seahorse-actions.c     |   35 +++--
 libseahorse/seahorse-actions.h     |    8 +-
 libseahorse/seahorse-object-list.c |    5 +-
 libseahorse/seahorse-object-list.h |    2 +-
 libseahorse/seahorse-viewer.c      |  289 ++++++++++++------------------------
 libseahorse/seahorse-viewer.h      |   24 +---
 pgp/seahorse-keyserver-results.c   |   13 +-
 pgp/seahorse-pgp-actions.c         |   68 +++++++--
 pkcs11/seahorse-pkcs11-actions.c   |   50 +++++--
 src/seahorse-generate-select.c     |   24 ++-
 src/seahorse-key-manager.c         |   21 ++-
 ssh/seahorse-ssh-actions.c         |   53 +++++--
 ssh/seahorse-ssh-actions.h         |    2 +
 ssh/seahorse-ssh-key.c             |   14 ++-
 17 files changed, 445 insertions(+), 507 deletions(-)

commit 80032ed75a55da247602cc32bba5c7ce9ec453ee
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e994833ec2f217bfa445388362c1164af1be5ea7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Release version 3.3.1.1

 NEWS         |    6 ++++++
 configure.ac |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 0dfc94bc94f47a820424b4516be5844397e8973a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-26

    Fix issues building without pgp, ssh, or pkcs11 backends

 libseahorse/seahorse-util.c |    4 +++-
 pgp/seahorse-pgp.h          |    7 +++----
 pkcs11/seahorse-pkcs11.h    |    4 ++--
 src/seahorse-main.c         |    8 ++++++++
 ssh/seahorse-ssh.h          |    7 +++----
 5 files changed, 19 insertions(+), 11 deletions(-)

commit 39ac163cbe6579d5942d16d5fd7f0c8f3f2c2560
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-10-26

    Updated Galician translations

 po/gl.po | 1679 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 924 insertions(+), 755 deletions(-)

commit a826e3f3da3a84ecf55f67ce2f50a42f2ef08e3f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-10-26

    Updated Spanish translation

 po/es.po |   81 ++++++++++++++-----------------------------------------------
 1 files changed, 19 insertions(+), 62 deletions(-)

commit dab81b23f3eb732a9766aeec68ff3d120942d961
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-10-24

    [l10n] Updated German translation

 po/de.po | 1581 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 843 insertions(+), 738 deletions(-)

commit 795317ee85d9ef59e337f8a3ae245581bad2302b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-10-24

    Updated Norwegian bokmål translation

 po/nb.po | 1585 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 884 insertions(+), 701 deletions(-)

commit 4db1ef4bb069d3874c983da5d67786b21c42addb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c8840af1a017c8653f66176355ffd1bf8a392d4f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-24

    Release version 3.3.1

 NEWS            |   13 +++++++++++++
 configure.ac    |    6 +++---
 pgp/Makefile.am |    3 ++-
 src/Makefile.am |    1 -
 4 files changed, 18 insertions(+), 5 deletions(-)

commit 03199aef87aaeeb4858442d86bd0e5f5a10de7a8
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-10-23

    Updated Spanish translation

 po/es.po | 1751 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 990 insertions(+), 761 deletions(-)

commit d1db596c98635b848af8ca92de75b5056c8dd5c0
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2011-10-22

    Updated Hebrew translation.

 po/he.po | 1894 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 975 insertions(+), 919 deletions(-)

commit 6fa777deed28f1941b3f504e34786da22127bae6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2011-10-21

    Updated Slovenian translation

 po/sl.po | 1565 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 892 insertions(+), 673 deletions(-)

commit 22d600ea560058afc4a31e9feb1a255b0fa33e83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-10-20

    Updated POTFILES.in

 po/POTFILES.in |   32 ++++++++++++++++----------------
 1 files changed, 16 insertions(+), 16 deletions(-)

commit 9a9747d43b8fecd770440cdd21220cc3a1d61b3d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Make delete actions work properly again
    
     * We sort the selected items by deleting action
     * Invoke those actions in turn
     * Allow cancellation of one, to cancel all the remaining

 gkr/seahorse-gkr-actions.c       |    5 ++
 libseahorse/seahorse-action.c    |   53 ++++++++++++++++++-----
 libseahorse/seahorse-action.h    |    9 +++-
 libseahorse/seahorse-viewer.c    |   87 +++++++++++++++++++-------------------
 pgp/seahorse-pgp-actions.c       |    1 +
 pkcs11/seahorse-pkcs11-actions.c |    2 +
 src/seahorse-key-manager.ui      |    3 +-
 ssh/seahorse-ssh-actions.c       |    2 +
 8 files changed, 103 insertions(+), 59 deletions(-)

commit 13122385b16d2981ac0e514de6973b7f3f3c1a74
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Fix double free of list of selected items

 gkr/seahorse-gkr-actions.c |    6 ------
 pgp/seahorse-pgp-actions.c |    2 ++
 ssh/seahorse-ssh-actions.c |    1 -
 3 files changed, 2 insertions(+), 7 deletions(-)

commit 168e07166d7c20ee7d5a2023ba8d27ddf67165ec
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Cleanup adding new keys, items, keyrings
    
     * Fix dialog issues in new dialogs
     * Fix prompting issues, and rework selector

 gkr/seahorse-gkr-actions.c       |   19 +++-
 pgp/seahorse-gpgme-generate.c    |   12 +-
 pgp/seahorse-pgp-generate.xml    |  197 ++++++++++++++++------------
 src/seahorse-generate-select.c   |  269 ++++++++++++++++++++++++--------------
 src/seahorse-generate-select.h   |   24 +----
 src/seahorse-generate-select.xml |   82 +------------
 src/seahorse-key-manager.c       |   25 ++++
 src/seahorse-key-manager.ui      |    2 +-
 ssh/seahorse-ssh-generate.c      |   10 +-
 ssh/seahorse-ssh-generate.xml    |  209 ++++++++++++++----------------
 10 files changed, 439 insertions(+), 410 deletions(-)

commit d4b8510ad74b2b7a8b5e67a554f16eeff9000228
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Right clicking on the sidebar items for context menus.

 gkr/seahorse-gkr-actions.c     |   63 +++++++++++--------
 libseahorse/seahorse-actions.c |    9 +++
 libseahorse/seahorse-actions.h |    2 +-
 libseahorse/seahorse-viewer.c  |   20 ++++--
 libseahorse/seahorse-viewer.h  |    4 +-
 src/seahorse-key-manager.c     |   14 ++++
 src/seahorse-key-manager.ui    |   13 +---
 src/seahorse-sidebar.c         |  134 +++++++++++++++++++++++++++++++++++++++-
 8 files changed, 208 insertions(+), 51 deletions(-)

commit f784d2e0e52da53301fa5fd73d917598fd6136f7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    Fix for various deprecations in Glib and GTK
    
     * In particular use GtkGrid instead of GtkTable when prompting
       for a passphrase.

 libseahorse/seahorse-bind.c       |    8 --
 libseahorse/seahorse-passphrase.c |  242 +++++++++++++++++++------------------
 src/seahorse-main.c               |    2 -
 3 files changed, 122 insertions(+), 130 deletions(-)

commit 9ea9a0f0aadba12ecf34169a2783e9afdc8bc6a7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    Rework build options
    
     * --enable-strict disables deprecations and makes warnings into errors
     * --enable-debug enables debug symbols

 configure.ac |  241 +++++++++++++++++++++++++---------------------------------
 1 files changed, 103 insertions(+), 138 deletions(-)

commit abb1b7a289405b2840935149477d369e5be555ac
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    Rework how actions come from the backends and various objects.
    
     * Rename SeahorseSourc to SeahorsePlace
     * Actions are exposed by having a GtkActionGroup on the various
       objects, places, backends

 gkr/Makefile.am                          |    3 +-
 gkr/seahorse-gkr-actions.c               |  548 ++++++++++++++++++
 gkr/seahorse-gkr-actions.h               |   33 ++
 gkr/seahorse-gkr-backend.c               |   22 +-
 gkr/seahorse-gkr-item-commands.c         |  162 ------
 gkr/seahorse-gkr-item-commands.h         |   49 --
 gkr/seahorse-gkr-item.c                  |   36 +-
 gkr/seahorse-gkr-item.h                  |    1 -
 gkr/seahorse-gkr-keyring-commands.c      |  458 ---------------
 gkr/seahorse-gkr-keyring-commands.h      |   53 --
 gkr/seahorse-gkr-keyring.c               |   36 +-
 gkr/seahorse-gkr-operation.c             |    2 +-
 libseahorse/Makefile.am                  |    5 +-
 libseahorse/seahorse-action.c            |  130 +++++
 libseahorse/seahorse-action.h            |   42 ++
 libseahorse/seahorse-actions.c           |   78 +++
 libseahorse/seahorse-actions.h           |   66 +++
 libseahorse/seahorse-backend.c           |    4 +
 libseahorse/seahorse-backend.h           |    5 +-
 libseahorse/seahorse-commands.c          |  218 --------
 libseahorse/seahorse-commands.h          |   75 ---
 libseahorse/seahorse-context.h           |    2 +-
 libseahorse/seahorse-key-manager-store.c |   18 +-
 libseahorse/seahorse-object-widget.c     |    2 -
 libseahorse/seahorse-object.c            |   89 ++--
 libseahorse/seahorse-object.h            |   10 +-
 libseahorse/seahorse-place.c             |  279 ++++++++++
 libseahorse/seahorse-place.h             |  114 ++++
 libseahorse/seahorse-predicate.c         |    2 +-
 libseahorse/seahorse-predicate.h         |    1 -
 libseahorse/seahorse-source.c            |  275 ---------
 libseahorse/seahorse-source.h            |  111 ----
 libseahorse/seahorse-util.c              |   79 ++--
 libseahorse/seahorse-util.h              |   10 +-
 libseahorse/seahorse-viewer.c            |  885 +++++++++++++-----------------
 libseahorse/seahorse-viewer.h            |   41 +-
 pgp/Makefile.am                          |    2 +-
 pgp/seahorse-gpgme-key-op.c              |    4 +-
 pgp/seahorse-gpgme-key.c                 |   16 +-
 pgp/seahorse-gpgme-key.h                 |    2 +-
 pgp/seahorse-gpgme-keyring.c             |   69 ++-
 pgp/seahorse-hkp-source.c                |   19 +-
 pgp/seahorse-keyserver-results.c         |   78 +--
 pgp/seahorse-keyserver-results.ui        |   14 +-
 pgp/seahorse-keyserver-sync.c            |   14 +-
 pgp/seahorse-ldap-source.c               |   23 +-
 pgp/seahorse-pgp-actions.c               |  329 +++++++++++
 pgp/seahorse-pgp-actions.h               |   32 ++
 pgp/seahorse-pgp-backend.c               |   48 +-
 pgp/seahorse-pgp-backend.h               |    4 +-
 pgp/seahorse-pgp-commands.c              |  369 -------------
 pgp/seahorse-pgp-commands.h              |   57 --
 pgp/seahorse-pgp-key.c                   |    1 -
 pgp/seahorse-server-source.c             |    9 +-
 pgp/seahorse-transfer.c                  |   28 +-
 pgp/seahorse-transfer.h                  |    6 +-
 pgp/seahorse-unknown-source.h            |    1 -
 pgp/seahorse-unknown.c                   |    2 +-
 pkcs11/Makefile.am                       |    2 +-
 pkcs11/seahorse-certificate.c            |   25 +-
 pkcs11/seahorse-pkcs11-actions.c         |  182 ++++++
 pkcs11/seahorse-pkcs11-actions.h         |   29 +
 pkcs11/seahorse-pkcs11-backend.c         |   20 +-
 pkcs11/seahorse-pkcs11-commands.c        |  253 ---------
 pkcs11/seahorse-pkcs11-commands.h        |   53 --
 pkcs11/seahorse-pkcs11-operations.c      |    2 +-
 pkcs11/seahorse-token.c                  |   15 +-
 src/seahorse-key-manager.c               |  129 ++----
 src/seahorse-key-manager.ui              |   25 +-
 src/seahorse-sidebar.c                   |   21 +
 src/seahorse-sidebar.h                   |    4 +
 ssh/Makefile.am                          |    2 +-
 ssh/seahorse-ssh-actions.c               |  171 ++++++
 ssh/seahorse-ssh-actions.h               |   28 +
 ssh/seahorse-ssh-backend.c               |   11 +-
 ssh/seahorse-ssh-commands.c              |  238 --------
 ssh/seahorse-ssh-commands.h              |   57 --
 ssh/seahorse-ssh-key-properties.c        |    8 +-
 ssh/seahorse-ssh-key.c                   |   11 +-
 ssh/seahorse-ssh-key.h                   |    4 +-
 ssh/seahorse-ssh-operation.c             |   16 +-
 ssh/seahorse-ssh-source.c                |   39 +-
 ssh/seahorse-ssh-source.h                |    1 -
 ssh/seahorse-ssh-upload.c                |    2 +-
 84 files changed, 2975 insertions(+), 3444 deletions(-)

commit b7deadc93845be59ce25d87523777c8d2a438cd9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-18

    Remove SeahorseView and merge functionality into SeahorseViewer
    
     * Now that SeahorseViewer is in the common directory, there's no
       need to have the SeahorseView interface, and it's just confusing.

 gkr/seahorse-gkr-item-commands.c    |   24 +++----
 gkr/seahorse-gkr-keyring-commands.c |   73 +++++++++-----------
 libseahorse/Makefile.am             |    1 -
 libseahorse/seahorse-commands.c     |   50 +++++++-------
 libseahorse/seahorse-commands.h     |    4 +-
 libseahorse/seahorse-view.c         |  127 -----------------------------------
 libseahorse/seahorse-view.h         |   99 ---------------------------
 libseahorse/seahorse-viewer.c       |   62 +++++------------
 libseahorse/seahorse-viewer.h       |   13 ++--
 pgp/seahorse-keyserver-results.c    |    2 +-
 pgp/seahorse-pgp-commands.c         |   62 +++++++----------
 pkcs11/seahorse-pkcs11-commands.c   |   38 ++++-------
 pkcs11/seahorse-pkcs11-commands.h   |    1 +
 ssh/seahorse-ssh-commands.c         |   55 ++++++---------
 14 files changed, 157 insertions(+), 454 deletions(-)

commit 26d11fd1e7323d2ec76c9dbf62d4e0e800e33387
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-17

    Use place holder text for the filter box

 src/seahorse-key-manager.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit c1dafb1ca7d162438cba03e04bc186d463d1cee3
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-17

    pgp: Change to use the gnupg logo for gpg keyrings

 pgp/seahorse-gpgme-keyring.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 44f3eda0a6b0ddc9ce6c1b55724fc0865b642d08
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Save the set of selected place in settings
    
     * Each place has a uri, and remember the set of chosen uris
       even when the uri is no longer present.

 data/org.gnome.seahorse.manager.gschema.xml |    5 +
 gkr/seahorse-gkr-keyring.c                  |   12 +-
 libseahorse/seahorse-source.c               |    4 +
 libseahorse/seahorse-source.h               |   10 -
 pgp/seahorse-gpgme-keyring.c                |    7 +-
 pgp/seahorse-server-source.c                |    4 +-
 pkcs11/seahorse-pkcs11-backend.c            |    2 +
 pkcs11/seahorse-token.c                     |   20 ++-
 src/seahorse-key-manager.c                  |   38 +++--
 src/seahorse-sidebar.c                      |  300 ++++++++++++++++++++-------
 src/seahorse-sidebar.h                      |    5 +
 ssh/seahorse-ssh-source.c                   |   12 +-
 12 files changed, 308 insertions(+), 111 deletions(-)

commit 0e5addded36d5de04b5f3fdd195ca5b9f8f27136
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Remove the status bar

 src/seahorse-key-manager.xml |   35 -----------------------------------
 1 files changed, 0 insertions(+), 35 deletions(-)

commit b31cd3bbf165adbadff675668868dcf536191b9c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Sync the view-places setting properly

 src/seahorse-key-manager.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 15ec8cb39919192ddeb8977d91887cfe4b35648b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Make filtering work by text, personal, trusted and all.

 data/org.gnome.seahorse.manager.gschema.xml |   15 +++--
 gkr/seahorse-gkr-item.c                     |    2 +-
 gkr/seahorse-gkr-keyring.c                  |    3 +-
 libseahorse/Makefile.am                     |    2 +-
 libseahorse/seahorse-key-manager-store.c    |   15 ++++--
 libseahorse/seahorse-key-manager-store.h    |    3 +
 libseahorse/seahorse-object.c               |   41 --------------
 libseahorse/seahorse-predicate.c            |   74 ++++++++++++++++++++++++++
 libseahorse/seahorse-predicate.h            |    7 +--
 libseahorse/seahorse-types.c                |   27 +++++++++-
 libseahorse/seahorse-types.h                |   12 +++--
 libseahorse/seahorse-viewer.c               |    1 -
 pgp/seahorse-gpgme-key.c                    |   13 +++--
 pgp/seahorse-keyserver-results.c            |    2 +
 pkcs11/seahorse-certificate.c               |   10 ++++
 src/seahorse-key-manager.c                  |   76 +++++++++++++++++++--------
 ssh/seahorse-ssh-key.c                      |   10 +++-
 17 files changed, 217 insertions(+), 96 deletions(-)

commit a8381a6cb7ac2ea390fc54a352eff3af3645af7b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Make the filter in the main window work again

 libseahorse/seahorse-collection.c        |    3 ++-
 libseahorse/seahorse-key-manager-store.c |   12 ++++++------
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 28e36da83327a540547e402460d56bc047dc208f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-14

    Add proper icons and text for the GnuPG and OPENSSH sources

 pgp/seahorse-gpgme-keyring.c |   10 +++-------
 ssh/seahorse-ssh-key.c       |    1 -
 ssh/seahorse-ssh-source.c    |    8 +++++---
 3 files changed, 8 insertions(+), 11 deletions(-)

commit 7be2194edc388ef7bc8aef5476a3775bd0701a65
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    Add descriptions and clearer markup to various object types

 gkr/seahorse-gkr-item.c                  |  791 ++++++++++++++++++++----------
 libseahorse/seahorse-key-manager-store.c |  188 ++------
 pgp/seahorse-pgp-key.c                   |   21 +-
 ssh/seahorse-ssh-key.c                   |   40 ++-
 4 files changed, 611 insertions(+), 429 deletions(-)

commit 12ea05e4395adfbb9b41bd0b67ad6a2bbff663a8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    Allow showing and hiding the places sidebar
    
     * If places sidebar is hidden then show all items in the same
       view.

 data/org.gnome.seahorse.manager.gschema.xml |   39 ++++--
 libseahorse/seahorse-viewer.c               |    2 -
 pgp/seahorse-keyserver-results.c            |   36 ------
 src/seahorse-key-manager.c                  |  144 ++++++++++------------
 src/seahorse-key-manager.ui                 |   11 +-
 src/seahorse-sidebar.c                      |  179 ++++++++++++++++++++-------
 src/seahorse-sidebar.h                      |    5 +
 7 files changed, 234 insertions(+), 182 deletions(-)

commit 1c608b1040227ebdf919d1c2d4cb6c5781902e78
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-13

    Make pgp key items in the main view wrap and show all uids in one item.

 libseahorse/seahorse-key-manager-store.c |   13 ++-
 pgp/seahorse-pgp-key.c                   |  151 ++++++++++++++++--------------
 2 files changed, 89 insertions(+), 75 deletions(-)

commit e2165880f17ded851dfccc4c591e256846346d0d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    pkcs11: Use new gck functionality to load certificates
    
     * Use enumerator to load certificates, and have the enumerator
       get the attributes for each certificate.
     * No more SeahorsePkcs11Object
     * Simpler names for things`

 pkcs11/Makefile.am                         |    7 +-
 pkcs11/seahorse-certificate.c              |  194 ++++++++++++
 pkcs11/seahorse-certificate.h              |   59 ++++
 pkcs11/seahorse-pkcs11-backend.c           |    4 +-
 pkcs11/seahorse-pkcs11-certificate-props.c |    4 +-
 pkcs11/seahorse-pkcs11-certificate.c       |  333 ---------------------
 pkcs11/seahorse-pkcs11-certificate.h       |   65 ----
 pkcs11/seahorse-pkcs11-commands.c          |   10 +-
 pkcs11/seahorse-pkcs11-object.c            |  380 ------------------------
 pkcs11/seahorse-pkcs11-object.h            |   75 -----
 pkcs11/seahorse-pkcs11-operations.c        |  164 +----------
 pkcs11/seahorse-pkcs11-operations.h        |   12 -
 pkcs11/seahorse-pkcs11-token.c             |  303 -------------------
 pkcs11/seahorse-pkcs11-token.h             |   61 ----
 pkcs11/seahorse-token.c                    |  439 ++++++++++++++++++++++++++++
 pkcs11/seahorse-token.h                    |   66 +++++
 16 files changed, 779 insertions(+), 1397 deletions(-)

commit 872e08aab53ab647c38e751ad38e12709a5a3fa8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-12

    Refactor that there's no unnecessary use of SeahorseObject
    
     * So that other stuff like GcrCertificate can work in seahorse.

 gkr/seahorse-gkr-item-commands.c         |    5 +-
 gkr/seahorse-gkr-item-properties.c       |   12 +++---
 gkr/seahorse-gkr-keyring-commands.c      |    5 +-
 gkr/seahorse-gkr-keyring-properties.c    |    8 ++--
 gkr/seahorse-gkr-operation.c             |    8 ++--
 libseahorse/seahorse-collection.c        |   52 ++++++++++++------------
 libseahorse/seahorse-commands.c          |    8 ++-
 libseahorse/seahorse-commands.h          |   11 +++--
 libseahorse/seahorse-context.h           |    3 -
 libseahorse/seahorse-key-manager-store.c |   30 +++++++-------
 libseahorse/seahorse-key-manager-store.h |    4 +-
 libseahorse/seahorse-object-model.c      |   41 +++++++++++--------
 libseahorse/seahorse-object-model.h      |   22 +++++-----
 libseahorse/seahorse-object-widget.c     |   16 +++++---
 libseahorse/seahorse-object-widget.h     |   14 +++---
 libseahorse/seahorse-object.c            |   46 ++++++++-------------
 libseahorse/seahorse-predicate.h         |    6 +--
 libseahorse/seahorse-source.c            |    9 ++--
 libseahorse/seahorse-source.h            |    4 --
 libseahorse/seahorse-util.c              |   58 +++++++++++++-------------
 libseahorse/seahorse-util.h              |    4 +-
 libseahorse/seahorse-view.c              |    5 +-
 libseahorse/seahorse-view.h              |   12 +++---
 libseahorse/seahorse-viewer.c            |   40 ++++++++----------
 libseahorse/seahorse-viewer.h            |   27 +++++++-----
 pgp/seahorse-gpgme-add-subkey.c          |    4 +-
 pgp/seahorse-gpgme-add-uid.c             |    8 ++--
 pgp/seahorse-keyserver-results.c         |   11 +++--
 pgp/seahorse-pgp-commands.c              |    9 ++--
 pgp/seahorse-pgp-key-properties.c        |   66 +++++++++++++++---------------
 pgp/seahorse-pgp-keysets.c               |    2 +-
 pkcs11/seahorse-pkcs11-commands.c        |    3 +-
 src/seahorse-key-manager.c               |   11 +++--
 ssh/seahorse-ssh-commands.c              |    8 +--
 ssh/seahorse-ssh-key-properties.c        |   19 +++++----
 35 files changed, 294 insertions(+), 297 deletions(-)

commit 1257d002a366376fd02ca31342148ef4b29b96e8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Add label to the import dialog

 src/seahorse-import-dialog.c |   13 +++++++++++--
 1 files changed, 11 insertions(+), 2 deletions(-)

commit 36f8d3bf12d4afc796d8f65e6619178e6054f147
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    Update import dialog for libgcr changes

 src/seahorse-import-dialog.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit fb6e3df6aca4335113cce6096e52848d76b9f727
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    gcr: Use functions in gcr to get PKCS#11 icons

 pkcs11/seahorse-pkcs11-token.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 283115770e497456ae4b1542052de3e43040334c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-06

    gcr: Asynchronously initialize PKCS#11 modules

 pkcs11/seahorse-pkcs11-backend.c |   54 ++++++++++++++++++++++++++++++-------
 1 files changed, 43 insertions(+), 11 deletions(-)

commit dfcd78e04f520d9af4aaabb0819d5f713f2c3294
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-22

    Use the new importer infrastructure in libgcr
    
     * Show a preview of what we're going to import before importing.

 libseahorse/seahorse-viewer.c    |   67 ----------------
 pgp/seahorse-hkp-source.c        |    4 +-
 pgp/seahorse-keyserver-results.c |   83 +++++++++++++++++++--
 pgp/seahorse-ldap-source.c       |    1 +
 pgp/seahorse-transfer.c          |    2 +-
 src/Makefile.am                  |    1 +
 src/seahorse-import-dialog.c     |  157 ++++++++++++++++++++++++++++++++++++++
 src/seahorse-import-dialog.h     |   52 +++++++++++++
 src/seahorse-key-manager.c       |  156 ++++++++------------------------------
 9 files changed, 323 insertions(+), 200 deletions(-)

commit 5765df8c91aca8d852ca1f56560dd074766cc0f1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Load certificates from tokens

 pkcs11/seahorse-pkcs11-object.c |    2 +-
 pkcs11/seahorse-pkcs11-token.c  |   17 +++++++++++++----
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 0b63ff6e23501b4af7c68a21970d2cde87eb5a41
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Blacklist certain PKCS#11 tokens from showing up in seahorse.
    
     * Both of these are displayed elsewhere in the interface.
     * SSH keys and Secret Store

 pkcs11/seahorse-pkcs11-backend.c |   42 +++++++++++++++++++++++++++++++++++--
 1 files changed, 39 insertions(+), 3 deletions(-)

commit 397acc3038b1841ec005dbd7821065d0643abe50
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Rename SeahorsePkcs11Source to SeahorsePkcs11Token
    
     * Display label and manufacturer as label and tooltip.

 pkcs11/Makefile.am                  |    2 +-
 pkcs11/seahorse-pkcs11-backend.c    |    4 +-
 pkcs11/seahorse-pkcs11-operations.c |   34 ++--
 pkcs11/seahorse-pkcs11-operations.h |    8 +-
 pkcs11/seahorse-pkcs11-source.c     |  290 -----------------------------------
 pkcs11/seahorse-pkcs11-source.h     |   62 --------
 pkcs11/seahorse-pkcs11-token.c      |  290 +++++++++++++++++++++++++++++++++++
 pkcs11/seahorse-pkcs11-token.h      |   61 ++++++++
 src/seahorse-sidebar.c              |    1 +
 9 files changed, 376 insertions(+), 376 deletions(-)

commit 058b368f250195afd6ec227674d45b270640051b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Make the main key manager view reflect what's in the side pane.

 src/seahorse-key-manager.c   |  296 +++++-------------------------------------
 src/seahorse-key-manager.xml |  111 ++---------------
 src/seahorse-sidebar.c       |  232 ++++++++++++++++++++-------------
 src/seahorse-sidebar.h       |    2 +
 4 files changed, 188 insertions(+), 453 deletions(-)

commit 85352bcb2a80c0991edfa3c15f142c872c22599e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Allow simple mulitple select based on checks in sidebar.
    
     * Use stable update of sidebar, so that state isn't needlessly trashed.

 src/seahorse-sidebar.c |  239 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 201 insertions(+), 38 deletions(-)

commit 0a7ff2c9c67faa33584a535839c6b1da96189b0f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Add CSS file and style sidebar properly.

 libseahorse/Makefile.am       |    3 ++-
 libseahorse/seahorse-widget.c |   18 +++++++++++++++---
 libseahorse/seahorse.css      |   12 ++++++++++++
 src/seahorse-sidebar.c        |    5 ++++-
 4 files changed, 33 insertions(+), 5 deletions(-)

commit af37ff6f57bc27ac0d9a5816845e880b54bf29e6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Update translatable files for recent refactoring.

 po/POTFILES.in |   30 +++++++++++++++++-------------
 1 files changed, 17 insertions(+), 13 deletions(-)

commit bddd86370e67a95ad7a1a3d3d1e517aaabbfeefc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-09

    Move keyserver UI files to pgp directory.

 pgp/Makefile.am                    |    4 +
 pgp/seahorse-keyserver-results.ui  |   43 +++++++
 pgp/seahorse-keyserver-results.xml |   97 ++++++++++++++
 pgp/seahorse-keyserver-search.xml  |  243 ++++++++++++++++++++++++++++++++++++
 pgp/seahorse-keyserver-sync.xml    |  180 ++++++++++++++++++++++++++
 src/Makefile.am                    |    6 +-
 src/seahorse-keyserver-results.ui  |   43 -------
 src/seahorse-keyserver-results.xml |   97 --------------
 src/seahorse-keyserver-search.xml  |  243 ------------------------------------
 src/seahorse-keyserver-sync.xml    |  180 --------------------------
 10 files changed, 568 insertions(+), 568 deletions(-)

commit 7fe8ab03912f53bb65df3e5e45d1da6ede10e684
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-08

    Implement sidebar, structure backends and sources better
    
     * Initial implementation of sidebar which shows all sources
     * Give SeahorseSource standard properties, so we can display
       them in the sidebar, such as icon, name etc.
     * Create SeahorseBackend interface with standard properties
       again for the sidebar.
     * Some of the values displayed are place holders.

 data/org.gnome.seahorse.manager.gschema.xml |    5 +
 gkr/seahorse-gkr-backend.c                  |   64 +++-
 gkr/seahorse-gkr-keyring.c                  |   27 +-
 gkr/seahorse-gkr-keyring.h                  |    2 +
 gkr/seahorse-gkr.h                          |    4 +-
 libseahorse/Makefile.am                     |    1 +
 libseahorse/seahorse-backend.c              |   51 +++
 libseahorse/seahorse-backend.h              |   41 ++
 libseahorse/seahorse-source.c               |   49 +--
 pgp/seahorse-gpgme-keyring.c                |   41 ++-
 pgp/seahorse-pgp-backend.c                  |   55 +++-
 pgp/seahorse-pgp-backend.h                  |    3 +-
 pgp/seahorse-pgp.h                          |    8 +-
 pgp/seahorse-server-source.c                |   92 +++--
 pgp/seahorse-unknown-source.c               |   11 +-
 pixmaps/22x22/Makefile                      |  490 ++++++++++++++++++++
 pixmaps/22x22/Makefile.in                   |  490 ++++++++++++++++++++
 pixmaps/48x48/Makefile                      |  483 ++++++++++++++++++++
 pixmaps/48x48/Makefile.in                   |  483 ++++++++++++++++++++
 pixmaps/Makefile                            |  642 +++++++++++++++++++++++++++
 pixmaps/Makefile.in                         |  642 +++++++++++++++++++++++++++
 pixmaps/scalable/Makefile                   |  483 ++++++++++++++++++++
 pixmaps/scalable/Makefile.in                |  483 ++++++++++++++++++++
 pkcs11/seahorse-pkcs11-backend.c            |   59 +++-
 pkcs11/seahorse-pkcs11-commands.c           |    2 +-
 pkcs11/seahorse-pkcs11-source.c             |   28 +-
 pkcs11/seahorse-pkcs11.h                    |    5 +-
 src/Makefile.am                             |    1 +
 src/seahorse-key-manager.c                  |   88 ++++-
 src/seahorse-key-manager.h                  |    4 +-
 src/seahorse-key-manager.xml                |  542 +++++++++++++----------
 src/seahorse-main.c                         |   17 +-
 src/seahorse-sidebar.c                      |  586 ++++++++++++++++++++++++
 src/seahorse-sidebar.h                      |   43 ++
 ssh/seahorse-ssh-backend.c                  |   59 +++-
 ssh/seahorse-ssh-source.c                   |   43 ++-
 ssh/seahorse-ssh.h                          |    8 +-
 37 files changed, 5750 insertions(+), 385 deletions(-)

commit 0deb6bf417db5a6d6ce9181c897bf1ad212965c5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    Refactor core of seahorse
    
     * Objects are owned by sources not by the SeahorseContext
     * No more unique identifiers for objects, since these don't
       fit well with PKCS#11 objects at all.
     * Cleanup SeahorseSource and remove server stuff.
     * All server related stuff goes into the pgp backend.
     * More well defined backends
     * DNS-SD stuff goes into the pgp backend

 Makefile.am                              |    2 +-
 gkr/Makefile.am                          |    7 +-
 gkr/seahorse-gkr-add-item.c              |   13 +-
 gkr/seahorse-gkr-add-keyring.c           |    5 +-
 gkr/seahorse-gkr-backend.c               |  409 +++++++++
 gkr/seahorse-gkr-backend.h               |   69 ++
 gkr/seahorse-gkr-item-commands.c         |    6 +-
 gkr/seahorse-gkr-item-properties.c       |    1 -
 gkr/seahorse-gkr-item.c                  |   18 +-
 gkr/seahorse-gkr-item.h                  |    5 +-
 gkr/seahorse-gkr-keyring-commands.c      |   17 +-
 gkr/seahorse-gkr-keyring.c               |   60 +-
 gkr/seahorse-gkr-keyring.h               |    9 +
 gkr/seahorse-gkr-module.c                |   47 -
 gkr/seahorse-gkr-module.h                |   30 -
 gkr/seahorse-gkr-operation.c             |   18 +-
 gkr/seahorse-gkr-operation.h             |    1 -
 gkr/seahorse-gkr-source.c                |  382 --------
 gkr/seahorse-gkr-source.h                |   66 --
 gkr/seahorse-gkr.h                       |    5 +-
 libseahorse/Makefile.am                  |    9 +-
 libseahorse/seahorse-collection.c        |  127 ++-
 libseahorse/seahorse-collection.h        |    3 +-
 libseahorse/seahorse-combo-keys.c        |  271 ------
 libseahorse/seahorse-combo-keys.h        |   51 --
 libseahorse/seahorse-context.c           | 1445 +-----------------------------
 libseahorse/seahorse-context.h           |  140 +---
 libseahorse/seahorse-dns-sd.c            |  460 ----------
 libseahorse/seahorse-dns-sd.h            |   83 --
 libseahorse/seahorse-key-manager-store.c |  954 ++++++++++++++++++++
 libseahorse/seahorse-key-manager-store.h |   77 ++
 libseahorse/seahorse-object-widget.c     |   21 +-
 libseahorse/seahorse-object.c            |  266 +------
 libseahorse/seahorse-object.h            |   19 -
 libseahorse/seahorse-predicate.h         |    4 -
 libseahorse/seahorse-preferences.c       |   44 +
 libseahorse/seahorse-preferences.h       |   36 +
 libseahorse/seahorse-prefs.c             |    1 -
 libseahorse/seahorse-prefs.h             |    1 -
 libseahorse/seahorse-registry.c          |   50 -
 libseahorse/seahorse-registry.h          |    8 -
 libseahorse/seahorse-source.c            |  188 +----
 libseahorse/seahorse-source.h            |   64 --
 libseahorse/seahorse-transfer.c          |  205 -----
 libseahorse/seahorse-transfer.h          |   38 -
 libseahorse/seahorse-types.c             |   19 -
 libseahorse/seahorse-types.h             |   14 -
 libseahorse/seahorse-unknown-source.c    |  191 ----
 libseahorse/seahorse-unknown-source.h    |   74 --
 libseahorse/seahorse-unknown.c           |   64 --
 libseahorse/seahorse-unknown.h           |   57 --
 libseahorse/seahorse-util.c              |    4 +-
 libseahorse/seahorse-util.h              |    2 -
 libseahorse/seahorse-view.h              |    2 +
 libseahorse/seahorse-viewer.c            | 1023 +++++++++++++++++++++
 libseahorse/seahorse-viewer.h            |  111 +++
 pgp/Makefile.am                          |   11 +-
 pgp/seahorse-combo-keys.c                |  273 ++++++
 pgp/seahorse-combo-keys.h                |   51 ++
 pgp/seahorse-discovery.c                 |  453 ++++++++++
 pgp/seahorse-discovery.h                 |   83 ++
 pgp/seahorse-gpg-options.c               |    1 -
 pgp/seahorse-gpgme-dialogs.h             |    6 +-
 pgp/seahorse-gpgme-generate.c            |   46 +-
 pgp/seahorse-gpgme-key-op.c              |   58 +-
 pgp/seahorse-gpgme-key-op.h              |    6 +-
 pgp/seahorse-gpgme-key.c                 |   87 +--
 pgp/seahorse-gpgme-keyring.c             | 1070 ++++++++++++++++++++++
 pgp/seahorse-gpgme-keyring.h             |   91 ++
 pgp/seahorse-gpgme-sign.c                |    5 +-
 pgp/seahorse-gpgme-source.c              | 1047 ----------------------
 pgp/seahorse-gpgme-source.h              |   74 --
 pgp/seahorse-gpgme-uid.c                 |   15 -
 pgp/seahorse-hkp-source.c                |  180 ++---
 pgp/seahorse-keyserver-results.c         |  542 +++++++++++
 pgp/seahorse-keyserver-results.h         |   65 ++
 pgp/seahorse-keyserver-search.c          |  502 +++++++++++
 pgp/seahorse-keyserver-search.h          |   31 +
 pgp/seahorse-keyserver-sync.c            |  231 +++++
 pgp/seahorse-keyserver-sync.h            |   31 +
 pgp/seahorse-ldap-source.c               |  147 +---
 pgp/seahorse-ldap-source.h               |    2 +-
 pgp/seahorse-pgp-backend.c               |  646 +++++++++++++
 pgp/seahorse-pgp-backend.h               |  110 +++
 pgp/seahorse-pgp-commands.c              |   79 ++-
 pgp/seahorse-pgp-key-properties.c        |  102 +--
 pgp/seahorse-pgp-key.c                   |  124 ++--
 pgp/seahorse-pgp-key.h                   |   14 +-
 pgp/seahorse-pgp-keysets.c               |   39 +-
 pgp/seahorse-pgp-module.c                |   58 --
 pgp/seahorse-pgp-module.h                |   30 -
 pgp/seahorse-pgp-signature.c             |   25 +-
 pgp/seahorse-pgp-signature.h             |    2 -
 pgp/seahorse-pgp-uid.c                   |    1 -
 pgp/seahorse-pgp.h                       |    9 +
 pgp/seahorse-server-source.c             |  112 ++-
 pgp/seahorse-server-source.h             |   48 +-
 pgp/seahorse-signer.c                    |   25 +-
 pgp/seahorse-transfer.c                  |  226 +++++
 pgp/seahorse-transfer.h                  |   40 +
 pgp/seahorse-unknown-source.c            |  115 +++
 pgp/seahorse-unknown-source.h            |   48 +
 pgp/seahorse-unknown.c                   |   69 ++
 pgp/seahorse-unknown.h                   |   57 ++
 pkcs11/Makefile.am                       |    2 +-
 pkcs11/seahorse-pkcs11-backend.c         |  168 ++++
 pkcs11/seahorse-pkcs11-backend.h         |   46 +
 pkcs11/seahorse-pkcs11-certificate.c     |    1 -
 pkcs11/seahorse-pkcs11-helpers.c         |  129 +---
 pkcs11/seahorse-pkcs11-helpers.h         |    6 +-
 pkcs11/seahorse-pkcs11-module.c          |   63 --
 pkcs11/seahorse-pkcs11-module.h          |   30 -
 pkcs11/seahorse-pkcs11-object.c          |   31 +-
 pkcs11/seahorse-pkcs11-object.h          |    2 -
 pkcs11/seahorse-pkcs11-operations.c      |   36 +-
 pkcs11/seahorse-pkcs11-source.c          |  128 ++-
 pkcs11/seahorse-pkcs11-source.h          |    4 +
 pkcs11/seahorse-pkcs11.h                 |    8 +
 src/Makefile.am                          |   11 -
 src/seahorse-generate-select.h           |    2 +-
 src/seahorse-key-manager-store.c         |  950 --------------------
 src/seahorse-key-manager-store.h         |   77 --
 src/seahorse-key-manager.c               |  219 ++---
 src/seahorse-key-manager.h               |    9 +-
 src/seahorse-key-manager.ui              |    6 +-
 src/seahorse-keyserver-results.c         |  589 ------------
 src/seahorse-keyserver-results.h         |   65 --
 src/seahorse-keyserver-search.c          |  498 ----------
 src/seahorse-keyserver-sync.c            |  249 -----
 src/seahorse-keyserver-sync.h            |   27 -
 src/seahorse-main.c                      |   49 +-
 src/seahorse-preferences.c               |   44 -
 src/seahorse-preferences.h               |   36 -
 src/seahorse-viewer.c                    | 1023 ---------------------
 src/seahorse-viewer.h                    |  111 ---
 src/seahorse-windows.h                   |   37 -
 ssh/Makefile.am                          |    2 +-
 ssh/seahorse-ssh-backend.c               |  141 +++
 ssh/seahorse-ssh-backend.h               |   48 +
 ssh/seahorse-ssh-commands.c              |    1 -
 ssh/seahorse-ssh-generate.c              |   11 +-
 ssh/seahorse-ssh-key.c                   |   32 -
 ssh/seahorse-ssh-key.h                   |    5 +-
 ssh/seahorse-ssh-module.c                |   45 -
 ssh/seahorse-ssh-module.h                |   30 -
 ssh/seahorse-ssh-operation.c             |    9 +-
 ssh/seahorse-ssh-source.c                |  197 +++--
 ssh/seahorse-ssh-source.h                |   11 +
 ssh/seahorse-ssh.h                       |    7 +
 149 files changed, 8951 insertions(+), 10627 deletions(-)

commit 621bb4c0b3e9054846668b65294e21afd77a8dcc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-06

    Implement GcrCollection contains virtual method.

 gkr/seahorse-gkr-keyring.c        |   14 ++++++++++++++
 libseahorse/seahorse-collection.c |   19 +++++++++----------
 libseahorse/seahorse-collection.h |    3 ---
 pgp/seahorse-pgp-key.c            |   11 +++++++++++
 src/seahorse-key-manager.c        |    3 ++-
 5 files changed, 36 insertions(+), 14 deletions(-)

commit 8bd4f54370ce03c340616dcba07a249e0a16c065
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    Implement GcrCollection on PGP Keys and GKR keyrings
    
     * This way they show up properly as folders with tehir nested
       contents inside.
     * Fine tune some bits about how PGP keys are displayed.

 gkr/seahorse-gkr-item.c           |   24 +++++-
 gkr/seahorse-gkr-item.h           |    3 +-
 gkr/seahorse-gkr-keyring.c        |  114 +++++++++++++++++---------
 gkr/seahorse-gkr-keyring.h        |    5 +-
 gkr/seahorse-gkr-operation.c      |    3 +-
 libseahorse/seahorse-collection.c |    7 --
 libseahorse/seahorse-object.c     |  160 +------------------------------------
 libseahorse/seahorse-object.h     |    7 --
 pgp/seahorse-gpgme-key.c          |    2 +-
 pgp/seahorse-gpgme-uid.c          |   24 +++---
 pgp/seahorse-gpgme-uid.h          |    3 +-
 pgp/seahorse-hkp-source.c         |    4 +-
 pgp/seahorse-ldap-source.c        |    5 +-
 pgp/seahorse-pgp-commands.c       |   11 +--
 pgp/seahorse-pgp-key.c            |   68 ++++++++++++----
 pgp/seahorse-pgp-uid.c            |   42 ++++++++--
 pgp/seahorse-pgp-uid.h            |    7 ++-
 17 files changed, 225 insertions(+), 264 deletions(-)

commit efef15901be0b7541b552001caad485451946562
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    Use GcrCollectionModel instead of our own GtkTreeModel implementation.
    
     * More maintained code base and easier to integrate objects
       from gcr.
     * EAsier to format coluns how we want them without changing
       the underlying objects.
     * Split out SeahorsePredicate into its own header in preparation
       for later work.

 configure.ac                         |    9 +-
 gkr/seahorse-gkr-item-commands.c     |    2 +-
 gkr/seahorse-gkr-keyring-commands.c  |    2 +-
 gkr/seahorse-gkr-keyring.c           |    5 +-
 gkr/seahorse-gkr-source.c            |    9 +-
 libseahorse/Makefile.am              |    6 +-
 libseahorse/seahorse-collection.c    |  329 +++++++++++++
 libseahorse/seahorse-collection.h    |   64 +++
 libseahorse/seahorse-combo-keys.c    |  262 ++++++------
 libseahorse/seahorse-combo-keys.h    |    4 +-
 libseahorse/seahorse-context.c       |   22 +-
 libseahorse/seahorse-context.h       |    6 +-
 libseahorse/seahorse-object.c        |   31 +-
 libseahorse/seahorse-object.h        |   22 -
 libseahorse/seahorse-predicate.h     |   56 +++
 libseahorse/seahorse-set-model.c     |  840 ----------------------------------
 libseahorse/seahorse-set-model.h     |   82 ----
 libseahorse/seahorse-set.c           |  336 --------------
 libseahorse/seahorse-set.h           |  109 -----
 libseahorse/seahorse-view.c          |   12 +-
 libseahorse/seahorse-view.h          |   14 +-
 pgp/seahorse-gpgme-key.c             |    8 +-
 pgp/seahorse-gpgme-sign.c            |   31 +-
 pgp/seahorse-pgp-commands.c          |    4 +-
 pgp/seahorse-pgp-key-properties.c    |    2 +-
 pgp/seahorse-pgp-key.c               |   55 ---
 pgp/seahorse-pgp-key.h               |    6 -
 pgp/seahorse-pgp-keysets.c           |   40 +-
 pgp/seahorse-pgp-keysets.h           |    4 +-
 pgp/seahorse-pgp-uid.c               |   15 -
 pgp/seahorse-pgp-uid.h               |    3 -
 pgp/seahorse-signer.c                |   16 +-
 pkcs11/Makefile.am                   |    2 -
 pkcs11/seahorse-pkcs11-certificate.c |   61 +---
 pkcs11/seahorse-pkcs11-certificate.h |    6 -
 pkcs11/seahorse-pkcs11-commands.c    |    2 +-
 pkcs11/seahorse-pkcs11-operations.c  |    1 -
 src/seahorse-key-manager-store.c     |  619 ++++++++++++--------------
 src/seahorse-key-manager-store.h     |   18 +-
 src/seahorse-key-manager.c           |   30 +-
 src/seahorse-keyserver-results.c     |   18 +-
 src/seahorse-viewer.c                |   52 ++-
 src/seahorse-viewer.h                |    5 +-
 ssh/seahorse-ssh-commands.c          |    2 +-
 44 files changed, 1054 insertions(+), 2168 deletions(-)

commit f0b2be9cf0932931063602f550d9ff272c02e7ee
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    Use icon theme instead of stock images.
    
     * Install seahorse icons properly as part of private icon theme.
     * Use GIcon and icon name instead of stock images.
     * Allows us to use custom GLoadableIcon renderers in the future.

 Makefile.am                                        |    3 +-
 configure.ac                                       |    4 -
 data/icons/Makefile.am                             |   20 +-
 .../hicolor_apps_22x22_seahorse-key-personal.png   |  Bin 0 -> 1118 bytes
 data/icons/hicolor_apps_22x22_seahorse-key-ssh.png |  Bin 0 -> 1022 bytes
 data/icons/hicolor_apps_22x22_seahorse-key.png     |  Bin 0 -> 686 bytes
 data/icons/hicolor_apps_22x22_seahorse-person.png  |  Bin 0 -> 1128 bytes
 .../hicolor_apps_48x48_seahorse-key-personal.png   |  Bin 0 -> 3181 bytes
 data/icons/hicolor_apps_48x48_seahorse-key-ssh.png |  Bin 0 -> 2836 bytes
 data/icons/hicolor_apps_48x48_seahorse-key.png     |  Bin 0 -> 1794 bytes
 data/icons/hicolor_apps_48x48_seahorse-person.png  |  Bin 0 -> 2908 bytes
 .../hicolor_status_22x22_seahorse-sign-bad.png     |  Bin 0 -> 1254 bytes
 .../hicolor_status_22x22_seahorse-sign-ok.png      |  Bin 0 -> 1197 bytes
 data/icons/hicolor_status_22x22_seahorse-sign.png  |  Bin 0 -> 1156 bytes
 .../hicolor_status_48x48_seahorse-sign-bad.png     |  Bin 0 -> 3698 bytes
 .../hicolor_status_48x48_seahorse-sign-ok.png      |  Bin 0 -> 3476 bytes
 .../hicolor_status_48x48_seahorse-sign-unknown.png |  Bin 0 -> 3614 bytes
 data/icons/hicolor_status_48x48_seahorse-sign.png  |  Bin 0 -> 3251 bytes
 data/icons/svg/seahorse-key-22.svg                 |  357 +++
 data/icons/svg/seahorse-key-48.svg                 |  377 +++
 data/icons/svg/seahorse-key-personal-22.svg        |  807 ++++++
 data/icons/svg/seahorse-key-personal-48.svg        |  757 ++++++
 data/icons/svg/seahorse-key-ssh-22.svg             | 1131 +++++++++
 data/icons/svg/seahorse-key-ssh-48.svg             |  786 ++++++
 data/icons/svg/seahorse-person-22.svg              |  532 ++++
 data/icons/svg/seahorse-person-48.svg              |  467 ++++
 data/icons/svg/seahorse-sign-22.svg                |  446 ++++
 data/icons/svg/seahorse-sign-48.svg                |  441 ++++
 data/icons/svg/seahorse-sign-bad-22.svg            |  588 +++++
 data/icons/svg/seahorse-sign-bad-48.svg            |  599 +++++
 data/icons/svg/seahorse-sign-ok-22.svg             |  751 ++++++
 data/icons/svg/seahorse-sign-ok-48.svg             |  757 ++++++
 data/icons/svg/seahorse-sign-unknown-48.svg        | 1289 ++++++++++
 gkr/Makefile.am                                    |    6 +-
 gkr/seahorse-gkr-item-properties.c                 |    4 +-
 gkr/seahorse-gkr-item.c                            |   18 +-
 gkr/seahorse-gkr-keyring-properties.c              |    4 +-
 gkr/seahorse-gkr-keyring.c                         |   11 +-
 libseahorse/Makefile.am                            |    5 +-
 libseahorse/seahorse-gtkstock.c                    |  229 --
 libseahorse/seahorse-gtkstock.h                    |   48 -
 libseahorse/seahorse-icons.c                       |   48 +
 libseahorse/seahorse-icons.h                       |   47 +
 libseahorse/seahorse-object.c                      |   35 +-
 libseahorse/seahorse-object.h                      |    5 +-
 libseahorse/seahorse-prefs.c                       |    2 +-
 libseahorse/seahorse-widget.c                      |    2 +-
 pgp/Makefile.am                                    |    1 -
 pgp/seahorse-gpgme-generate.c                      |    8 +-
 pgp/seahorse-gpgme-key.c                           |    2 +-
 pgp/seahorse-gpgme-sign.c                          |    6 +-
 pgp/seahorse-pgp-key-properties.c                  |   82 +-
 pgp/seahorse-pgp-key.c                             |   13 +-
 pgp/seahorse-pgp-uid.c                             |    2 +-
 pixmaps/.gitignore                                 |    2 -
 pixmaps/22x22/.gitignore                           |    2 -
 pixmaps/22x22/Makefile.am                          |   19 -
 pixmaps/22x22/seahorse-key-personal.png            |  Bin 1118 -> 0 bytes
 pixmaps/22x22/seahorse-key-personal.svg            |  807 ------
 pixmaps/22x22/seahorse-key-ssh.png                 |  Bin 1022 -> 0 bytes
 pixmaps/22x22/seahorse-key-ssh.svg                 | 1131 ---------
 pixmaps/22x22/seahorse-key.png                     |  Bin 686 -> 0 bytes
 pixmaps/22x22/seahorse-key.svg                     |  357 ---
 pixmaps/22x22/seahorse-person.png                  |  Bin 1128 -> 0 bytes
 pixmaps/22x22/seahorse-person.svg                  |  532 ----
 pixmaps/22x22/seahorse-preferences.png             |  Bin 1320 -> 0 bytes
 pixmaps/22x22/seahorse-preferences.svg             | 1428 -----------
 pixmaps/22x22/seahorse-sign-bad.png                |  Bin 1254 -> 0 bytes
 pixmaps/22x22/seahorse-sign-bad.svg                |  588 -----
 pixmaps/22x22/seahorse-sign-ok.png                 |  Bin 1197 -> 0 bytes
 pixmaps/22x22/seahorse-sign-ok.svg                 |  751 ------
 pixmaps/22x22/seahorse-sign.png                    |  Bin 1156 -> 0 bytes
 pixmaps/22x22/seahorse-sign.svg                    |  446 ----
 pixmaps/22x22/seahorse.png                         |  Bin 1015 -> 0 bytes
 pixmaps/22x22/seahorse.svg                         | 2648 --------------------
 pixmaps/48x48/.gitignore                           |    2 -
 pixmaps/48x48/Makefile.am                          |   12 -
 pixmaps/48x48/seahorse-key-personal.png            |  Bin 3181 -> 0 bytes
 pixmaps/48x48/seahorse-key-ssh.png                 |  Bin 2836 -> 0 bytes
 pixmaps/48x48/seahorse-key.png                     |  Bin 1794 -> 0 bytes
 pixmaps/48x48/seahorse-person.png                  |  Bin 2908 -> 0 bytes
 pixmaps/48x48/seahorse-preferences.png             |  Bin 3642 -> 0 bytes
 pixmaps/48x48/seahorse-sign-bad.png                |  Bin 3698 -> 0 bytes
 pixmaps/48x48/seahorse-sign-ok.png                 |  Bin 3476 -> 0 bytes
 pixmaps/48x48/seahorse-sign-unknown.png            |  Bin 3614 -> 0 bytes
 pixmaps/48x48/seahorse-sign.png                    |  Bin 3251 -> 0 bytes
 pixmaps/48x48/seahorse.png                         |  Bin 3538 -> 0 bytes
 pixmaps/Makefile.am                                |   14 -
 pixmaps/scalable/.gitignore                        |    2 -
 pixmaps/scalable/Makefile.am                       |   11 -
 pixmaps/scalable/seahorse-key-personal.svg         |  757 ------
 pixmaps/scalable/seahorse-key-ssh.svg              |  786 ------
 pixmaps/scalable/seahorse-key.svg                  |  377 ---
 pixmaps/scalable/seahorse-person.svg               |  467 ----
 pixmaps/scalable/seahorse-preferences.svg          | 1250 ---------
 pixmaps/scalable/seahorse-sign-bad.svg             |  599 -----
 pixmaps/scalable/seahorse-sign-ok.svg              |  757 ------
 pixmaps/scalable/seahorse-sign-unknown.svg         | 1289 ----------
 pixmaps/scalable/seahorse-sign.svg                 |  441 ----
 pixmaps/scalable/seahorse.svg                      | 1209 ---------
 pkcs11/Makefile.am                                 |    1 -
 src/Makefile.am                                    |    3 -
 src/seahorse-generate-select.c                     |   13 +-
 src/seahorse-key-manager-store.c                   |    7 +-
 src/seahorse-main.c                                |    6 +-
 ssh/Makefile.am                                    |    1 -
 ssh/seahorse-ssh-generate.c                        |    4 +-
 ssh/seahorse-ssh-key-properties.c                  |    4 +-
 ssh/seahorse-ssh-key.c                             |   10 +-
 ssh/seahorse-ssh-upload.c                          |    2 +-
 110 files changed, 10328 insertions(+), 17097 deletions(-)

commit ba2e70d228fd3a3d7319490f9adc9e9c9a7d67ab
Merge: ddc3620 0cb0d5a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Merge branch 'gnome-3-2'

commit 0cb0d5abe4af9160bafe753296ff1dca46e54866
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    With gpg2 key loading takes longer, so adjust behavior
    
     * Load in a low priority idle handler, and load smaller batches
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662088

 pgp/seahorse-gpgme-source.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 2015a379a95aeaafe70ceb6be14cc00ed16909ae
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-20

    Add gl help file translations

 help/gl/gl.po | 1085 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1085 insertions(+), 0 deletions(-)

commit ddc362006156e52a5314b3d085ef7e2c6b3f0c58
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-19

    Remove useless seahorse-algo.c file
    
     * Use glib checksum functionality instead

 ssh/Makefile.am             |    1 -
 ssh/seahorse-algo.c         |  243 -------------------------------------------
 ssh/seahorse-algo.h         |   49 ---------
 ssh/seahorse-ssh-key-data.c |   41 ++++----
 4 files changed, 20 insertions(+), 314 deletions(-)

commit c357d4523d1e06e97fab69e4c7b998f17a939943
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-10-17

    Release version 3.2.1

 NEWS         |    5 +++++
 configure.ac |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 31ae954de467236c8e362c28a652faa1147520d2
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   2011-10-10

    Updated Telugu Translations

 po/te.po | 2395 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 1138 insertions(+), 1257 deletions(-)

commit 7d848de2faac5803461993d2a480b8acd413f8bd
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2011-10-08

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po | 2000 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 926 insertions(+), 1074 deletions(-)

commit bbe8ce65c4b09ac9afae8f09960dd5f352957bcb
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2011-09-30

    Updated Hebrew translation.

 po/he.po | 2242 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 1047 insertions(+), 1195 deletions(-)

commit e22b3fbecd55a1e7646297f600ee57dcb4a15767
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2011-09-28

    Uploaded Ukranian

 po/uk.po | 1977 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 918 insertions(+), 1059 deletions(-)

commit 7fd9268d25cab7f57db787999131b2617055e7da
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2011-09-26

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  462 +++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  462 +++++++++++++++++++++++++++++-----------------------------
 2 files changed, 462 insertions(+), 462 deletions(-)

commit 58ec16588a0590f394436c7d5c1a30dbd4975f42
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2011-09-26

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 3543 ++++++++---------------------------------------------
 1 files changed, 509 insertions(+), 3034 deletions(-)

commit cb1175797c705c9982b88954b7345834b591dbb8
Author: Tommi Vainikainen <thv@iki.fi>
Date:   2011-09-26

    Updated Finnish translation

 po/fi.po | 1413 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 560 insertions(+), 853 deletions(-)

commit fb317a15e1575f4a9f7b9afd3a041ecf9623de7a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-26

    Release version 3.2.0

 NEWS         |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 81e840705d6419d5389f4625764713ca07c9f39a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-18

    Remove unused spec file

 .gitignore       |    1 -
 seahorse.spec.in |   87 ------------------------------------------------------
 2 files changed, 0 insertions(+), 88 deletions(-)

commit 45ffa1229a88c593a5ac4b995cf6ed4e0c12ee40
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2011-09-25

    Updated Basque language

 po/eu.po | 2257 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 1059 insertions(+), 1198 deletions(-)

commit fc73981cb127bd706c68bc85a13e6a05434fa1ee
Author: Andika Triwidada <andika@gmail.com>
Date:   2011-09-25

    Updated Indonesian translation

 po/id.po |  538 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 284 insertions(+), 254 deletions(-)

commit 8a5008f118f9179f7ccff426c1d1966f291bb235
Author: Marek Černocký <marek@manet.cz>
Date:   2011-09-25

    Updated Czech translation

 po/cs.po |  480 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 241 insertions(+), 239 deletions(-)

commit 53e9dcacd23bda33d5bbacf88c442f24cfa7c728
Author: Marek Černocký <marek@manet.cz>
Date:   2011-09-25

    Updated Czech translation

 po/cs.po | 1540 +++++++++++++++++++-------------------------------------------
 1 files changed, 476 insertions(+), 1064 deletions(-)

commit d8a6075a50ba2a2fdc027cd0a54a078c38964f86
Author: A S Alam <aalam@users.sf.net>
Date:   2011-09-23

    update Punjabi Translation

 po/pa.po |  490 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 238 insertions(+), 252 deletions(-)

commit 31cf27156571ed8b8bd5b3c81f5b25f9aaa6b7e9
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2011-09-23

    Updated Korean translation

 po/ko.po | 1959 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 906 insertions(+), 1053 deletions(-)

commit 7571e39141ea3536971f8845a7e9a009786c4395
Author: Flemming Christensen <fc@stromata.dk>
Date:   2011-09-21

    Updated Danish translation

 po/da.po | 2015 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 933 insertions(+), 1082 deletions(-)

commit dd9c91a388504d787612397eca1673c38e2f39da
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2011-09-21

    Updated Hungarian translation

 po/hu.po | 2007 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 936 insertions(+), 1071 deletions(-)

commit 6bb4265f152be1170e4b338b6778e6582908991b
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-09-21

    Added Galician translations for doc

 help/gl.po | 1409 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1409 insertions(+), 0 deletions(-)

commit 6fc0a479d6d2ec4cd87e6e989a8634c4db106c1f
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-09-21

    Added Galician translations for doc

 help/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 369cf23150cec937e6b19155164e27e6f3a0a462
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   2011-09-20

    Updated Serbian translation

 po/sr.po       | 2464 ++++++++++++++++++++++++++------------------------------
 po/sr@latin.po | 2430 ++++++++++++++++++++++++++-----------------------------
 2 files changed, 2305 insertions(+), 2589 deletions(-)

commit 8ef80379c805709f678b00d074b5b87b896208c4
Author: Pau Iranzo <paugnu@gmail.com>
Date:   2011-09-19

    [l10n]Updated Catalan translation

 po/ca.po | 2998 +++++++-------------------------------------------------------
 1 files changed, 301 insertions(+), 2697 deletions(-)

commit 664a45674906fb4d639c4bcb228f20b0f61e4456
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   2011-09-19

    Updated British English translation

 po/en_GB.po |  120 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 60 insertions(+), 60 deletions(-)

commit 2beffcb13f6edc54f9515781988747952d5838f1
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   2011-09-18

    Updated Latvian translation.

 po/lv.po |  493 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 240 insertions(+), 253 deletions(-)

commit bc094e7e81e56f53c0c027b49576b1f90b8eb40f
Author: Daniel Nylander <po@danielnylander.se>
Date:   2011-09-18

    Updated Swedish translation

 po/sv.po |  640 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 306 insertions(+), 334 deletions(-)

commit a5195bbd5af3d8e987a0301840299ca771d9a54f
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2011-09-18

    Updated Thai translation.

 po/th.po | 1969 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 908 insertions(+), 1061 deletions(-)

commit 0d9afcd4fa99efc62638ac1be6d10e7c637a678f
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2011-09-18

    Updated Lithuanian translation

 po/lt.po |  577 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 282 insertions(+), 295 deletions(-)

commit a05ff87f2f1f6e23dc7eb70ef915e2c2b5517f0d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-18

    Properly null terminate the string array returned for DNS-SD

 libseahorse/seahorse-dns-sd.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cde40a9d259edf736ccaf4f8d2c096a2210f51ef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-18

    Fix the key sharing DNS-SD type to match that of seahorse-sharing

 libseahorse/seahorse-dns-sd.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 88ef4a706b38caa00760f18899f452b6f095e6c9
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2011-09-18

    updated Tamil translation

 po/ta.po |  120 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 60 insertions(+), 60 deletions(-)

commit 2dfdcd5be257a1c43314b4f5eaa884f8c6eb2812
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-18

    Release 3.1.92

 Makefile.am  |    2 --
 NEWS         |   10 ++++++++++
 configure.ac |    2 +-
 3 files changed, 11 insertions(+), 3 deletions(-)

commit a1cf984555131378d3608644ae938847bb94ee11
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2011-09-17

    Updated Bulgarian translation

 po/bg.po |  111 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 51 insertions(+), 60 deletions(-)

commit e1e1990d656219689bc2921994976473826715de
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2011-09-17

    Updated Russian translation

 po/ru.po |  630 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 281 insertions(+), 349 deletions(-)

commit 828d64578879894da65e578225b553679de101d6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2011-09-17

    Updated Slovenian translation

 po/sl.po |  124 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 63 insertions(+), 61 deletions(-)

commit 6a4519b1e47b82cfe0bd759dc65bc384553d6ce1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-09-17

    Updated Norwegian bokmål translation

 po/nb.po |  575 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 260 insertions(+), 315 deletions(-)

commit 627dc25390eb36ee3e2102b66301615307e34bb3
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   2011-09-17

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po |  209 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 107 insertions(+), 102 deletions(-)

commit 18142f5b1edaece4cd1dd231dc775dfd3a2b24b6
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   2011-09-17

    Updated Japanese translation

 po/ja.po | 2096 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 991 insertions(+), 1105 deletions(-)

commit bee1183d917e49bdc41ec7539ef43885cee17a1e
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2011-09-17

    Updated Portuguese translation

 po/pt.po |  120 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 60 insertions(+), 60 deletions(-)

commit 64ac91ea6f4d528349b1fedc267d6a874d9aa2ca
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-09-16

    [l10n] Updated German translation

 po/de.po | 1046 +++++++++++++++++---------------------------------------------
 1 files changed, 279 insertions(+), 767 deletions(-)

commit 74ffeef74dd06ae167ecf51546ef6ecee4403356
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2011-09-16

    [l10n] Updated Italian translation

 po/it.po |  111 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 51 insertions(+), 60 deletions(-)

commit 41c4171d9a8baf5a8291b2bfefd476af41892c7b
Author: Antonio Fernandes C. Neto <fernandesn@gnome.org>
Date:   2011-09-16

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 2020 +++++++++++++++++------------------------------------------
 1 files changed, 588 insertions(+), 1432 deletions(-)

commit 6757203ae228f141dc7c19b45c104e54fe1151b6
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-09-15

    Updated Galician translations

 po/gl.po |  470 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 235 insertions(+), 235 deletions(-)

commit ab49fc897ae0d57063f745b381f9d01546372ceb
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-09-15

    Updated Polish translation

 po/pl.po |  111 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 51 insertions(+), 60 deletions(-)

commit a16bb1ce6ab053d7e572afb27008590cfc831af3
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2011-09-15

    Update French translation

 po/fr.po |  578 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 262 insertions(+), 316 deletions(-)

commit c04bd797a85352ca4fbee541d1ce1f106fc1a574
Author: Saleem Abdulrasool <compnerd@compnerd.org>
Date:   2010-12-20

    doc: fix types to reflect reality

 libseahorse/seahorse-context.h |    2 +-
 libseahorse/seahorse-set.h     |    2 +-
 libseahorse/seahorse-widget.h  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit c305f8c00d654cf9c01cb0ec6789ac92ee731691
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   2011-09-15

    Updated Spanish translation

 po/es.po |  624 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 305 insertions(+), 319 deletions(-)

commit 8f165666aacb2403395f9fdc739a1b2ec294ddde
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    Rework password prompting, key generation and upload.
    
     * openssh changed and we can no longer pass file descriptors to
       our seahorse-ssh-askpass process.
     * Rework how seahorse-ssh-askpass works, and have it pormpt for
       the password directly.
     * We can no longer ask for confirmation of passwords in the same
       prompt, but at least things work.
     * Fix issue with showing help when generating key.
     * Close key generation and upload dialogs before we start ssh
       operations.

 ssh/seahorse-ssh-askpass.c    |  170 ++++++++++----------
 ssh/seahorse-ssh-generate.c   |   16 +-
 ssh/seahorse-ssh-generate.xml |    1 -
 ssh/seahorse-ssh-operation.c  |  363 +++++++----------------------------------
 ssh/seahorse-ssh-source.c     |   86 +++++++---
 ssh/seahorse-ssh-upload.c     |    5 +-
 6 files changed, 211 insertions(+), 430 deletions(-)

commit 007580d02e32ccc6165de15c64843bdfa2d0f362
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    When enter is pressed don't allow passphrase to complete if no match.
    
     * If confirmed passwords don't match don't allow the <Enter> key
       to complete the password prompt.

 libseahorse/seahorse-passphrase.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit aa850691116f103d96a4d5dfd26a50993c927915
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-15

    Fix issues with GtkComboBoxText used in builder files
    
     * Needed some additional properties in order not to fail with warnings.

 libseahorse/seahorse-add-keyserver.xml |    2 ++
 pgp/seahorse-pgp-generate.xml          |    2 ++
 ssh/seahorse-ssh-generate.xml          |   16 ++--------------
 3 files changed, 6 insertions(+), 14 deletions(-)

commit c51ac5059693fb3468435cf1f02623e9195f064f
Author: Krasimir Chonov <mk2616@abv.bg>
Date:   2011-09-14

    Updated Bulgarian translation

 po/bg.po | 1542 +++++++++++++++++++-------------------------------------------
 1 files changed, 476 insertions(+), 1066 deletions(-)

commit 90e85e54abdffcda9977ce5ef6e1dda55e441d33
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   2011-09-13

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po |  594 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 289 insertions(+), 305 deletions(-)

commit 43b8ad7a7e0e3faf9cb9c0ff1c817459c70a6f9f
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2011-09-12

    updated Tamil translation

 po/ta.po | 2065 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 966 insertions(+), 1099 deletions(-)

commit ed48412b7b320b5b52809af75fab65b2b2c3e985
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2011-09-11

    [l10n] Updated Italian translation

 po/it.po | 1487 +++++++++++++++++++-------------------------------------------
 1 files changed, 443 insertions(+), 1044 deletions(-)

commit b4122341b8f4127c8ea3ffec510af2d534b97081
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   2011-09-11

    Updated Latvian translation.

 po/lv.po | 1927 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 901 insertions(+), 1026 deletions(-)

commit 5500d11bcc22c9516f2b0537b6a72f796ebc1100
Author: Javier Jardón <jjardon@gnome.org>
Date:   2011-09-11

    configure.ac: use maintainer mode by default
    
    See
    https://mail.gnome.org/archives/desktop-devel-list/2011-September/msg00064.html

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f75f784740b56865f7318d7f1563238da1282fd8
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2011-09-10

    Updated Portuguese translation

 po/pt.po | 1933 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 892 insertions(+), 1041 deletions(-)

commit 01d8cc12a22742a9782fc73b6967423f96e593b3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-09-08

    Updated Polish translation

 po/pl.po | 1483 +++++++++++++++++++-------------------------------------------
 1 files changed, 444 insertions(+), 1039 deletions(-)

commit dbe3be58567c3e77a198de5f45e534f81b87e914
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   2011-09-08

    Updated British English translation

 po/en_GB.po | 1919 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 885 insertions(+), 1034 deletions(-)

commit bebce393a78b1122943b5c823f9673ebe23dde25
Author: A S Alam <aalam@users.sf.net>
Date:   2011-09-08

    update PunjabiTranslation

 po/pa.po | 1910 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 881 insertions(+), 1029 deletions(-)

commit 6547bb8fa124ab620e4f07fb9d77eb88fa762d42
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2011-09-07

    Updated Slovenian translation

 po/sl.po | 1946 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 930 insertions(+), 1016 deletions(-)

commit 1da843ada29dba8e914fd90b375e1bdc30cf8369
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-07

    Stricter warnings about declarations, and fix issues.

 configure.ac                             |   42 +++++--
 gkr/seahorse-gkr-add-item.c              |   23 +++-
 gkr/seahorse-gkr-add-keyring.c           |   16 ++-
 gkr/seahorse-gkr-item-properties.c       |   39 ++++--
 gkr/seahorse-gkr-item.c                  |   15 +--
 gkr/seahorse-gkr-keyring-properties.c    |    9 +-
 gkr/seahorse-gkr-keyring.c               |    2 +-
 libseahorse/seahorse-context.c           |    2 +-
 libseahorse/seahorse-dns-sd.c            |    2 +-
 libseahorse/seahorse-dns-sd.h            |    4 +-
 libseahorse/seahorse-keyserver-control.h |    2 +
 libseahorse/seahorse-prefs.c             |   23 +++-
 libseahorse/seahorse-set-model.c         |    2 +-
 libseahorse/seahorse-util.c              |   42 ------
 libseahorse/seahorse-widget.h            |    2 +-
 pgp/seahorse-gpg-options.c               |    2 +-
 pgp/seahorse-gpg-options.h               |    2 +-
 pgp/seahorse-gpgme-add-subkey.c          |   21 +++-
 pgp/seahorse-gpgme-add-uid.c             |   21 +++-
 pgp/seahorse-gpgme-expires.c             |   14 ++-
 pgp/seahorse-gpgme-generate.c            |   30 ++++-
 pgp/seahorse-gpgme-photos.c              |    2 +-
 pgp/seahorse-gpgme-revoke.c              |    8 +-
 pgp/seahorse-gpgme-sign.c                |   13 ++-
 pgp/seahorse-gpgme-source.h              |    2 +-
 pgp/seahorse-hkp-source.c                |    4 +-
 pgp/seahorse-pgp-key-properties.c        |  206 ++++++++++++++++++++++++-----
 pgp/seahorse-pgp-keysets.c               |    4 +-
 pgp/seahorse-pgp-keysets.h               |    2 +-
 pgp/seahorse-signer.c                    |    1 +
 pkcs11/seahorse-pkcs11-certificate.c     |    2 +-
 pkcs11/seahorse-pkcs11-certificate.h     |    2 +
 src/seahorse-key-manager-store.h         |    2 +
 src/seahorse-key-manager.c               |   18 +++
 src/seahorse-keyserver-results.c         |    7 +
 src/seahorse-keyserver-search.c          |   10 ++-
 src/seahorse-keyserver-sync.c            |    6 +
 src/seahorse-viewer.c                    |    3 +
 ssh/seahorse-ssh-key-data.c              |    2 +-
 ssh/seahorse-ssh-key-properties.c        |   17 +++
 ssh/seahorse-ssh-upload.c                |    4 +
 41 files changed, 469 insertions(+), 161 deletions(-)

commit bd364996e61709247c36c448f881b103462bc137
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-06

    Don't fire events when disposing of SeahorseSet
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656297

 libseahorse/seahorse-set.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 41ab356fbdde20b81c620b0d8c32837ec7ed36dc
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2011-09-06

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  256 ++++++++++++++++++++++++++++-------------------------------
 po/zh_TW.po |  256 ++++++++++++++++++++++++++++-------------------------------
 2 files changed, 242 insertions(+), 270 deletions(-)

commit 235cd92563b2cea58673474b3649727aec1ca506
Author: Andika Triwidada <andika@gmail.com>
Date:   2011-09-06

    Updated Indonesian translation

 po/id.po |  445 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 169 insertions(+), 276 deletions(-)

commit e235682d1cc6ee06cb3d409838d917a758e25e48
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-09-05

    Fixed ms.po

 po/ms.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f43577a2e877b4fbffa3ba7c7d56da60d1dc6638
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2011-09-05

    Update French translation

 help/fr/fr.po |  223 +++++++++++++++++++++++++++------------------------------
 1 files changed, 106 insertions(+), 117 deletions(-)

commit 628bd81564eb9c766f8c10a5479b681fe6278b15
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-05

    Release version 3.1.91

 NEWS         |    8 ++++++++
 configure.ac |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 643eb736085bc13d9314383a53d9808d711c936c
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-09-04

    Updated galician translations

 po/gl.po |  263 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 125 insertions(+), 138 deletions(-)

commit 344a2c887cc2a6da7c9f332c67347fc9ea8ca8ab
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-09-04

    Updated galician translations

 po/gl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0fd2ce2b71d2f4b9006c44c5c9d69e33cfd96d48
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   2011-09-02

    Updated Lithuanian translation

 po/lt.po | 2445 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 1129 insertions(+), 1316 deletions(-)

commit c4093fe3b8b33acbde86e6f8e07f3a949c493ca7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    Remove more GTK+ 2.x cruft.
    
     * Removed a bunch of version dependent #ifdefs for drag and drop

 src/seahorse-key-manager-store.c |   65 +++++++++++---------------------------
 1 files changed, 19 insertions(+), 46 deletions(-)

commit 3bb6be0e1b87d41356bbfe9f1af3d9a4024d1231
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    Simplify how we access the window.
    
     * Use accessor functions in SeahorseCommands and SeahorseViewer

 gkr/seahorse-gkr-item-commands.c    |    6 ++--
 gkr/seahorse-gkr-keyring-commands.c |   46 ++++++++++++++--------------------
 pkcs11/seahorse-pkcs11-commands.c   |    6 ++--
 src/seahorse-viewer.c               |   10 ++++----
 ssh/seahorse-ssh-commands.c         |    2 +-
 5 files changed, 31 insertions(+), 39 deletions(-)

commit 9fc6e666e03a85aea07cd391fc3c55132ea63490
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    Remove SeahorseView::get_current_set() virtual method.
    
     * Unneeded

 libseahorse/seahorse-view.c |   15 +--------------
 libseahorse/seahorse-view.h |    6 +-----
 src/seahorse-viewer.c       |   20 +-------------------
 src/seahorse-viewer.h       |    6 +-----
 4 files changed, 4 insertions(+), 43 deletions(-)

commit 117f062ef433f3d2f89ed431a46b7da88c47fa7c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-29

    Remove the 'description' property from objects.
    
     * This is not used by seahorse (used to be used by seahorse-daemon)

 gkr/seahorse-gkr-item.c       |    9 ---
 gkr/seahorse-gkr-keyring.c    |    1 -
 libseahorse/seahorse-object.c |  141 +----------------------------------------
 libseahorse/seahorse-object.h |    7 --
 pgp/seahorse-gpgme-expires.c  |    2 +-
 pgp/seahorse-pgp-key.c        |    5 +-
 pgp/seahorse-pgp-subkey.c     |    4 +-
 pgp/seahorse-pgp-subkey.h     |    4 +-
 ssh/seahorse-ssh-key.c        |   12 +---
 9 files changed, 11 insertions(+), 174 deletions(-)

commit 3d2130f23c5d9afa15ebfc40eec5a5449558671b
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-29

    Remove the SeahorseObject realize and refresh virtual methods.
    
     * These are almost always generally called from within their
       own component, so these don't need to be virtual.

 gkr/seahorse-gkr-item-properties.c   |    2 +-
 gkr/seahorse-gkr-item.c              |   55 ++++++-----------
 gkr/seahorse-gkr-item.h              |    4 +
 gkr/seahorse-gkr-keyring.c           |   24 ++------
 gkr/seahorse-gkr-keyring.h           |    4 +
 libseahorse/seahorse-object.c        |  106 +--------------------------------
 libseahorse/seahorse-object.h        |   10 ---
 pgp/seahorse-gpgme-key.c             |   54 +++++++++---------
 pgp/seahorse-gpgme-key.h             |    4 +
 pgp/seahorse-pgp-key-properties.c    |    7 +--
 pgp/seahorse-pgp-key.c               |   31 ++++------
 pgp/seahorse-pgp-key.h               |    2 +
 pgp/seahorse-pgp-uid.c               |   30 ++++++----
 pgp/seahorse-pgp-uid.h               |    2 +
 pkcs11/seahorse-pkcs11-certificate.c |   18 ++----
 pkcs11/seahorse-pkcs11-object.c      |   24 ++------
 pkcs11/seahorse-pkcs11-object.h      |    4 +
 pkcs11/seahorse-pkcs11-source.c      |    2 +-
 ssh/seahorse-ssh-key.c               |   10 +--
 ssh/seahorse-ssh-key.h               |    2 +
 ssh/seahorse-ssh-operation.c         |    4 +-
 21 files changed, 130 insertions(+), 269 deletions(-)

commit 5705c613665238aa3566f937c74628be4d1b153d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-09-02

    Fix for GTK+ 3.0 filter model changes.
    
     * seahorse_set_model_iter_nth_child gets called with NULL iter.

 libseahorse/seahorse-set-model.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d61e6086f5b62c2e20636fd9a877c3f6952bc23c
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2011-09-01

    Updated Russian translation

 po/ru.po | 1446 +++++++++++++++++++++-----------------------------------------
 1 files changed, 481 insertions(+), 965 deletions(-)

commit a66174fa084df5b91beeadcc00adc2a3dd7eba24
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-09-01

    [l10n] Updated German doc translation

 help/de/de.po |  582 +++++----------------------------------------------------
 1 files changed, 51 insertions(+), 531 deletions(-)

commit f4b5e86c730dc578ea388bb2796b4bd2242d7690
Author: Daniel Nylander <po@danielnylander.se>
Date:   2011-09-01

    Updated Swedish translation

 po/sv.po |   37 ++++++++++++++++++-------------------
 1 files changed, 18 insertions(+), 19 deletions(-)

commit 6d88ff7e991b830892b4fe58ab16a74fb0240c13
Author: Claude Paroz <claude@2xlibre.net>
Date:   2011-09-01

    Updated French translation
    
    Contributed by Alexandre Franke and Claude Paroz

 po/fr.po | 1499 +++++++++++++++++++-------------------------------------------
 1 files changed, 448 insertions(+), 1051 deletions(-)

commit 4ad3526bf1c8b84bf6952b0a345299b09d48261d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-09-01

    Added Norwegian bokmål translation

 po/nb.po |   29 +++++++++++------------------
 1 files changed, 11 insertions(+), 18 deletions(-)

commit 930ac244c55a3759f5b17ad22db7fb8a83691b0c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-08-30

    Updated Spanish translation

 help/es/es.po |   61 ++++++++++++++++++++++++--------------------------------
 1 files changed, 26 insertions(+), 35 deletions(-)

commit 4df2b409e2f05895bc71f6d1ce6e8b0ff04efcb9
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-08-30

    Updated Spanish translation

 help/es/es.po |  239 +++++++++++++++++++---------------
 po/es.po      |  398 ++++++++++++++++++++++++++++-----------------------------
 2 files changed, 327 insertions(+), 310 deletions(-)

commit 9042815fdb31e8d45b19c50db01c12d68a482958
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Fix up for GTK+3 deprecations of GtkHBox and GtkVBox

 libegg/egg-datetime.c             |   10 +++++-----
 libegg/egg-datetime.h             |    4 ++--
 libseahorse/seahorse-passphrase.c |    6 +++---
 src/seahorse-key-manager.c        |    2 +-
 4 files changed, 11 insertions(+), 11 deletions(-)

commit 3ddfcdb14026644c8c580d6f51c68b314a3d203f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Paper bag release: Actually update the version to 3.1.90

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d1ceedb2798d371f5f2c96d0f20afd994c659d3c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Release version 3.1.90

 Makefile.am                                    |    4 +-
 NEWS                                           |   12 +
 configure.ac                                   |    4 -
 reference/.gitignore                           |    3 -
 reference/Makefile.am                          |    1 -
 reference/libseahorse/.gitignore               |   16 -
 reference/libseahorse/Makefile.am              |   61 ---
 reference/libseahorse/libseahorse-docs.sgml    |   65 ---
 reference/libseahorse/libseahorse-sections.txt |  598 ------------------------
 reference/libseahorse/version.xml.in           |    1 -
 10 files changed, 13 insertions(+), 752 deletions(-)

commit 172d39e425b699788c91a93406f6076f930ed167
Merge: 2987f11 53d08ef
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Merge branch 'seahorse-name'

commit 2987f11991837e6c0d8ebb745cabaa0475fe13a6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Fix various generation dialog selectors
    
     * Drop down algorithm choices
     * Bigger window for selection of what to generate
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655720

 libseahorse/seahorse-add-keyserver.xml |    7 -
 pgp/seahorse-pgp-generate.xml          |    7 -
 src/seahorse-generate-select.c         |    1 +
 src/seahorse-generate-select.xml       |  111 ++++++++++--------
 ssh/seahorse-ssh-generate.c            |    2 +-
 ssh/seahorse-ssh-generate.xml          |  197 +++++++++++++++++++------------
 6 files changed, 187 insertions(+), 138 deletions(-)

commit fbbd7ac2ca93b1c97bb2e1ce769359641479534d
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2011-08-30

    Unmark fuzzy string in French translation

 help/fr/fr.po |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 8bc807e0252d8e7154d340f736125624d24bd19f
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2011-08-29

    Update French translation

 help/fr/fr.po |   36 ++++++++++++++++++++++--------------
 1 files changed, 22 insertions(+), 14 deletions(-)

commit 53d08efd5b5e7c8127a78b3e289fa59c7446cee6
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-30

    Rename to 'Passwords and Keys'
    
     * Shorter more to the point name.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657217

 help/C/seahorse.xml        |    6 +++---
 src/seahorse-key-manager.c |    2 +-
 src/seahorse-main.c        |    2 +-
 src/seahorse-viewer.c      |    2 +-
 src/seahorse.1             |    2 +-
 src/seahorse.desktop.in.in |    2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

commit 5cde3baa972639897e88baf6e10101b8e21a4ef6
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   2011-08-29

    Fix misuse of ngettext
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657617

 gkr/seahorse-gkr-item-commands.c    |    2 +-
 gkr/seahorse-gkr-keyring-commands.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c0ee067f33ee5eaacd3f3f98b037815b8ef2c007
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-29

    Don't do a warning when key server uri scheme not supported.
    
     * Instead a message since this is external stimuli.

 pgp/seahorse-server-source.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 97bedc1665323c1e4fe717fecd6fd50ad1961a2c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-08-28

    [l10n] Updated German translation

 po/de.po | 1811 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 845 insertions(+), 966 deletions(-)

commit d06557bc4239154a55269a4bfdac291dd6c7b6e1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2011-08-27

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1793 +++++++++++++++++++++++++++-------------------------------
 po/zh_TW.po | 1803 +++++++++++++++++++++++++++--------------------------------
 2 files changed, 1672 insertions(+), 1924 deletions(-)

commit c9e7045588bdabbb4f00160287766c5990803379
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    Remove SeahorseOperation from libseahorse reference.

 reference/libseahorse/libseahorse-sections.txt |   53 ------------------------
 1 files changed, 0 insertions(+), 53 deletions(-)

commit 324b9f32c574110a780e771b79f555d942778ccb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-25

    pkcs11: Changes for GCK API cleanup
    
     * And update dependency on latest GCR/GCK

 configure.ac                    |    2 +-
 pkcs11/seahorse-pkcs11-module.c |    8 +++++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 7d18b759944c8e751ad98a3519019a2ed04df8f0
Author: Fran Dieguez <fran@openhost.es>
Date:   2011-08-24

    Updated Galician translations

 po/gl.po | 1853 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 866 insertions(+), 987 deletions(-)

commit 6f5f90af56be68d543226c3d38364710944fa4ff
Author: Daniel Nylander <po@danielnylander.se>
Date:   2011-08-24

    Updated Swedish translation

 po/sv.po | 1722 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 763 insertions(+), 959 deletions(-)

commit e80af9b74fab8b02362fcdc635c80acb40a9c59a
Author: Gil Forcada <gforcada@gnome.org>
Date:   2011-08-22

    [l10n]Updated Catalan translation

 po/ca.po | 1918 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 894 insertions(+), 1024 deletions(-)

commit bdd1950949a3a63a1a1a4aeee561d2da55b3a03c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-08-21

    Updated Norwegian bokmål translation

 po/nb.po | 1416 ++++++++++++++++++++------------------------------------------
 1 files changed, 442 insertions(+), 974 deletions(-)

commit b1b55414202ec25f4961c281098e092b80eda650
Author: Aron Xu <aronxu@gnome.org>
Date:   2011-08-21

    Update Simplified Chinese translation.

 po/zh_CN.po | 1750 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 812 insertions(+), 938 deletions(-)

commit 7edde17ac3c5949bd86d4961304fc6836fdad654
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-08-21

    Updated Spanish translation

 po/es.po | 1827 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 860 insertions(+), 967 deletions(-)

commit bbfa1e7b9c831c92082f27a8df354081b70b5d7d
Author: Andika Triwidada <andika@gmail.com>
Date:   2011-08-20

    Updated Indonesian translation

 po/id.po | 1686 ++++++++++++++++++++------------------------------------------
 1 files changed, 551 insertions(+), 1135 deletions(-)

commit 4d6338a3ee0b85e4d99ab8b1469930ebc7934c64
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    Move all the egg stuff into the libegg directory.
    
     * Janitorial duties.

 libegg/Makefile.am       |   13 ++-
 libegg/eggtreemultidnd.c |  415 ++++++++++++++++++++++++++++++++++++++++++++++
 libegg/eggtreemultidnd.h |   74 ++++++++
 src/Makefile.am          |    2 +-
 src/eggtreemultidnd.c    |  415 ----------------------------------------------
 src/eggtreemultidnd.h    |   74 --------
 6 files changed, 502 insertions(+), 491 deletions(-)

commit f916a9493ea3b0bcdb64877f9b7e06ef7a7840d1
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    Move stuff in the common/ subdirectory into libseahorse/
    
     * There wasn't really that much of a difference between the code.
       In theory it was supposed to be usable without depending on
       other bits of seahorse, but this was an arbitrary distinction.

 Makefile.am                           |    1 -
 common/.gitignore                     |    3 -
 common/Makefile.am                    |   15 -
 common/seahorse-bind.c                |  543 ---------------------------------
 common/seahorse-bind.h                |   43 ---
 common/seahorse-cleanup.c             |   86 ------
 common/seahorse-cleanup.h             |   33 --
 common/seahorse-object-list.c         |   84 -----
 common/seahorse-object-list.h         |   42 ---
 common/seahorse-registry.c            |  409 -------------------------
 common/seahorse-registry.h            |   86 ------
 common/seahorse-secure-buffer.c       |  196 ------------
 common/seahorse-secure-buffer.h       |   57 ----
 configure.ac                          |    1 -
 gkr/Makefile.am                       |    3 +-
 gkr/seahorse-gkr-add-item.c           |    3 +-
 gkr/seahorse-gkr-item-commands.c      |    3 +-
 gkr/seahorse-gkr-item-properties.c    |    5 +-
 gkr/seahorse-gkr-keyring-commands.c   |    3 +-
 gkr/seahorse-gkr-keyring-properties.c |    3 +-
 gkr/seahorse-gkr-source.c             |    7 +-
 libseahorse/Makefile.am               |   10 +-
 libseahorse/seahorse-bind.c           |  543 +++++++++++++++++++++++++++++++++
 libseahorse/seahorse-bind.h           |   43 +++
 libseahorse/seahorse-cleanup.c        |   86 ++++++
 libseahorse/seahorse-cleanup.h        |   33 ++
 libseahorse/seahorse-context.c        |    5 +-
 libseahorse/seahorse-object-list.c    |   84 +++++
 libseahorse/seahorse-object-list.h    |   42 +++
 libseahorse/seahorse-object-model.c   |    3 +-
 libseahorse/seahorse-passphrase.c     |    7 +-
 libseahorse/seahorse-passphrase.h     |    2 +
 libseahorse/seahorse-prefs.c          |    3 +-
 libseahorse/seahorse-registry.c       |  409 +++++++++++++++++++++++++
 libseahorse/seahorse-registry.h       |   86 ++++++
 libseahorse/seahorse-secure-buffer.c  |  196 ++++++++++++
 libseahorse/seahorse-secure-buffer.h  |   57 ++++
 libseahorse/seahorse-servers.c        |    3 +-
 libseahorse/seahorse-source.c         |    3 +-
 libseahorse/seahorse-unknown-source.c |    3 +-
 pgp/Makefile.am                       |    3 +-
 pgp/seahorse-gpgme-generate.c         |   10 +-
 pgp/seahorse-gpgme-key-op.c           |    3 +-
 pgp/seahorse-gpgme-key.c              |    3 +-
 pgp/seahorse-gpgme-source.c           |    3 +-
 pgp/seahorse-gpgme-uid.c              |    2 +-
 pgp/seahorse-hkp-source.c             |    5 +-
 pgp/seahorse-ldap-source.c            |    5 +-
 pgp/seahorse-pgp-commands.c           |    3 +-
 pgp/seahorse-pgp-key-properties.c     |    3 +-
 pgp/seahorse-pgp-key.c                |    5 +-
 pgp/seahorse-pgp-uid.c                |    2 +-
 pgp/seahorse-server-source.c          |    8 +-
 pkcs11/seahorse-pkcs11-commands.c     |    3 +-
 pkcs11/seahorse-pkcs11-operations.c   |    2 +-
 pkcs11/seahorse-pkcs11-source.c       |    2 +-
 src/Makefile.am                       |    1 -
 src/seahorse-generate-select.c        |    4 +-
 src/seahorse-main.c                   |    7 +-
 src/seahorse-viewer.c                 |    4 +-
 ssh/seahorse-ssh-commands.c           |    3 +-
 ssh/seahorse-ssh-generate.c           |    8 +-
 ssh/seahorse-ssh-key-properties.c     |    3 +-
 ssh/seahorse-ssh-source.c             |    3 +-
 64 files changed, 1646 insertions(+), 1693 deletions(-)

commit 3750c6e6926222301d67988c1f0c68429a1e4a70
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    Fix up copyrights for recent big async refactoring.
    
     * This work was done while working for Collabora, so the
       copyright should reflect that.

 gkr/seahorse-gkr-add-keyring.c        |    1 +
 gkr/seahorse-gkr-item-commands.c      |    3 ++-
 gkr/seahorse-gkr-item-properties.c    |    1 +
 gkr/seahorse-gkr-item.c               |    1 +
 gkr/seahorse-gkr-item.h               |    1 +
 gkr/seahorse-gkr-keyring-commands.c   |    3 ++-
 gkr/seahorse-gkr-keyring.c            |    3 ++-
 gkr/seahorse-gkr-operation.c          |    1 +
 gkr/seahorse-gkr-operation.h          |    1 +
 gkr/seahorse-gkr-source.c             |    1 +
 libseahorse/seahorse-commands.c       |    3 ++-
 libseahorse/seahorse-commands.h       |    3 ++-
 libseahorse/seahorse-context.c        |    1 +
 libseahorse/seahorse-context.h        |    1 +
 libseahorse/seahorse-object.c         |    3 ++-
 libseahorse/seahorse-object.h         |    3 ++-
 libseahorse/seahorse-passphrase.c     |    1 +
 libseahorse/seahorse-progress.c       |    1 +
 libseahorse/seahorse-source.c         |    1 +
 libseahorse/seahorse-source.h         |    1 +
 libseahorse/seahorse-transfer.c       |    1 +
 libseahorse/seahorse-transfer.h       |    1 +
 libseahorse/seahorse-unknown-source.c |    1 +
 libseahorse/seahorse-unknown-source.h |    1 +
 libseahorse/seahorse-util.c           |    1 +
 libseahorse/seahorse-util.h           |    1 +
 pgp/seahorse-gpgme-generate.c         |    1 +
 pgp/seahorse-gpgme-key-op.c           |    1 +
 pgp/seahorse-gpgme-key.c              |    1 +
 pgp/seahorse-gpgme-source.c           |    1 +
 pgp/seahorse-gpgme.c                  |    3 ++-
 pgp/seahorse-gpgme.h                  |    3 ++-
 pgp/seahorse-hkp-source.c             |    1 +
 pgp/seahorse-ldap-source.c            |    1 +
 pgp/seahorse-pgp-commands.c           |    3 ++-
 pgp/seahorse-pgp-commands.h           |    3 ++-
 pgp/seahorse-pgp-key-properties.c     |    1 +
 pgp/seahorse-server-source.c          |    1 +
 pgp/seahorse-server-source.h          |    1 +
 pgp/seahorse-signer.c                 |    1 +
 pkcs11/seahorse-pkcs11-certificate.c  |    3 ++-
 pkcs11/seahorse-pkcs11-commands.c     |    3 ++-
 pkcs11/seahorse-pkcs11-object.c       |    3 ++-
 pkcs11/seahorse-pkcs11-operations.c   |    3 ++-
 pkcs11/seahorse-pkcs11-operations.h   |    3 ++-
 pkcs11/seahorse-pkcs11-source.c       |    1 +
 src/seahorse-key-manager-store.c      |    1 +
 src/seahorse-key-manager.c            |    3 ++-
 src/seahorse-keyserver-results.c      |    3 ++-
 src/seahorse-keyserver-results.h      |    3 ++-
 src/seahorse-keyserver-search.c       |    1 +
 src/seahorse-keyserver-sync.c         |    1 +
 src/seahorse-viewer.c                 |    3 ++-
 ssh/seahorse-ssh-commands.c           |    3 ++-
 ssh/seahorse-ssh-commands.h           |    3 ++-
 ssh/seahorse-ssh-generate.c           |    1 +
 ssh/seahorse-ssh-key-properties.c     |    1 +
 ssh/seahorse-ssh-key.c                |    1 +
 ssh/seahorse-ssh-key.h                |    1 +
 ssh/seahorse-ssh-operation.c          |    1 +
 ssh/seahorse-ssh-operation.h          |    1 +
 ssh/seahorse-ssh-source.c             |    1 +
 ssh/seahorse-ssh-source.h             |    1 +
 ssh/seahorse-ssh-upload.c             |    1 +
 64 files changed, 86 insertions(+), 22 deletions(-)

commit d3e11bc21c7149a0510fdde62775413dc4cf94ee
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    Update POTFILES.in for recent changes.

 po/POTFILES.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5ad63bb99ff81865cfdfddea2a8ecdbe5dc22fe4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-20

    Remove unused unix signal code.

 libseahorse/Makefile.am            |    1 -
 libseahorse/seahorse-unix-signal.c |  143 ------------------------------------
 libseahorse/seahorse-unix-signal.h |   35 ---------
 3 files changed, 0 insertions(+), 179 deletions(-)

commit bf8a2e217103b693aa475e0c09900b1c10eecfd8
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-19

    More fixes for new async operation code.

 libseahorse/seahorse-util.c  |    4 ++--
 pgp/seahorse-gpgme.c         |    3 +--
 ssh/seahorse-ssh-operation.c |   11 ++++-------
 3 files changed, 7 insertions(+), 11 deletions(-)

commit c7e0a9535dd0416f7bcfd753667095020771964f
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-18

    Refactor asynchronous operation code in seahorse.
    
     * This is a very large commit.
     * We use GIO style async now instead of SeahorseOperation.
     * Makes things easier to hack on because it's more consistent with
       other GNOME software.
     * More predictable cancellation and error code paths.
     * Some other cleanup here too. When rewriting entire functions to
       refactor the async code, I cleaned up some other things too.

 configure.ac                              |    2 +-
 gkr/seahorse-gkr-add-item.c               |   15 +-
 gkr/seahorse-gkr-add-keyring.c            |   15 +-
 gkr/seahorse-gkr-item-commands.c          |   48 +-
 gkr/seahorse-gkr-item-properties.c        |  409 ++-----
 gkr/seahorse-gkr-item-properties.xml      |  153 ---
 gkr/seahorse-gkr-item.c                   |  106 +--
 gkr/seahorse-gkr-item.h                   |    5 -
 gkr/seahorse-gkr-keyring-commands.c       |   72 +-
 gkr/seahorse-gkr-keyring.c                |  445 +++----
 gkr/seahorse-gkr-operation.c              |  618 ++++++---
 gkr/seahorse-gkr-operation.h              |   64 +-
 gkr/seahorse-gkr-source.c                 |  495 +++----
 libseahorse/Makefile.am                   |    3 +-
 libseahorse/seahorse-commands.c           |   22 +-
 libseahorse/seahorse-commands.h           |   12 +-
 libseahorse/seahorse-context.c            |  740 ++++++-----
 libseahorse/seahorse-context.h            |  193 ++--
 libseahorse/seahorse-object.c             |   22 -
 libseahorse/seahorse-object.h             |    4 -
 libseahorse/seahorse-operation.c          |  937 -------------
 libseahorse/seahorse-operation.h          |  336 -----
 libseahorse/seahorse-passphrase.c         |   21 -
 libseahorse/seahorse-progress.c           |  913 ++++++++-----
 libseahorse/seahorse-progress.h           |   47 +-
 libseahorse/seahorse-progress.xml         |   89 +-
 libseahorse/seahorse-source.c             |  549 ++++----
 libseahorse/seahorse-source.h             |  218 ++--
 libseahorse/seahorse-transfer-operation.c |  382 ------
 libseahorse/seahorse-transfer-operation.h |   61 -
 libseahorse/seahorse-transfer.c           |  204 +++
 libseahorse/seahorse-transfer.h           |   37 +
 libseahorse/seahorse-unknown-source.c     |  111 +-
 libseahorse/seahorse-unknown-source.h     |    4 +-
 libseahorse/seahorse-unknown.c            |   14 +-
 libseahorse/seahorse-util.c               |   59 +-
 libseahorse/seahorse-util.h               |    6 +-
 pgp/Makefile.am                           |    1 -
 pgp/seahorse-gpg-options.c                |    4 +-
 pgp/seahorse-gpgme-generate.c             |   75 +-
 pgp/seahorse-gpgme-key-op.c               |  240 +++--
 pgp/seahorse-gpgme-key-op.h               |   12 +-
 pgp/seahorse-gpgme-key.c                  |   33 +-
 pgp/seahorse-gpgme-operation.c            |  438 ------
 pgp/seahorse-gpgme-operation.h            |   94 --
 pgp/seahorse-gpgme-photos.c               |    6 +-
 pgp/seahorse-gpgme-source.c               | 1488 +++++++++++----------
 pgp/seahorse-gpgme.c                      |  309 ++++-
 pgp/seahorse-gpgme.h                      |    6 +-
 pgp/seahorse-hkp-source.c                 | 1056 +++++++--------
 pgp/seahorse-ldap-source.c                | 1956 ++++++++++++++-------------
 pgp/seahorse-pgp-commands.c               |   48 +-
 pgp/seahorse-pgp-commands.h               |    2 -
 pgp/seahorse-pgp-generate.xml             |    2 +-
 pgp/seahorse-pgp-key-properties.c         |   36 +-
 pgp/seahorse-server-source.c              |  121 +--
 pgp/seahorse-server-source.h              |    8 +-
 pgp/seahorse-signer.c                     |    1 -
 pkcs11/seahorse-pkcs11-certificate.c      |    2 +-
 pkcs11/seahorse-pkcs11-commands.c         |   45 +-
 pkcs11/seahorse-pkcs11-object.c           |   11 +-
 pkcs11/seahorse-pkcs11-operations.c       |  492 +++-----
 pkcs11/seahorse-pkcs11-operations.h       |   19 +-
 pkcs11/seahorse-pkcs11-source.c           |   23 +-
 src/seahorse-key-manager-store.c          |   78 +-
 src/seahorse-key-manager.c                |   79 +-
 src/seahorse-keyserver-results.c          |   57 +-
 src/seahorse-keyserver-results.h          |    8 +-
 src/seahorse-keyserver-results.xml        |    2 +-
 src/seahorse-keyserver-search.c           |   15 +-
 src/seahorse-keyserver-sync.c             |  181 ++--
 src/seahorse-viewer.c                     |  158 +--
 ssh/seahorse-ssh-commands.c               |   29 +-
 ssh/seahorse-ssh-commands.h               |    2 -
 ssh/seahorse-ssh-generate.c               |  105 +-
 ssh/seahorse-ssh-generate.xml             |    2 +-
 ssh/seahorse-ssh-key-properties.c         |  215 ++--
 ssh/seahorse-ssh-key.c                    |   48 +-
 ssh/seahorse-ssh-key.h                    |   12 +-
 ssh/seahorse-ssh-operation.c              | 2117 ++++++++++++++++-------------
 ssh/seahorse-ssh-operation.h              |  126 +-
 ssh/seahorse-ssh-source.c                 |  935 +++++++------
 ssh/seahorse-ssh-source.h                 |    4 +-
 ssh/seahorse-ssh-upload.c                 |   92 +-
 84 files changed, 8339 insertions(+), 9885 deletions(-)

commit e7ad0d5a9bb4aef9df25368b064f0dcf703da10c
Merge: 013f7bc 30b03db
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-12

    Merge branch 'no-gslist'

commit 013f7bce424ac7f2c18a6406fd0b6fa4848615ab
Merge: 3cfa67d d6b5e2e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-08-02

    Merge branch 'gsettings'

commit 3cfa67d2abaf2e9408782f20462c72175b96696a
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-08-01

    [l10n] Updated German doc translation

 help/de/de.po |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit 6b56370d9f0a7b41e4660ace9b5deccfd8be6d9c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-29

    pkcs11: Fix pkcs11 module initialization
    
     * Fix to match changes in new gck library.
     * GCK changed API and incremented its major version.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655539

 pkcs11/seahorse-pkcs11-module.c |   22 +++++-----------------
 1 files changed, 5 insertions(+), 17 deletions(-)

commit 30b03db09d4a97de46456da557f5a8f1b8e5c401
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-28

    Remove unused functions.
    
     * Remove a bunch of unused or little used functions from
       seahorse-util.[ch]

 libseahorse/seahorse-transfer-operation.c |    2 +-
 libseahorse/seahorse-util.c               |  311 +----------------------------
 libseahorse/seahorse-util.h               |   42 +----
 src/seahorse-key-manager-store.c          |    2 +-
 src/seahorse-key-manager.c                |    3 +-
 src/seahorse-viewer.c                     |    4 +-
 6 files changed, 13 insertions(+), 351 deletions(-)

commit 7c4a43b20303611dd23ccbc81c7b8bc9096e022a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-28

    Don't use GSList unless necessary
    
     * Use GList where lists are necessary.
     * Use gchar ** for string lists.

 common/seahorse-bind.c                    |   28 +++---
 common/seahorse-cleanup.c                 |   22 +++---
 libseahorse/seahorse-context.c            |   88 +++++++++---------
 libseahorse/seahorse-context.h            |    6 +-
 libseahorse/seahorse-dns-sd.c             |    2 +-
 libseahorse/seahorse-object-model.c       |   14 ++--
 libseahorse/seahorse-object-model.h       |    4 +-
 libseahorse/seahorse-operation.c          |   78 ++++++++--------
 libseahorse/seahorse-operation.h          |   12 ++--
 libseahorse/seahorse-prefs.c              |   47 +++++------
 libseahorse/seahorse-servers.c            |   12 ++--
 libseahorse/seahorse-servers.h            |    2 +-
 libseahorse/seahorse-source.c             |   20 ++--
 libseahorse/seahorse-source.h             |    4 +-
 libseahorse/seahorse-transfer-operation.c |   14 ++--
 libseahorse/seahorse-transfer-operation.h |    2 +-
 libseahorse/seahorse-util.c               |  139 -----------------------------
 libseahorse/seahorse-util.h               |   16 +---
 pgp/seahorse-hkp-source.c                 |   30 ++++---
 pgp/seahorse-ldap-source.c                |  130 +++++++++++++-------------
 pgp/seahorse-pgp-key-properties.c         |   24 +++---
 pkcs11/seahorse-pkcs11-module.c           |    2 +-
 src/eggtreemultidnd.c                     |   14 ++--
 src/seahorse-keyserver-sync.c             |    6 +-
 24 files changed, 281 insertions(+), 435 deletions(-)

commit d6b5e2ea6ba805e1e073e6fba385c908340618ad
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-28

    Remove last references to gconf, including dependencies.
    
     * Remove dependencies from configure.ac
     * And remove lots of comments referring to gconf

 configure.ac                             |    3 +--
 libseahorse/seahorse-context.c           |    1 -
 libseahorse/seahorse-keyserver-control.h |    2 +-
 libseahorse/seahorse-prefs.c             |    2 +-
 pgp/seahorse-hkp-source.c                |    9 +--------
 pgp/seahorse-pgp-key-properties.c        |    2 +-
 src/seahorse-key-manager.c               |    2 +-
 src/seahorse-keyserver-search.c          |    4 ++--
 8 files changed, 8 insertions(+), 17 deletions(-)

commit a9a0eca82e07ba04099e8690d870585422893d50
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-28

    Fix the org.gnome.seahorse.manager gconf -> gsettings convert file
    
     * Had the wrong schema name.

 data/org.gnome.seahorse.manager.convert |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 140bfe64528ae740b7d372a5d8c23439de2ac864
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-27

    Port to GSettings instead of GConf
    
     * Depends on recent change in gnome-keyring schemas.
     * Some minor fixes and cleanup along with the gsettings port.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=622401

 .gitignore                                  |    1 +
 configure.ac                                |    6 +-
 data/Makefile.am                            |   32 +--
 data/org.gnome.seahorse.convert             |    6 +
 data/org.gnome.seahorse.gschema.xml         |   29 ++
 data/org.gnome.seahorse.manager.convert     |    6 +
 data/org.gnome.seahorse.manager.gschema.xml |   29 ++
 data/org.gnome.seahorse.window.gschema.xml  |   14 +
 data/seahorse.schemas.in                    |  211 -------------
 libseahorse/Makefile.am                     |    2 -
 libseahorse/seahorse-add-keyserver.xml      |    3 +-
 libseahorse/seahorse-check-button-control.c |   63 ----
 libseahorse/seahorse-check-button-control.h |   34 --
 libseahorse/seahorse-combo-keys.c           |    1 -
 libseahorse/seahorse-context.c              |  291 +++++++++---------
 libseahorse/seahorse-context.h              |    4 +
 libseahorse/seahorse-dns-sd.c               |   64 ++---
 libseahorse/seahorse-dns-sd.h               |    6 +-
 libseahorse/seahorse-gconf.c                |  439 ---------------------------
 libseahorse/seahorse-gconf.h                |   85 -----
 libseahorse/seahorse-keyserver-control.c    |  178 +++++------
 libseahorse/seahorse-keyserver-control.h    |   11 +-
 libseahorse/seahorse-prefs.c                |  218 ++++++--------
 libseahorse/seahorse-servers.c              |   63 ++--
 libseahorse/seahorse-servers.h              |    5 +-
 libseahorse/seahorse-set.c                  |   25 +-
 libseahorse/seahorse-util.c                 |    1 -
 libseahorse/seahorse-widget.c               |  129 +++-----
 libseahorse/seahorse-widget.h               |    1 +
 pgp/seahorse-gpgme-sign.c                   |    3 +-
 pgp/seahorse-hkp-source.c                   |  116 +++++---
 pgp/seahorse-pgp-key-properties.c           |    1 -
 pgp/seahorse-pgp-keysets.c                  |   18 +-
 pgp/seahorse-signer.c                       |   12 +-
 pkcs11/seahorse-pkcs11-module.c             |   13 +-
 src/seahorse-key-manager-store.c            |  179 ++++++------
 src/seahorse-key-manager-store.h            |    3 +-
 src/seahorse-key-manager.c                  |   69 ++---
 src/seahorse-keyserver-results.c            |   12 +-
 src/seahorse-keyserver-search.c             |  429 +++++++++++++-------------
 src/seahorse-keyserver-sync.c               |  113 ++++----
 src/seahorse-preferences.c                  |    2 -
 42 files changed, 1067 insertions(+), 1860 deletions(-)

commit af87f36c0aafdc75d4baa9fafa081d452a306e8a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Add Glib style debug messages
    
     * This allows use of the SEAHORSE_DEBUG="all" environment variable.
     * Use SEAHORSE_DEBUG="help" to figure out what flags are available

 configure.ac                              |    2 +-
 gkr/seahorse-gkr-operation.c              |   14 ----
 gkr/seahorse-gkr-source.c                 |   17 -----
 libseahorse/Makefile.am                   |    1 +
 libseahorse/seahorse-debug.c              |  112 +++++++++++++++++++++++++++++
 libseahorse/seahorse-debug.h              |   91 +++++++++++++++++++++++
 libseahorse/seahorse-dns-sd.c             |   22 +-----
 libseahorse/seahorse-operation.c          |   42 ++++-------
 libseahorse/seahorse-transfer-operation.c |   53 ++++++--------
 libseahorse/seahorse-util.h               |    6 --
 pgp/seahorse-gpgme-key-op.c               |   58 ++++++---------
 pgp/seahorse-gpgme-operation.c            |   57 ++++++---------
 pgp/seahorse-gpgme-source.c               |   32 +++------
 pgp/seahorse-hkp-source.c                 |   31 +++-----
 pgp/seahorse-ldap-source.c                |   55 ++++++--------
 pgp/seahorse-pgp-key-properties.c         |    9 ++-
 src/seahorse-key-manager-store.c          |   39 ++++++-----
 ssh/seahorse-ssh-operation.c              |   83 +++++++++------------
 ssh/seahorse-ssh-source.c                 |   31 ++------
 19 files changed, 405 insertions(+), 350 deletions(-)

commit 8ce2a2f0636d48499d385def4d80301eb30bf142
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Debug changes and fixes
    
     * Use --enable-debug=yes to enable passive debug message code (default).
     * Use --disable-debug to disable all debug code.
     * Use --enable-debug=full to enable debug compilation and extras.

 configure.ac                         |   40 ++++++++++++++++++++++------------
 gkr/seahorse-gkr-add-item.c          |    5 +--
 gkr/seahorse-gkr-dialogs.c           |    3 +-
 gkr/seahorse-gkr-keyring-commands.c  |    6 -----
 libegg/egg-datetime.c                |   19 +++++++++------
 libseahorse/seahorse-commands.c      |   17 --------------
 libseahorse/seahorse-context.c       |   19 ----------------
 libseahorse/seahorse-object-widget.c |    6 +---
 libseahorse/seahorse-passphrase.c    |    3 --
 libseahorse/seahorse-util.c          |    2 +-
 pgp/seahorse-gpg-options.c           |    4 +--
 pgp/seahorse-gpgme-source.c          |    5 ----
 pgp/seahorse-pgp-key-properties.c    |    9 +------
 pgp/seahorse-server-source.c         |    7 +-----
 ssh/seahorse-ssh-askpass.c           |    6 ++--
 15 files changed, 50 insertions(+), 101 deletions(-)

commit 87af2252681f1626f01e27ef7b5d1d9fc2c7f4d9
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 87204ac46554e578bfef39b157393b8eb11b2e9a
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-25

    Release version 3.1.4

 NEWS         |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit 010fbf3f6ae6548208599ca4b101d31d5eb90bf7
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-07-20

    Split out libcryptui into its own module.
    
     * And seahorse-daemon too.
     * This is part of refacting seahorse to make it more manageable
       and more focused on key management.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655118

 COPYING-LIBCRYPTUI                           |  482 --------
 Makefile.am                                  |    3 -
 configure.ac                                 |   95 --
 daemon/.gitignore                            |   14 -
 daemon/Makefile.am                           |   84 --
 daemon/org.gnome.seahorse.service.in         |    3 -
 daemon/seahorse-daemon.1                     |  100 --
 daemon/seahorse-daemon.c                     |  310 ------
 daemon/seahorse-daemon.h                     |   36 -
 daemon/seahorse-dbus-server.c                |  142 ---
 daemon/seahorse-service-crypto.c             |  894 ---------------
 daemon/seahorse-service-crypto.xml           |   76 --
 daemon/seahorse-service-keyset.c             |  516 ---------
 daemon/seahorse-service-keyset.xml           |   68 --
 daemon/seahorse-service.c                    |  540 ---------
 daemon/seahorse-service.h                    |  219 ----
 daemon/seahorse-service.xml                  |   65 --
 gkr/Makefile.am                              |    5 +-
 gkr/seahorse-gkr-add-item.c                  |    2 +-
 gkr/seahorse-gkr-add-keyring.c               |    2 +-
 gkr/seahorse-gkr-keyring-commands.c          |    2 +-
 libcryptui/.gitignore                        |   12 -
 libcryptui/Makefile.am                       |  126 ---
 libcryptui/cryptui-defines.h                 |   36 -
 libcryptui/cryptui-key-chooser.c             |  650 -----------
 libcryptui/cryptui-key-chooser.h             |   88 --
 libcryptui/cryptui-key-combo.c               |  157 ---
 libcryptui/cryptui-key-combo.h               |   50 -
 libcryptui/cryptui-key-list.c                |  277 -----
 libcryptui/cryptui-key-list.h                |   64 --
 libcryptui/cryptui-key-store.c               | 1243 ---------------------
 libcryptui/cryptui-key-store.h               |  138 ---
 libcryptui/cryptui-keyset.c                  |  769 -------------
 libcryptui/cryptui-keyset.h                  |  120 --
 libcryptui/cryptui-marshal.list              |    1 -
 libcryptui/cryptui-priv.h                    |   64 --
 libcryptui/cryptui.c                         |  477 --------
 libcryptui/cryptui.h                         |  167 ---
 libcryptui/cryptui.pc.in                     |   14 -
 libcryptui/tests/.gitignore                  |    6 -
 libcryptui/tests/Makefile.am                 |   19 -
 libcryptui/tests/cryptui-test-ui.c           |  134 ---
 libegg/Makefile.am                           |   34 +-
 libegg/eggdesktopfile.c                      | 1520 --------------------------
 libegg/eggdesktopfile.h                      |  163 ---
 libegg/eggsmclient-private.h                 |   59 -
 libegg/eggsmclient-xsmp.c                    | 1368 -----------------------
 libegg/eggsmclient.c                         |  589 ----------
 libegg/eggsmclient.h                         |  117 --
 libseahorse/Makefile.am                      |   12 +-
 libseahorse/seahorse-combo-keys.c            |    8 +-
 libseahorse/seahorse-context.c               |  200 +---
 libseahorse/seahorse-context.h               |   23 +-
 libseahorse/seahorse-gconf.h                 |    7 +-
 libseahorse/seahorse-libdialogs.h            |   48 -
 libseahorse/seahorse-notification.c          |  607 ----------
 libseahorse/seahorse-notify.xml              |   75 --
 libseahorse/seahorse-passphrase.c            |    1 -
 libseahorse/seahorse-set-model.c             |    6 +-
 libseahorse/seahorse-set.c                   |   66 +-
 libseahorse/seahorse-set.h                   |   13 +-
 libseahorse/seahorse-types.h                 |   22 +-
 libseahorse/seahorse-validity.h              |   15 +-
 libseahorse/seahorse-xxx.c                   |  147 ---
 libseahorse/seahorse-xxx.h                   |   55 -
 pgp/Makefile.am                              |    5 +-
 pgp/seahorse-gpgme-expires.c                 |    1 -
 pgp/seahorse-gpgme-generate.c                |    2 +-
 pgp/seahorse-gpgme-key-op.c                  |    1 -
 pgp/seahorse-gpgme-key.c                     |    8 +-
 pgp/seahorse-gpgme-revoke.c                  |    1 -
 pgp/seahorse-gpgme-source.c                  |    1 -
 pgp/seahorse-signer.c                        |    1 -
 pkcs11/Makefile.am                           |    3 -
 po/POTFILES.in                               |   11 -
 reference/Makefile.am                        |    3 +-
 reference/libcryptui/.gitignore              |   17 -
 reference/libcryptui/Makefile.am             |   61 -
 reference/libcryptui/libcryptui-docs.sgml    |   28 -
 reference/libcryptui/libcryptui-sections.txt |  165 ---
 reference/libcryptui/version.xml.in          |    1 -
 src/Makefile.am                              |    3 -
 src/seahorse-key-manager.c                   |    6 +-
 src/seahorse-main.c                          |    3 +-
 src/seahorse-viewer.c                        |    2 +-
 ssh/Makefile.am                              |    6 +-
 ssh/seahorse-ssh-generate.c                  |    2 +-
 87 files changed, 127 insertions(+), 13629 deletions(-)

commit 018d8c2c8eccd35281c595228be44d4630310251
Author: Tommi Vainikainen <thv@iki.fi>
Date:   2011-07-18

    Updated Finnish translation

 po/fi.po |  474 +++++++++++++-------------------------------------------------
 1 files changed, 96 insertions(+), 378 deletions(-)

commit 42ff44299ce5131ddf83532fb7ab8522682377c0
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-07-09

    Remove GTK+2 dependency and depend on new GCK and GCR
    
     * gnome-keyring no longer has support for GTK+2, discussed on
       the mailing list.
     * In order for seahorse to build with gnome-keyring, remove
       GTK+2 support from seahorse too.

 configure.ac                         |   43 ++++++---------------------------
 gkr/seahorse-gkr-dialogs.c           |    8 ------
 libcryptui/Makefile.am               |    4 +-
 libcryptui/cryptui-key-chooser.c     |    7 -----
 libegg/egg-datetime.c                |   21 +---------------
 libseahorse/seahorse-passphrase.c    |    2 -
 libseahorse/seahorse-prefs.c         |    6 ----
 pgp/seahorse-gpgme-generate.c        |    6 ----
 pkcs11/seahorse-pkcs11-certificate.c |    2 +-
 pkcs11/seahorse-pkcs11-helpers.c     |    3 +-
 pkcs11/seahorse-pkcs11-module.c      |    2 +-
 pkcs11/seahorse-pkcs11-object.c      |    2 +-
 pkcs11/seahorse-pkcs11-operations.c  |    2 +-
 reference/libcryptui/Makefile.am     |    4 ---
 reference/libseahorse/Makefile.am    |    4 ---
 src/seahorse-key-manager.c           |    8 ++----
 ssh/seahorse-ssh-generate.c          |   10 +-------
 17 files changed, 21 insertions(+), 113 deletions(-)

commit 66885bc1176288edfd4ff7a93420fedddf846c37
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-07-05

    gkr: Create new keyring items in the right keyring.
    
     * Since upgrade to GTK+3 this behavior was broken.
    
    See: Debian bug #630470

 gkr/seahorse-gkr-add-item.c |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit fcff0bf75d8363fd60edf097575d9c143f61bbb5
Author: Seunghoon, Kang <freedomguard1@hanmail.net>
Date:   2011-07-01

    Added Korean manual translation

 help/Makefile.am |    2 +-
 help/ko/ko.po    | 1635 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1636 insertions(+), 1 deletions(-)

commit 11a224046e6cf7bb639df8f9aacdb242e37bb4e5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   2011-06-25

    Updated Serbian translation

 po/sr.po       |  676 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po |  676 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 678 insertions(+), 674 deletions(-)

commit 8fe7455a447a6ab0efaff70094a02fd0b3ca50f3
Author: Andreas Moog <amoog@ubuntu.com>
Date:   2011-06-05

    remove reference to non-existent info documentation from manpage

 src/seahorse.1 |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 1f3c4010cc6f5939fb861addcf86c360519425b3
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2011-05-29

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po |  544 +++++++++++++++++++++++++++--------------------------
 1 files changed, 278 insertions(+), 266 deletions(-)

commit d3d3ff55494ae18894505faeb622ad181e04208d
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2011-05-22

    Updated Vietnamese translation

 po/vi.po |  214 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 90 insertions(+), 124 deletions(-)

commit c121bf253c9b31b8883d2cecdc35d4bc4a3e2a6b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   2011-05-22

    po/vi.po: import from Damned Lies

 po/vi.po | 2223 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1294 insertions(+), 929 deletions(-)

commit 1a02e06ff6ba4abac9efee09bcf8fe565f23c37c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Bump version number

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c1d9daf45633d98be71682bb6e9c3bbb79d44b70
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-05-09

    Release version 3.1.1

 NEWS         |    8 ++++++++
 configure.ac |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 8a99ee3f6ca8d662f1a9e286a2badccd17aa4c08
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-27

    pkcs11: Fix up implementing of GcrCertificate for new gcr version.

 configure.ac                         |    2 +-
 pkcs11/seahorse-pkcs11-certificate.c |   10 +++++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 89848934f9bd09bdc2b0fb09a5416bc0f5453dd9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-04-27

    Updated Spanish translation

 help/es/es.po |   33 +++++++++++++++++++++------------
 1 files changed, 21 insertions(+), 12 deletions(-)

commit 43a6ae1f6329a925e506509b39db8c4a93303905
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   2011-04-27

    Updated Turkish translation

 po/tr.po |  959 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 500 insertions(+), 459 deletions(-)

commit abe1603ece39465b418bfbfaa47d728f39cbfe44
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2011-04-25

    Updated Japanese translation

 po/ja.po |  638 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 321 insertions(+), 317 deletions(-)

commit 6dd01874da814127e9746ecee5e7e6c791fabee7
Author: Tomáš Virgl <tomas@virgl.net>
Date:   2011-04-25

    Updated Slovak translation

 po/sk.po |  676 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 340 insertions(+), 336 deletions(-)

commit 83f1ebc3a0a74a91ed09a15a0b71ee5c237bcfbe
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Rename configure.in to configure.ac

 autogen.sh   |    2 +-
 configure.ac |  670 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  670 ----------------------------------------------------------
 3 files changed, 671 insertions(+), 671 deletions(-)

commit f3b8f56cf37e91b87a2d88d4799b2f921eeb7985
Merge: a8c5bac 3bc5e80
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Merge branch 'gnome-3-0'
    
    Conflicts:
    	po/da.po

commit 3bc5e8027ff6d70bf2caf1098f76dc277a71e8e2
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Release version 3.0.1

 NEWS         |    8 ++++++++
 configure.in |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 072e0510b781811b71b3c3535e0a481eb7af2298
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-25

    Build with GTK+3 by default.
    
     * Accept arguments like --with-gtk=2 and --with-gtk=3 instead
       of strict --with-gtk=3.0.

 configure.in |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit a8c5bac5ec6c4411b3eaedb819e75bed2b783db1
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2011-04-22

    Updated Thai translation.

 po/th.po |  344 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 180 insertions(+), 164 deletions(-)

commit 46339f71147d542f587c09c54eb7867f46606dad
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2011-04-22

    Updated Thai translation.

 po/th.po |  344 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 180 insertions(+), 164 deletions(-)

commit 40a8e37a4ad93ad9e6017e57f52fd8e9c66a4d72
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   2011-04-21

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   | 2958 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2959 insertions(+), 0 deletions(-)

commit f093fc5bea9bf8d3418866cda089fbf1802ed14e
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   2011-04-21

    Add Esperanto translation

 po/LINGUAS |    1 +
 po/eo.po   | 2958 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2959 insertions(+), 0 deletions(-)

commit 8f643e3eca0aa918d6befa9ca44b689f9b79170f
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   2011-04-01

    Remove GtkDialog.has-separator properties
    
    Not valid for GTK+ 3.0 anymore.

 gkr/seahorse-add-keyring.xml                |    1 -
 gkr/seahorse-gkr-add-item.xml               |    1 -
 gkr/seahorse-gkr-item-properties.xml        |    1 -
 gkr/seahorse-gkr-keyring.xml                |    1 -
 libseahorse/seahorse-add-keyserver.xml      |    1 -
 libseahorse/seahorse-notify.xml             |    1 -
 libseahorse/seahorse-prefs.xml              |    1 -
 libseahorse/seahorse-progress.xml           |    1 -
 pgp/seahorse-add-subkey.xml                 |    1 -
 pgp/seahorse-add-uid.xml                    |    1 -
 pgp/seahorse-expires.xml                    |    1 -
 pgp/seahorse-pgp-generate.xml               |    1 -
 pgp/seahorse-pgp-private-key-properties.xml |    1 -
 pgp/seahorse-revoke.xml                     |    1 -
 pgp/seahorse-signer.xml                     |    1 -
 src/seahorse-change-passphrase.xml          |    1 -
 src/seahorse-generate-select.xml            |    1 -
 src/seahorse-keyserver-search.xml           |    1 -
 src/seahorse-keyserver-sync.xml             |    1 -
 ssh/seahorse-ssh-generate.xml               |    1 -
 ssh/seahorse-ssh-key-properties.xml         |    1 -
 ssh/seahorse-ssh-upload.xml                 |    1 -
 22 files changed, 0 insertions(+), 22 deletions(-)

commit abef8bd54e56b3c7dbcaa9a839a49a3eb8f2374d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-12

    Fix problem importing SSH keys.
    
     * Files weren't being read completely.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=634064

 libseahorse/seahorse-util.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 032b3d01cc887ced3fc2a11ce21bb528e9ff4ffc
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-12

    cryptui: Fix building of tests with GTK+ 3.0

 libcryptui/tests/cryptui-test-ui.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f834f7561dcd5d5917243c397b88523d272c97ba
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2011-04-09

    Updated Korean translation

 po/ko.po |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit 4b203897eebfacd50e269a994a6e04b1a9dc6b24
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2011-04-09

    Updated Korean translation

 po/ko.po |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit 2ea04bc447f0ddc79dd218e46d5f605ca2d4a0ba
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-04-04

    Release version 3.0.0

 .gitignore         |    1 +
 NEWS               |    5 +++++
 configure.in       |    2 +-
 pkcs11/Makefile.am |    3 ++-
 4 files changed, 9 insertions(+), 2 deletions(-)

commit 55566ecaf01d1582b6cc7c0e4204d4bc091d5aae
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   2011-04-04

    [l10n]Fixes on Catalan translation

 po/ca.po |   78 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 39 insertions(+), 39 deletions(-)

commit a13cdf0ee0024199facac2a4968bbd64b11b79d4
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   2011-04-04

    [l10n]Fixes on Catalan translation

 po/ca.po |   78 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 39 insertions(+), 39 deletions(-)

commit 679b29dd05b7497d19aa9d7879532a76c640f438
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2011-04-04

    Updated Basque language

 po/eu.po |  679 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 323 insertions(+), 356 deletions(-)

commit 350d1993e9df853d8cfd993f5433eb950eaf33f8
Author: Marek Černocký <marek@manet.cz>
Date:   2011-04-02

    Updated Czech translation

 po/cs.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 4f408471d6450674040749c5ea79859621ab3b02
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   2011-04-02

    Updated Danish translation

 po/da.po |  636 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 320 insertions(+), 316 deletions(-)

commit cb61fde1323f13190894be2bc2e2c03487ea7c34
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   2011-04-02

    Updated Danish translation

 po/da.po |  636 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 320 insertions(+), 316 deletions(-)

commit ebf072aa3113baffd6bbbada082c2254a1bcff1d
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   2011-04-01

    Updated Tamil translation

 po/ta.po |  468 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 234 insertions(+), 234 deletions(-)

commit 1f7ca43b33d6a491f32d0ca768ff88b9c4d971f7
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   2011-03-31

    Updated Assamese translations

 po/as.po |  984 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 508 insertions(+), 476 deletions(-)

commit 232b064d44bbcfb9b2c9fab6bcf113ae1db0ca27
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-03-30

    Don't check for HAVE_CONFIG_H

 libegg/egg-datetime.c                    |    2 --
 libseahorse/seahorse-keyserver-control.c |    2 --
 src/seahorse-keyserver-search.c          |    2 --
 ssh/seahorse-algo.c                      |    6 ++----
 4 files changed, 2 insertions(+), 10 deletions(-)

commit 65280aa0efa2ba73892f6789887af0c2c37097eb
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-03-28

    Do #include <config.h> in the .c files only.

 daemon/seahorse-daemon.h                 |    1 -
 libegg/egg-datetime.c                    |    4 ++++
 libseahorse/seahorse-keyserver-control.c |    4 ++++
 libseahorse/seahorse-util.h              |    1 -
 pgp/seahorse-ldap-source.h               |    1 -
 src/seahorse-keyserver-search.c          |    3 +++
 ssh/seahorse-algo.c                      |    4 ++++
 7 files changed, 15 insertions(+), 3 deletions(-)

commit 1da34ac91defd55764426155187fe69996aaed36
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-29

    Use pool.sks-keyservers.net instead of pgp.mit.edu
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645995

 data/seahorse.schemas.in |    2 +-
 help/C/seahorse.xml      |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit acdb641983999434c6392fbbfbf733d47f2a3e7d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2011-03-29

    Updated Portuguese translation

 po/pt.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit eb570135deba13ce516711dcac380c7861065359
Author: Krix Apolinário <krixapolinario@gmail.com>
Date:   2011-03-28

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  192 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 96 insertions(+), 96 deletions(-)

commit 4fbc95c89fe8a7b4f96e319bd6d5c06a169e1626
Author: Rodrigo Padula de Oliveira <contato@rodrigopadula.com>
Date:   2011-03-27

    Updated Brazilian Portuguese translation. Reviewed by Enrico Nicoletto.

 po/pt_BR.po |  463 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 233 insertions(+), 230 deletions(-)

commit ff8f973ddc153de1d4ba708932b3a081da194e41
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   2011-03-27

    Added UG translation

 po/ug.po |  289 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 148 insertions(+), 141 deletions(-)

commit 9370ab96956d3cf25e7521833f11137b0d1d23c4
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-25

    Release version 2.91.93

 NEWS         |    5 +++++
 configure.in |    2 +-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit 6c4e35de42e101966abe3977ca437b779b6f6e6b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2011-03-22

    key-manager: set the primary-toolbar style class on the toolbar
    
    This time, in a GTK2-compatible fashion.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644216

 src/seahorse-key-manager.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 9f36bdde631861ce809b4fd90da6ebf76f1f6eee
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   2011-03-24

    Updated Bengali India Translation

 po/bn_IN.po | 1009 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 526 insertions(+), 483 deletions(-)

commit 39e9011299a3f2e56b74c076ab455f222957603c
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2011-03-23

    [l10n] Updated Italian translation

 po/it.po |  607 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 291 insertions(+), 316 deletions(-)

commit 23199c49e320e66941aed1b8ee62961597317b46
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-21

    Release version 2.91.92

 NEWS         |    9 +++++++++
 configure.in |    2 +-
 2 files changed, 10 insertions(+), 1 deletions(-)

commit 5f06a1f7599b8d7f71c20f2a02aa5d2418c89b50
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   2011-03-19

    Updated Russian translation

 po/ru.po |  592 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 286 insertions(+), 306 deletions(-)

commit 97e66b73b36994da25d4f62b7d59589cc050ecc1
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   2011-03-19

    Updated Indonesian translation

 po/id.po | 1106 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 603 insertions(+), 503 deletions(-)

commit 02369a2345d35cbe3424d6b2cad1b1df0a50660e
Author: Wei Li <lw124124@gmail.com>
Date:   2011-03-19

    Update Simplified Chinese translation.

 po/zh_CN.po |  128 +++++++++++++++++++++++++++-------------------------------
 1 files changed, 60 insertions(+), 68 deletions(-)

commit 70e455095c0608d7aba8481ac09178d835f4484c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2011-03-17

    [l10n] Updated German translation

 po/de.po |  464 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 176 insertions(+), 288 deletions(-)

commit d407dac93a8ec3c544bb26cc87f84f2fa2146758
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   2011-03-17

    Updated British English translation

 po/en_GB.po |  637 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 320 insertions(+), 317 deletions(-)

commit 527b10b0dd4ef73d0227bc8cdd2d541bed32084a
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2011-03-16

    Updated Romanian translation

 po/ro.po |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 82050149d43debfd0454b3529a56bdec373717d1
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2011-03-16

    Updated Romanian translation

 po/ro.po |  217 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 116 insertions(+), 101 deletions(-)

commit 681d25cc4087ab48830a0547030af53d24adc03e
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-15

    Revert "key-manager: set the primary-toolbar style class on the toolbar"
    
    This reverts commit 283ed05a53dc32892bc115b7d7e2c69d31f875c6.
    
    This broke the display of the main seahorse window on GTK+ 2.x
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=644216

 src/seahorse-key-manager.xml |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit d83424f86f3aaf06a06f552c6b312cb466c283e5
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-14

    Update icons, and add 256x256 icon.
    
    Icons by Jakub Steiner.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643991

 data/icons/Makefile.am                       |    1 +
 data/icons/hicolor_apps_16x16_seahorse.png   |  Bin 773 -> 857 bytes
 data/icons/hicolor_apps_22x22_seahorse.png   |  Bin 1417 -> 1349 bytes
 data/icons/hicolor_apps_24x24_seahorse.png   |  Bin 1449 -> 1355 bytes
 data/icons/hicolor_apps_256x256_seahorse.png |  Bin 0 -> 35962 bytes
 data/icons/hicolor_apps_32x32_seahorse.png   |  Bin 2458 -> 2288 bytes
 data/icons/hicolor_apps_48x48_seahorse.png   |  Bin 4298 -> 3665 bytes
 data/icons/svg/seahorse.svg                  | 6273 +++++++++++++++++---------
 8 files changed, 4258 insertions(+), 2016 deletions(-)

commit ad9638ace3f799161b26a325c1be505ba5e43d8c
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-10

    Stop parsing SSH private keys if all data was consumed.
    
    This fixes a crash.

 ssh/seahorse-ssh-key-data.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit e1e3e65754a8e583c481eb992a53dcd62148a832
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2011-03-13

    Updated Polish translation

 po/pl.po |  609 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 292 insertions(+), 317 deletions(-)

commit 23032802f86e5f0ba32ebbc9dbe132407a1ddd6d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2011-03-12

    Updated Portuguese translation

 po/pt.po |  638 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 321 insertions(+), 317 deletions(-)

commit 9335671cc5fc6e626dbb322b8894ffded7ce7ddb
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-10

    When changing a PGP key's passpharse, ask for confirmation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=638350

 pgp/seahorse-gpgme-source.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit ecb70c1e531369fd1f9efb57ec31e06cb42fcc46
Author: Craig Keogh <cskeogh@adam.com.au>
Date:   2011-02-06

    Honor aclocal flags (GNOME bug 641657)

 Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d481949b1cb54894f7862e541a5970d65618304f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2011-03-08

    viewer: set the about dialog transient for the main window
    
    So it will be attached to it with the shell effect.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644220

 src/seahorse-viewer.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 283ed05a53dc32892bc115b7d7e2c69d31f875c6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   2011-03-08

    key-manager: set the primary-toolbar style class on the toolbar
    
    This ensures the primary toolbar takes the right theme.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=644216

 src/seahorse-key-manager.xml |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ebef77434ac4cd93cab03aac5dab23ad73a0a405
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-03-07

    Release version 2.91.91

 NEWS         |    8 ++++++++
 configure.in |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 411798117445d1b4a7aad35abd4d74a8ca58eb32
Author: A S Alam <aalam@users.sf.net>
Date:   2011-03-05

    update Punjabi Translation by A S Alam

 po/pa.po |  768 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 414 insertions(+), 354 deletions(-)

commit 945c705fe4ae04d9f3ca45af3d2f8bf914e0120b
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2011-03-04

    Updated Hungarian translation

 po/hu.po |  620 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 293 insertions(+), 327 deletions(-)

commit 2b5947c626d16caf936cd351d763ca65828529e0
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   2011-03-04

    Updated Oriya Translation

 po/or.po | 1038 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 536 insertions(+), 502 deletions(-)

commit 24ac51adfe1cdf69dc13cabd1f49192dd859cf62
Author: Gil Forcada <gforcada@gnome.org>
Date:   2011-03-03

    [l10n] Updated Catalan translation

 po/ca.po |  638 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 321 insertions(+), 317 deletions(-)

commit 109ced70f321058378e3427e814ebdd034f4c6bd
Author: Wei Li <lw124124@gmail.com>
Date:   2011-03-01

    Update Simplified Chinese translation.

 po/zh_CN.po |  267 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 142 insertions(+), 125 deletions(-)

commit 6859dcfc423fc6c6aa903e2b5e423cc45338bea5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   2011-03-01

    Updated Latvian translation.

 po/lv.po |  670 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 340 insertions(+), 330 deletions(-)

commit c80eaed610f09a5657ce26845231a88ff9574c16
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2011-02-27

    Updated Korean translation

 po/ko.po |  261 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 138 insertions(+), 123 deletions(-)

commit 3f5076849dda9f18b1ae1454ac5f375e94633774
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-02-23

    Updated Norwegian bokmål translation.

 po/nb.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 3600a22f73fe5d4832654d2bce84b07c431b7988
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   2011-02-23

    Updated French translation

 po/fr.po |  631 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 317 insertions(+), 314 deletions(-)

commit 2a7e948dd44116802a2db17f0c02caed3729923e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-02-20

    Updated Spanish translation

 help/es/es.po |   77 ++++++++++++++++++++++++++++++++------------------------
 1 files changed, 44 insertions(+), 33 deletions(-)

commit 4ebd1394fe9f84d731686529d6c5ddc3f50673c7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2011-02-20

    Updated Spanish translation

 po/es.po |   22 ++++++++++------------
 1 files changed, 10 insertions(+), 12 deletions(-)

commit 8982cec589077a669dc2a7a9e87508ffdf83a5d8
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2011-02-17

    Uploaded Ukranian

 po/uk.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 61c22df2421b6358fd55e142ad494a14ac45beae
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   2011-02-17

    Uploaded Ukranian

 po/uk.po |  687 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 349 insertions(+), 338 deletions(-)

commit ccde80cec06a953dbd0d70479b5fecd3d4106b12
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2011-02-17

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit eb51c72a6d92c949ef57f6f16881001b3fc9f18e
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2011-02-16

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  196 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 100 insertions(+), 96 deletions(-)

commit a7a55af467f357ad8ea198768d2898bfe8415553
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2011-02-16

    Updated Bulgarian translation

 po/bg.po |  190 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 97 insertions(+), 93 deletions(-)

commit 3f197c8d8149fcfc3764e95bdd3103099e601b36
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2011-02-05

    Updated Arabic translation

 po/ar.po |  437 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 218 insertions(+), 219 deletions(-)

commit 66d407eae68ab57e62fa3581fee891ed251adc9d
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-02-04

    Fix infinite loop when a keyring item is open.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=641018

 gkr/seahorse-gkr-item.c |   18 +++++++++++-------
 1 files changed, 11 insertions(+), 7 deletions(-)

commit c6491c78cea42cdf9dcd389f49c7bf2d9029c332
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-01-27

    QA of Galician translations

 po/gl.po |   68 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 34 insertions(+), 34 deletions(-)

commit 9ff4e924eae7235f6eeac022d4087d32d92aed3c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2011-01-24

    Updated Slovenian translation

 po/sl.po |  193 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 97 insertions(+), 96 deletions(-)

commit d2debd5f727f2620496cb14ab73186c50a91521f
Author: Marek Černocký <marek@manet.cz>
Date:   2011-01-24

    Updated Czech translation

 po/cs.po |  191 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 98 insertions(+), 93 deletions(-)

commit 32f0d62e2180adaf6350c43861f44639b7cc7d4b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2011-01-23

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  674 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po |  675 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 680 insertions(+), 669 deletions(-)

commit 6453c023736964ce4640b57a0a22ebaf6e815189
Author: Daniel Nylander <po@danielnylander.se>
Date:   2011-01-22

    Updated Swedish translation

 po/sv.po |  192 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 98 insertions(+), 94 deletions(-)

commit 9a7bda121e64f9bb5bf225ad4d5fcbbc9580046e
Author: Ivar Smolin <okul@linux.ee>
Date:   2011-01-22

    [l10n] Updated Estonian translation

 po/et.po |   57 ++++++++++++++++++---------------------------------------
 1 files changed, 18 insertions(+), 39 deletions(-)

commit 6e092f50ab8b8ce8893d42373a1a3838d7ba85df
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   2011-01-20

    Updated Spanish translation

 po/es.po |  215 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 111 insertions(+), 104 deletions(-)

commit c36dafbdb597ff8387dd4017062fe77bd9099b75
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-01-20

    Updated Norwegian bokmål translation

 po/nb.po |   46 +++++++++++++++++++++++-----------------------
 1 files changed, 23 insertions(+), 23 deletions(-)

commit f5705282c3798f6158681c980547ec3d2881e477
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2011-01-20

    Updated Norwegian bokmål translation

 po/nb.po |  188 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 96 insertions(+), 92 deletions(-)

commit 7caa5c12edfb6c6ae3500b319fc778bfc0335f66
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2011-01-20

    Updated Hebrew translation.

 po/he.po |  186 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 95 insertions(+), 91 deletions(-)

commit cb763cbecef3956e6d6e69d5fe1181d4530a3670
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-01-19

    Destroy window even when SeahorseWidget still has refs.
    
    This makes sure that windows are closed when the user requests it.

 libseahorse/seahorse-widget.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 571e656f82ec4d3965f43a59a784d66d98328416
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-01-19

    Updated Galician translations

 po/gl.po |  184 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 94 insertions(+), 90 deletions(-)

commit 8ef5bb3206c93fb92b2e9147dd7a8757138a74f0
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-01-19

    Don't use_underline on checkbox that has PGP uid names in text.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=635097

 pgp/seahorse-pgp-public-key-properties.xml |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 1217669712d3279377f7ed2ac123f847e7983474
Author: Stef Walter <stefw@collabora.co.uk>
Date:   2011-01-19

    Escape attribute keyring attribute names properly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633568

 gkr/seahorse-gkr-item-properties.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 35f8f8be68074f24d2e903c477d828a1b118a9ac
Author: Stef Walter <stef@memberwebs.com>
Date:   2011-01-19

    Added context to translatable strings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=629217

 gkr/seahorse-gkr-item-properties.xml        |    2 +-
 pgp/seahorse-pgp-private-key-properties.xml |    2 +-
 pgp/seahorse-pgp-public-key-properties.xml  |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ab07cefa89724d464de155b6b2e2e8406cc68fb0
Author: Marios Zindilis <m.zindilis@dmajor.org>
Date:   2011-01-19

    Updated Greek translation

 po/el.po |  461 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 191 insertions(+), 270 deletions(-)

commit 93fe1d6ed0495a67cb3e6ca2b59f667f9b3d7b22
Author: Alexander Shopov <ash@kambanaria.org>
Date:   2011-01-12

    Updated Bulgarian translation

 po/bg.po |  404 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 187 insertions(+), 217 deletions(-)

commit 514808f46e6bdadbf2925e92e05897bcb9716659
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2011-01-09

    Updated Galician translations

 po/gl.po |  448 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 224 insertions(+), 224 deletions(-)

commit 4ebd269f748351fb7dc1b8024e2a867c1c9cf419
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2011-01-08

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  435 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 218 insertions(+), 217 deletions(-)

commit f039cdf7c7607e771838c8698cdda79ec6cc0aad
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:   2011-01-03

    [l10n] Updated German translation

 po/de.po |  558 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 283 insertions(+), 275 deletions(-)

commit e2b55eb9ef118d3dd81c2a5927bc69d44812a891
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-12-29

    Updated Swedish translation

 po/sv.po |  434 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 216 insertions(+), 218 deletions(-)

commit 8ace06d20359e0d64a7948908444a6b198728903
Author: Marek Černocký <marek@manet.cz>
Date:   2010-12-28

    Updated Czech translation

 po/cs.po |  405 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 189 insertions(+), 216 deletions(-)

commit 9d611d886538a0bf4d16345c42bbcdf784bdd5f9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-24

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6b12530a79eaf9d5126ca256c9842c3fcbceb0e0
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-24

    Release version 2.91.4

 NEWS         |   10 ++++++++++
 configure.in |    2 +-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit 9318b28f9ea039ea8322b778d42235a88b68aa3d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-24

    [libegg] Update to work with GTK+3
    
    A copy of Matthias Clasen's changes to libegg:
    http://git.gnome.org/browse/libegg/commit/?id=0be81fa47fb5dabba2be40888ed5d4b16f0ae6a3

 libegg/eggsmclient-private.h |    6 ++++++
 libegg/eggsmclient-xsmp.c    |    7 ++++++-
 2 files changed, 12 insertions(+), 1 deletions(-)

commit d01e85b98b3b091d0af1b92ea8ad7c559ac13a4f
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-12-24

    [pkcs11] Fix build issues with pkcs11 stuff.
    
    This doesn't result in the PKCS#11 stuff working. Just an
    initial commit to get it compiling again after gcr changes.

 pkcs11/seahorse-pkcs11-certificate-props.c |    2 +-
 pkcs11/seahorse-pkcs11-certificate-props.h |    2 +-
 pkcs11/seahorse-pkcs11-certificate.c       |    3 +--
 pkcs11/seahorse-pkcs11-helpers.c           |    1 -
 pkcs11/seahorse-pkcs11-object.c            |    1 -
 pkcs11/seahorse-pkcs11-operations.c        |    1 -
 6 files changed, 3 insertions(+), 7 deletions(-)

commit 033e8b8f134fdea65d90f1b89b9cad64c55c9b83
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-12-23

    Added UG translation

 po/ug.po |  167 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 86 insertions(+), 81 deletions(-)

commit 39af6f3ade4bdf1b4a7c2a19befd13721dd5cc35
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-12-20

    [l10n] Updated Estonian translation

 po/et.po |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 251ea0a5c0c6721a90fae720e447de01fecae992
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-12-17

    Updated Norwegian bokmål translation

 po/nb.po |  402 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 187 insertions(+), 215 deletions(-)

commit 4a5c6db502dfa22262070be683b98dc65b744096
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-12-15

    Updated Slovenian translation

 po/sl.po | 5952 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2977 insertions(+), 2975 deletions(-)

commit 2ebbdf178e5222a593548f466966242756741c7d
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-12-15

    [l10n] Updated Estonian translation

 po/et.po |  373 ++++++++++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 266 insertions(+), 107 deletions(-)

commit 72767bb8d5b4e56fb479c53d7eb487cf525c47c8
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-12-13

    Updated Hebrew translation.

 po/he.po |  439 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 219 insertions(+), 220 deletions(-)

commit 7cedce14a43ae3527fc9d26c097de6122810f95c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-12-13

    Updated Spanish translation

 po/es.po |  421 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 210 insertions(+), 211 deletions(-)

commit 762c04906a63ed80d07cb3ca0801a5d173dc2600
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-03-02

    More info when --version parameter is specified.
    
    Show path to GNUPG executable and version for which
    seahorse was compiled

 configure.in        |    1 +
 src/seahorse-main.c |    3 ++-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit 5bb9786c52a13463d8f172cf7fa2c57c7bd0362d
Author: nobled <nobled@dreamwidth.org>
Date:   2010-02-22

    pgp: Fix setting key trust to "never"
    
    The value of NEVER is less than UNKNOWN in
    libcryptui/cryptui.h, so don't use UNKNOWN as the minimum
    trust level. Fixes a comparison of a SeahorseValidity type
    with a gpgme_validity_t. Also make the documentation accurate,
    and make the relative ordering clearer in the code.
    
    Thanks to Pablo Castellano for debugging.
    Closes: bgo#609344.

 libseahorse/seahorse-validity.h |    2 +-
 pgp/seahorse-gpgme-key-op.c     |   18 +++++++++---------
 2 files changed, 10 insertions(+), 10 deletions(-)

commit b6a37957bd2b12dc243d7cc4070342f5c96e6b31
Author: nobled <nobled@dreamwidth.org>
Date:   2010-02-22

    pgp: Define default key length for each algorithm
    
    Avoid hardcoding 2048 bits as the default, since defaults for
    key algorithms can change and new algorithms can be added.
    
    Closes: bgo#605497.

 pgp/seahorse-gpgme-add-subkey.c |    6 +++---
 pgp/seahorse-gpgme-generate.c   |   31 ++++++++++++++++---------------
 pgp/seahorse-gpgme-key-op.h     |    4 +++-
 3 files changed, 22 insertions(+), 19 deletions(-)

commit 42691a5b192ce753beb4218202733db2b99c572d
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-21

    Show information message when you try to sign an UID...
    
    ... which was already signed with that key.
    Before, nothing happened and this was confusing some users,
    specially because self-signatures are not shown.
    
    Part of: https://bugzilla.gnome.org/show_bug.cgi?id=357322

 pgp/seahorse-gpgme-key-op.c |    6 +-----
 pgp/seahorse-gpgme-sign.c   |   18 +++++++++++++-----
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 66f3c65fd7ef596062b7c7f1f127ca70e95c6a16
Author: Adi Roiban <adi@roiban.ro>
Date:   2010-12-06

    Updated Romanian translation

 po/ro.po |  545 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 270 insertions(+), 275 deletions(-)

commit bf9454bf47416b8ad8cbf896100d4ddce9161375
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-11-23

    Updated Thai translation.

 po/th.po |  397 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 195 insertions(+), 202 deletions(-)

commit 3ecdb585af8c871b55e8cbc89909114698918459
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-11-20

    Added UG translation

 po/ug.po |   64 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 32 insertions(+), 32 deletions(-)

commit d66ec3ca7c9ca97a7c5e2ff16016599e1dc87d5a
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-11-14

    Added UG translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 996ed372d892e4779f93d59493aace9469d2aa39
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   2010-11-13

    Added UG translation

 po/ug.po | 2940 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2940 insertions(+), 0 deletions(-)

commit b4158e5296063391c20af8f6737979c07ebed806
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-11-09

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 501c65c816f7f1aae86e3048e0b4cfa4e6d2c62a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-11-09

    Release version 2.91.2

 NEWS |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit a6c1089473d9800f5bbec4757e0b3b604ed532f3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-11-07

    Escape markup properly when displaying keyring item attributes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633568

 gkr/seahorse-gkr-item-properties.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit c548f3b610f1a925bcca0203b19200ef07a50d7a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-11-02

    NOTIFY_CHECK_VERSION define should eat arguments.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633773

 libseahorse/seahorse-notification.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5b9aa67a8841cd54744fd365973ceed8c8524987
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-11-02

    Fixes related to new GTK+3 GtkComboText class.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=633773

 gkr/seahorse-gkr-add-item.c   |    6 +++++-
 libseahorse/seahorse-prefs.c  |   10 ++++++++--
 pgp/seahorse-gpgme-generate.c |    6 ++++++
 ssh/seahorse-ssh-generate.c   |    8 ++++++++
 4 files changed, 27 insertions(+), 3 deletions(-)

commit 4556596c7848357fa1f1fdb79f8fb832f214e2c8
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2010-10-29

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  443 ++++++++++++++++++++++++++---------------------------
 1 files changed, 220 insertions(+), 223 deletions(-)

commit 9610326815309079f448ff5d42a2da15cebb9cff
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-21

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 30ee1da7a4750e9bb119a73229f94475d61cc86e
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-21

    Release version 2.91.1.1

 NEWS         |   10 ++++++++++
 configure.in |    6 +++---
 2 files changed, 13 insertions(+), 3 deletions(-)

commit a6a21d1cc8f52f956e2f2bbab057ea301be18257
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-20

    Fix build with libnotify 0.7

 libseahorse/seahorse-notification.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 77c537b5523ca2ceff3de1f1ea76c306384d536f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2010-10-20

    [libcryptui] Migrate to new GtkComboBoxText widget in GTK3
    
    https://bugzilla.gnome.org/show_bug.cgi?id=632604

 libcryptui/cryptui-key-chooser.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 2d13926f655d8c0a525eb56ecfe10f81824ec0dd
Author: Tomas Bzatek <tbzatek@redhat.com>
Date:   2010-10-19

    [pkcs11] Fix build issues on gtk+-3.0

 pkcs11/seahorse-pkcs11-certificate-props.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 5b35b922c748798a0bd69c7fd64345f4fedafe98
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-10-14

    Added sl for Slovenian translation

 help/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 341abdc73f82f65c618a90c53a09deba067d7e0d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-10-14

    Added Slovenian translation

 help/sl/sl.po | 1134 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 1134 insertions(+), 0 deletions(-)

commit 2610cddc7cae34a3db0716f0bf24ddceea25d533
Author: Martin Paljak <martin@martinpaljak.net>
Date:   2010-10-13

    build with latest gcr which only has GcrCertificateWidget

 pkcs11/seahorse-pkcs11-certificate-props.c |   35 ++++++++-------------------
 1 files changed, 11 insertions(+), 24 deletions(-)

commit 46b51cc9967abe46b325e7ba59bbe0a200c4bb1e
Author: YunQiang Su <wzssyqa@gmail.com>
Date:   2010-10-13

    Update Simplified Chinese translation, partially sync from ubuntu-l10n-zh-cn team.

 po/zh_CN.po | 1269 ++++++++++-------------------------------------------------
 1 files changed, 217 insertions(+), 1052 deletions(-)

commit e4e91bed87360f1562757d55f69882a28cd4c35c
Author: Andreas Henriksson <andreas@fatal.se>
Date:   2010-10-12

    Avoid hard-coding Gtk+ API version in gir generation command
    
    The included Gtk+ gir should match the version we're building
    against.

 libcryptui/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b2d0c94cff1f94c6e986f3cc306edacb7c6141fc
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2010-10-09

    Updated Korean translation

 po/ko.po |  414 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 204 insertions(+), 210 deletions(-)

commit eee80ac605b06ec4885f32b214ee5d13767d631b
Author: Diego Escalante Urrelo <descalante@igalia.com>
Date:   2010-03-30

    ui: add icons and clear action to the filter entry
    
    This patch adds the stock search and clear icons to the filter entry in the
    main window. It also implements the clear entry text action when clicking on
    the clear icon.
    
    Bug #614332

 src/seahorse-key-manager.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit 4a3e2415fa9b2486ed72ac821c31ccd9efbb419a
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-08

    Bump version number.

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e9a3ecd6874814de39662baa39071f2f1c4a9521
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-08

    Release version 2.91.1

 NEWS   |    7 +++++++
 README |    1 -
 2 files changed, 7 insertions(+), 1 deletions(-)

commit 3660af92919b1f25f511c367980cbe41187ad4db
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    Add back libcryptui package version.
    
    Accidentally dropped in migration to GTK3

 configure.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 106786f532fbd5d914707a494c7a9824bec29cfc
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    Migrate to GTK3
    
    Use the --with-gtk=3.0 option to build with GTK3

 .gitignore                           |    1 +
 configure.in                         |   49 +++++++++++++++-----
 daemon/Makefile.am                   |    3 +-
 libcryptui/Makefile.am               |    5 +-
 libcryptui/cryptui-keyset.h          |   10 ++--
 libegg/egg-datetime.c                |   41 ++++++++++++-----
 libseahorse/seahorse-context.c       |   27 ++++++++----
 libseahorse/seahorse-context.h       |   20 +++++----
 libseahorse/seahorse-object-widget.c |   10 +----
 libseahorse/seahorse-passphrase.c    |    6 ++-
 libseahorse/seahorse-set.h           |   12 +++---
 libseahorse/seahorse-util.c          |    1 +
 libseahorse/seahorse-widget.c        |   81 ++++++++++++++++++++-------------
 libseahorse/seahorse-widget.h        |   20 +++++---
 src/seahorse-key-manager.c           |    2 +-
 src/seahorse-viewer.c                |   26 -----------
 16 files changed, 179 insertions(+), 135 deletions(-)

commit 2ddd0ffe2e1105fe9cb7e38252ba6ac9966f9467
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    Fix compile warnings.
    
    Fix compiler warnings in seahorse_gpgme_get_keytype_table()
    and seahorse_service_generate_credentials()

 daemon/seahorse-service.c |   12 ++++++------
 pgp/seahorse-gpgme.c      |    8 ++++----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit 16e8b3edbfccaeedbce475856f8b4e48cdaf4712
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-06

    [pkcs11] Use new libgck library instead of gp11
    
    Migrate to libgck from libgp11, now that gck is in gnome-keyring.

 configure.in                         |   22 ++++----
 pkcs11/Makefile.am                   |    1 +
 pkcs11/seahorse-pkcs11-certificate.c |   40 +++++++-------
 pkcs11/seahorse-pkcs11-certificate.h |    4 +-
 pkcs11/seahorse-pkcs11-helpers.c     |   16 +++---
 pkcs11/seahorse-pkcs11-helpers.h     |    6 +-
 pkcs11/seahorse-pkcs11-module.c      |   15 ++---
 pkcs11/seahorse-pkcs11-object.c      |  105 ++++++++++++++++++----------------
 pkcs11/seahorse-pkcs11-object.h      |   14 ++--
 pkcs11/seahorse-pkcs11-operations.c  |   44 +++++++-------
 pkcs11/seahorse-pkcs11-source.c      |   14 ++--
 pkcs11/seahorse-pkcs11-source.h      |    8 +-
 12 files changed, 148 insertions(+), 141 deletions(-)

commit 9be069017e73ce47f12c343986a8dba2f1fbf12d
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-03

    Bump release number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5a370ab67e039aa9a25f50c381361e5cae72dc54
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-03

    Release version 2.91.0

 NEWS           |    5 +++++
 configure.in   |    2 +-
 po/POTFILES.in |    1 -
 3 files changed, 6 insertions(+), 2 deletions(-)

commit e3514baed3588f916048df4bfee901ab0829b64a
Merge: f5e2333 f55f0e3
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-10-03

    Merge branch 'no-sharing'

commit f55f0e3b2194e23da28090e46a8a334cf0b58263
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Remove key sharing from seahorse into its own project.

 daemon/Makefile.am                       |   10 +-
 daemon/seahorse-daemon.1                 |    3 +-
 daemon/seahorse-daemon.c                 |   15 -
 daemon/seahorse-daemon.h                 |   29 -
 daemon/seahorse-hkp-server.c             |  668 ------------------
 daemon/seahorse-sharing.c                |  348 ----------
 libseahorse/seahorse-gconf.h             |    2 -
 libseahorse/seahorse-gtkstock.c          |    1 -
 libseahorse/seahorse-gtkstock.h          |    1 -
 libseahorse/seahorse-prefs.c             |   26 -
 libseahorse/seahorse-prefs.xml           |   71 +--
 pixmaps/22x22/Makefile.am                |    2 -
 pixmaps/22x22/seahorse-share-keys.png    |  Bin 1127 -> 0 bytes
 pixmaps/22x22/seahorse-share-keys.svg    | 1091 ------------------------------
 pixmaps/48x48/Makefile.am                |    1 -
 pixmaps/48x48/seahorse-share-keys.png    |  Bin 2966 -> 0 bytes
 pixmaps/scalable/Makefile.am             |    1 -
 pixmaps/scalable/seahorse-share-keys.svg |  528 ---------------
 18 files changed, 4 insertions(+), 2793 deletions(-)

commit f5e23332f3da40dbb519fc946baebb277a2f3076
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   2010-10-02

    Updated Lithuanian translation

 po/lt.po |  130 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 68 insertions(+), 62 deletions(-)

commit f2b42aebdecb802c187afcc492aeba4b0a7e41b1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-10-01

    Updated Basque language

 po/eu.po |  194 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 103 insertions(+), 91 deletions(-)

commit 99cf4cf0e2016161daee41fb109ebc8664031205
Author: Simos Xenitellis <simos@gnome.org>
Date:   2010-09-30

    l10n: Updated Greek translation for seahorse

 po/el.po |  103 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 55 insertions(+), 48 deletions(-)

commit 7e5e668fd37c614d477486d39e43d0c37e5a6f95
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-27

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 92ebfaee5e91d3fc2772372eba46a15a66e416b6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-09-27

    Release version 2.32.0

 Makefile.am         |    3 ++-
 NEWS                |    5 +++++
 configure.in        |    4 ++--
 help/zh_CN/zh_CN.po |    2 +-
 4 files changed, 10 insertions(+), 4 deletions(-)

commit 8d578af1f31692a90413b09cbad1ec432175a1c3
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   2010-09-25

    Updated Russian translation

 po/ru.po |  574 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 234 insertions(+), 340 deletions(-)

commit 5582761d220b7082291d0074a0ed769d85375017
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   2010-09-23

    Updated Arabic translation

 po/ar.po |  518 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 274 insertions(+), 244 deletions(-)

commit 846609192eea04d976b680cb747e6392f29d4390
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2010-09-20

    Updated Japanese translation

 po/ja.po |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

commit e92e91a72a851912618c56c9b1c97e409f7023b8
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:   2010-09-19

    Updated Danish translation

 po/da.po |  104 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 55 insertions(+), 49 deletions(-)

commit 35a9ed0a2efb4d7b58de5b88c6c98fcc1688fa15
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-09-14

    Updated Polish translation

 po/pl.po |  105 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 55 insertions(+), 50 deletions(-)

commit f7dca7fb971dc02c4b39c0685bd6dd425b078689
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2010-09-12

    Updated Japanese translation.

 po/ja.po |  153 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 77 insertions(+), 76 deletions(-)

commit efd6bda57124729a877cb38cab81fc1c6e38f562
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:   2010-09-12

    Updated Japanese translation.

 help/ja/figures/seahorse-window.png |  Bin 0 -> 20435 bytes
 help/ja/ja.po                       |   32 +++++++++++++++++---------------
 2 files changed, 17 insertions(+), 15 deletions(-)

commit 163183780ae6fc69d3a127e7b6373d3168a517dc
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-09-12

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |  104 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 55 insertions(+), 49 deletions(-)

commit e13ca7657f9296904b2ffdb379108b6f84d782ed
Author: André Gondim <andregondim@ubuntu.com>
Date:   2010-09-10

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  116 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 61 insertions(+), 55 deletions(-)

commit 4f37e4b5e7ecc42be0353266ba3cae83226a6662
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   2010-09-01

    Update British English translation

 po/en_GB.po |  108 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 57 insertions(+), 51 deletions(-)

commit 7c6239901b49129d7b04fb908a80ec4a80cafa50
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-08-31

    Updated Hungarian translation

 po/hu.po |  132 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 73 insertions(+), 59 deletions(-)

commit e948e1cde78175f6cb7adca837466d1eff11b2d9
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b9239b8d573022b1d9610fee56b8c35fddf71fbd
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-30

    Release version 2.31.91

 NEWS         |    8 ++++++++
 configure.in |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

commit 1242e2695063e9bac90f305a3fcf86e10d0284f0
Author: Милош Поповић <gpopac@gmail.com>
Date:   2010-08-29

    Updated Serbian translation

 po/sr.po       |   68 +++++++++++++++++++++++++++++++++----------------------
 po/sr@latin.po |   68 +++++++++++++++++++++++++++++++++----------------------
 2 files changed, 82 insertions(+), 54 deletions(-)

commit be855ae7e424a547095b09292180f0eb9a7b231e
Author: Petr Kovar <pknbe@volny.cz>
Date:   2010-08-23

    Update Czech translation by Marek Cernocky

 po/cs.po |   72 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 39 insertions(+), 33 deletions(-)

commit 500dee6cc33a6585d69556ad6258199c21fe96da
Author: Alexander Shopov <ash@contact.bg>
Date:   2010-08-23

    Updated Bulgarian translation

 po/bg.po |  104 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 55 insertions(+), 49 deletions(-)

commit acc85534ba8e124839939a491574e981bfcd552d
Author: David Planella <david.planella@gmail.com>
Date:   2010-08-22

    Updated Catalan translation

 po/ca.po |  121 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 64 insertions(+), 57 deletions(-)

commit bf74f4c6188392cff11a1b03e06c82b955e5b8e5
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2010-08-22

    Updated Portuguese translation

 po/pt.po |  108 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 57 insertions(+), 51 deletions(-)

commit e83850f35dc363fb014af4eae4ae758000e64529
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-08-21

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  119 ++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po |  119 ++++++++++++++++++++++++++++++----------------------------
 2 files changed, 124 insertions(+), 114 deletions(-)

commit a58f000e467a79d3d44ff69f1e377816cc000892
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-08-16

    Updated Slovenian translation

 po/sl.po |   55 +++++++++++++++++++++++++++----------------------------
 1 files changed, 27 insertions(+), 28 deletions(-)

commit aa750d2d2bbc72e12777456424d43164c91209bf
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-08-15

    Updated Spanish translation

 po/es.po |   54 +++++++++++++++++++++++++++---------------------------
 1 files changed, 27 insertions(+), 27 deletions(-)

commit c715fdb3622685594bab9afeab1aa7836e0707b9
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2010-08-15

    [l10n] Updated Italian translation

 po/it.po |  119 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 63 insertions(+), 56 deletions(-)

commit a134a7d5057189979433b201d222aa4e7d5b3288
Author: Claude Paroz <claude@2xlibre.net>
Date:   2010-08-14

    Updated French translation

 po/fr.po |  221 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 111 insertions(+), 110 deletions(-)

commit dc57628a493d9f77f7c86da3f4d3cbae9039999e
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-08-13

    Update Simplified Chinese translation.

 po/zh_CN.po |   78 +++++++++++++++++++++++++++++-----------------------------
 1 files changed, 39 insertions(+), 39 deletions(-)

commit 58d032815f27c2f2cf3c9794378ca1ee0b11b22d
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-08-06

    Updated Swedish translation

 po/sv.po |  109 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 57 insertions(+), 52 deletions(-)

commit 88374f629758bad1213aef15b4cd0dba0f5f56bf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-08-04

    Updated Slovenian translation

 po/sl.po |  227 +-------------------------------------------------------------
 1 files changed, 2 insertions(+), 225 deletions(-)

commit 19f0cc0b93d49993049cdab6ba38f3f2e6a8b551
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-08-04

    Updated Norwegian bokmål translation

 po/nb.po |  253 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 130 insertions(+), 123 deletions(-)

commit ea39f32bd762a6b3feb95e663b38cd985142a04f
Author: Tomáš Virgl <tomas@virgl.net>
Date:   2010-08-04

    Updated Slovak translation

 po/sk.po | 4819 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 3086 insertions(+), 1733 deletions(-)

commit 466ae6ca4b3040eaf5c799ad71609faf0f8d2420
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-08-04

    Partial documentation for seahorse-keyserver-results.c
    
    This patch adds full documentation for seahorse-keyserver-results.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 src/seahorse-keyserver-results.c |  102 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 101 insertions(+), 1 deletions(-)

commit af9025e2c2e504d9cb15554ea19aa2519a6bdbf6
Author: A S Alam <aalam@users.sf.net>
Date:   2010-08-04

    update Translation in master for Punjabi by A S Alam

 po/pa.po |  203 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 103 insertions(+), 100 deletions(-)

commit c426881dd7da3225dd87326e2b798491a27c3214
Author: Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
Date:   2010-08-04

    Updated Japanese translation.

 po/ja.po |  356 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 196 insertions(+), 160 deletions(-)

commit f4df11704679c27f2e4fe7b87626497e46e9f5dc
Author: Yasumichi Akahoshi <yasumichi@vinelinux.org>
Date:   2010-08-04

    Added Japanese translation.

 help/Makefile.am |    2 +-
 help/ja/ja.po    | 1667 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1668 insertions(+), 1 deletions(-)

commit 5b5ac4bf6329972199fd4d447cbee41c481d7c10
Author: Matthias Ferdinand <mf@14v.de>
Date:   2010-08-01

    Fix compile error in seahorse_util.c
    
    For the declaration of mode_t, sys/types.h needs to be included.
    
    Fixes bug #625506

 libseahorse/seahorse-util.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 981866be8ec2d19838e3001aec1a48ac9b55a6f6
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-08-01

    Ignore *.mo and seahorse.xml files in help/

 help/.gitignore |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2708c6c9779c98cb06876cc96986d9ae2ac01bee
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-07-29

    [l10n] Updated Estonian translation

 po/et.po |  318 ++++++++++++++++----------------------------------------------
 1 files changed, 83 insertions(+), 235 deletions(-)

commit 828c2acb33415fbaa360f05d74fc51ff857915ba
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-07-27

    [i18n] Updated German translation

 po/de.po |  222 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 113 insertions(+), 109 deletions(-)

commit d0a7b2a9a32fa443b2ce5ebb0bf6b23751d7c4ba
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-07-26

    Updated Spanish translation

 po/es.po |   52 +++++++++++++++++++++++++++-------------------------
 1 files changed, 27 insertions(+), 25 deletions(-)

commit 1e9c991760b62f06a9347d599a73d2814b033417
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-07-25

    Updated Slovenian translation

 po/sl.po | 6393 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3199 insertions(+), 3194 deletions(-)

commit 8ae4760cb0e86490927402199339ca3a05ccb0c2
Author: drtv <vasudeven@git.gnome.org>
Date:   2010-07-24

    Updated Tamil translation

 po/ta.po |   82 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 44 insertions(+), 38 deletions(-)

commit c5a0bc77e49e1befbf07dddce350935c57ea3189
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-07-24

    Update Simplified Chinese translation.

 po/zh_CN.po |   31 +++++++++++++++++--------------
 1 files changed, 17 insertions(+), 14 deletions(-)

commit 10d65ae63ccb7d1ba3fad8b53d393fab52d43d92
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   2010-07-21

    Updated Galician translations

 po/gl.po |  165 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 77 insertions(+), 88 deletions(-)

commit d492093cda08ffbc271a3d0a3fcb311c9252239a
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-07-20

    Bug 624836  - Build error, pkcs11 must link against libgcr
    
    Add GCR_CFLAGS and LIBS to SEAHORSE_CFLAGS and LIBS

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e710cf592e6eff1be1da78e89be2b7ea68d770fd
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-07-20

    Updated Hebrew translation.

 po/he.po |   29 +++++++++++++++++------------
 1 files changed, 17 insertions(+), 12 deletions(-)

commit 312277d27e7f8a0a399afaab51a9bc2f58e89419
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-05-14

    Separate check for GCR and GP11 in building phase.

 configure.in |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit be62ac21f22b102aa5404037f008087502a1bdca
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-05-16

    Removed deprecated GTK macro
    
    GTK_WIDGET_VISIBLE -> gtk_widget_get_visible

 pkcs11/seahorse-pkcs11-commands.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f49d577c887e1df609e1d9c526e44f8fb718cfda
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-07-19

    Bug 618718  - Seahorse won't build with --disable-pgp
    
    ifdef'd around this one appropriately.

 daemon/seahorse-service.c |   74 +++++++++++++++++++++++++-------------------
 1 files changed, 42 insertions(+), 32 deletions(-)

commit fbd62228e335b68e7d4d797993833323d1d1acfa
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-07-19

    Bug 622534  - Use smaller icons in "new" dialog
    
    Changed from GTK_ICON_SIZE_DIALOG to _DND

 src/seahorse-generate-select.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b3af3c9c41f54f7a06233e9c014bf21bbb98a0cd
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-07-18

    Use GDK accessor functions instead direc access (GSEAL fixes)
    
    Incorporate changes from Javier Jardon's patch, but add ifdefs so
    that building with gdk less than 2.22.0 doesn't break.

 src/seahorse-key-manager-store.c |   48 +++++++++++++++++++++++++++++++++----
 1 files changed, 42 insertions(+), 6 deletions(-)

commit fe7cf95feb3b30e003e8e449000738d3a95aa42a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   2010-07-18

    Updated Hebrew translation.

 po/he.po | 1752 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 882 insertions(+), 870 deletions(-)

commit 75a9f71e586378a823fc7921ed1751382c09cee2
Author: Aron Xu <aronxu@gnome.org>
Date:   2010-07-15

    Update Simplified Chinese translation.

 po/zh_CN.po |  298 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 165 insertions(+), 133 deletions(-)

commit 44a8441deabc17e803338d150f2a4385855f946d
Author: Petr Kovar <pknbe@volny.cz>
Date:   2010-07-11

    Update Czech translation by Marek Cernocky

 po/cs.po |   46 ++++++++++++++++++++++------------------------
 1 files changed, 22 insertions(+), 24 deletions(-)

commit 95d7f03ee0945c8eca89a80a9fc4a10a99583721
Author: TeliuTe <teliute@163.com>
Date:   2010-06-27

    Add Simplified Chinese user guide translation.

 help/Makefile.am    |    2 +-
 help/zh_CN/zh_CN.po | 1565 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1566 insertions(+), 1 deletions(-)

commit 67e69694b91697cd7cff2b68f7a3ad31a2c3e731
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-06-22

    [i18n] Updated German translation, fixed bug #622330

 help/de/de.po |   22 +++++++---------------
 1 files changed, 7 insertions(+), 15 deletions(-)

commit df8956f8e63ec2b8b838f952c4c49d3015b7a236
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-06-20

    Finish making seahorse build with DGSEAL

 libseahorse/seahorse-widget.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit afd76065c742338700217aba05b9bd1c563fe94d
Author: Sira Nokyoongtong <gumaraa@gmail.com>
Date:   2010-06-07

    Updated Thai translation.

 po/th.po |  190 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 95 insertions(+), 95 deletions(-)

commit 3e2919a60658af1205a6e3a20abb83616db54bb3
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-06-04

    Full documentation for seahorse-progress.c
    
    This patch adds full documentation for seahorse-progress.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 libseahorse/seahorse-progress.c |  133 +++++++++++++++++++++++++++++++++++++--
 1 files changed, 127 insertions(+), 6 deletions(-)

commit 69b25da92993dfaadce19eec1006bcf972fe02f0
Author: Thomas Thurman <tthurman@gnome.org>
Date:   2010-05-20

    Updated Shavian translation

 po/en@shaw.po |  186 +++++++++++++++++----------------------------------------
 1 files changed, 54 insertions(+), 132 deletions(-)

commit 0f297b9af395b7b8095dc6163ec94d7c00fa3ca1
Author: Thomas Thurman <tthurman@gnome.org>
Date:   2010-05-12

    Updated Shavian transliteration

 po/en@shaw.po | 1184 ++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 1010 insertions(+), 174 deletions(-)

commit 8c24fda5d48c53fcbd886af8012f7aaf00c16c69
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-04-29

    post release bump

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4814aa20587ff04ca3bdf81452b8a1ded943c85a
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-04-29

    make 2.30.1 release

 NEWS   |   14 ++++++++++++++
 README |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 812052d9594dc4f78fe2900e3adbf8ba732fc72a
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-04-27

    Updated Indonesian translation

 po/id.po |  504 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 254 insertions(+), 250 deletions(-)

commit 3835f13f5472b6a77c727c4a774b9cc95879c7ee
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-04-25

    Updated Indonesian translation

 po/id.po |  437 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 201 insertions(+), 236 deletions(-)

commit 5f2ba1eb6701cd544b74b1bdbde22e55e4e62e34
Author: Andika Triwidada <andika@gmail.com>
Date:   2010-04-25

    Added Indonesian translation
    Added id to LINGUAS

 po/LINGUAS |    1 +
 po/id.po   | 2975 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2976 insertions(+), 0 deletions(-)

commit cf66db4f5533437b581147c69e5122cfe66d2b92
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2010-04-24

    Updated Latvian translation.

 po/lv.po |  186 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 92 insertions(+), 94 deletions(-)

commit 6de674d53328986e8637a3b6ac5cc3f752957669
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2010-04-21

    Updated Catalan (Valencian) translation

 po/ca@valencia.po |  360 ++++++++++++++++++++++++++++------------------------
 1 files changed, 194 insertions(+), 166 deletions(-)

commit 964b3702ced10c59a9d13956c52054858cfa3f76
Author: Andre Klapper <a9016009@gmx.de>
Date:   2010-04-17

    Fix last commit.

 libseahorse/seahorse-util.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit ba122ff38ceaa0a2938c88f960c0f857fdd1a8be
Author: Andre Klapper <a9016009@gmx.de>
Date:   2010-04-13

    Fixes all but one issue for compiling with -DGSEAL_ENABLE. See bug 612494.

 gkr/seahorse-gkr-dialogs.c        |   18 +++++++++++++-----
 libcryptui/cryptui.c              |    6 +++---
 libegg/egg-datetime.c             |   18 ++++++++++--------
 libseahorse/seahorse-passphrase.c |   12 ++++++------
 libseahorse/seahorse-util.c       |    9 +++++----
 pgp/seahorse-pgp-key-properties.c |    2 +-
 src/seahorse-key-manager-store.c  |    2 +-
 7 files changed, 39 insertions(+), 28 deletions(-)

commit 3843fefedce6cf22eb0d7aac6fa467d2f5e52162
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   2010-04-02

    Fixes to Catalan translation

 po/ca.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 9d9a893ba9fb335f69284567c0ccf35feb23bdfb
Author: Javier Jardón <jjardon@gnome.org>
Date:   2010-03-31

    Remove deprecated GTK+ symbol
    
    Use gtk_widget_is_toplevel() instead GTK_WIDGET_TOPLEVEL()

 libseahorse/seahorse-util.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 03a3e92e211195eba521ad2e4dc38298a093030f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-03-31

    Updated Spanish translation

 po/es.po |  203 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 103 insertions(+), 100 deletions(-)

commit 4238ebcc28ad483488b2fc1126370af8a31f9abf
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-03-30

    Post-release version bump

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 64ab945abf8884d7a303ce11a37fc56c1c281164
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-03-30

    Release 2.30.0

 NEWS         |   29 +++++++++++++++++++++++++++++
 README       |    2 +-
 configure.in |    2 +-
 po/es.po     |   23 +++++++++++------------
 4 files changed, 42 insertions(+), 14 deletions(-)

commit c3c5af66a60aee53bb98ccf3e8e280b71764f62f
Author: Branko Kokanović <branko.kokanovic@gmail.com>
Date:   2010-03-29

    Updated Serbian translations

 po/sr.po       |  533 +++++++++++++++++++++++++++++---------------------------
 po/sr@latin.po |  533 +++++++++++++++++++++++++++++---------------------------
 2 files changed, 546 insertions(+), 520 deletions(-)

commit 0b5440b13d9fef3c55a5ac4f9e7244af8a1558ec
Author: Simos Xenitellis <simos@gnome.org>
Date:   2010-03-29

    Updated Greek translation for seahorse documentation

 help/el/el.po |   20 +++++++++-----------
 1 files changed, 9 insertions(+), 11 deletions(-)

commit 0cfe2c685b157c81fafc0a283affcd46ff41d1ba
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-03-28

    Full documentation for seahorse-hkp-source.c
    
    This patch adds full documentation for seahorse-hkp-source.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 pgp/seahorse-hkp-source.c |  201 +++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 193 insertions(+), 8 deletions(-)

commit da0a9a24488214864433928765ede6bfeff53251
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   2010-03-27

    Updated Danish translation

 po/da.po |  450 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 239 insertions(+), 211 deletions(-)

commit 079bddde320b1bffb52678513733d2dc610ce7c7
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   2010-03-27

    Updated Bengali translation

 po/bn.po | 6146 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3081 insertions(+), 3065 deletions(-)

commit 0f5a35ea9606d9c5521ed27cb0276323576e7b53
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   2010-03-27

    Updated Lithuanian translation.

 po/lt.po |  400 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 213 insertions(+), 187 deletions(-)

commit decfb47de659141f8648e649c5b7e2c06b64b982
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   2010-03-26

    Updated Ukrainian translation

 po/uk.po |  474 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 225 insertions(+), 249 deletions(-)

commit dd4775e3b3af42e4771c8bd9a69d77ee54a630a5
Author: Gil Forcada <gforcada@gnome.org>
Date:   2010-03-23

    Updated Catalan translation

 po/ca.po |  403 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 215 insertions(+), 188 deletions(-)

commit 203a7b369209a0465ba25d786bdc0468dfc0600e
Author: Nikos Bakaoukas <nikolaos.x1@gmail.com>
Date:   2010-03-23

    Updated Greek translation for seahorse

 po/el.po | 1593 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 921 insertions(+), 672 deletions(-)

commit ca8e3cbe62d8e059caf1810c8dfb924c7652e1a4
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-03-20

    Full documentation for seahorse-dns-sd.c
    
    This patch adds full documentation for seahorse-dns-sd.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 libseahorse/seahorse-dns-sd.c |  123 ++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 122 insertions(+), 1 deletions(-)

commit 76e57b4c69fb388f4493a550cf0dfd3a4a69d678
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-03-22

    This patch adds full documentation for seahorse-server-source.c.
    
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 pgp/seahorse-server-source.c |  103 +++++++++++++++++++++++++++++++++++++++--
 1 files changed, 98 insertions(+), 5 deletions(-)

commit 0b32a5f8db4a1e32a50e46522c026df05169672d
Author: Leonid Kanter <leon@asplinux.ru>
Date:   2010-03-20

    Update Russian translation from Юрий Козлов

 po/ru.po |  233 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 120 insertions(+), 113 deletions(-)

commit 78684be7cdf53e1dfb4f13b42b53875d5fe08c69
Author: Tommi Vainikainen <thv@iki.fi>
Date:   2010-03-19

    Updated Finnish translation

 po/fi.po |  477 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 251 insertions(+), 226 deletions(-)

commit ddf25721659b2a50088d82f645dec12b46fd0ea8
Author: A S Alam <aalam@users.sf.net>
Date:   2010-03-18

    update Punjabi Translation by A S Alam

 po/pa.po |  362 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 189 insertions(+), 173 deletions(-)

commit b57f6462e4762e409fa2b6b2c8f983c85ff7c707
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-03-16

    Dutch translation updated by Wouter Bolsterlee

 po/nl.po |  246 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 138 insertions(+), 108 deletions(-)

commit 8bc57f2cf4f96c562a62b87d77328a93d4f06d03
Author: Changwoo Ryu <cwryu@debian.org>
Date:   2010-03-14

    Updated Korean translation

 po/ko.po |  474 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 251 insertions(+), 223 deletions(-)

commit 672bfab671bbe0d90e68916e0d0a8a80f0ee41d4
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   2010-03-09

    Updated Portuguese translation

 po/pt.po |  471 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 248 insertions(+), 223 deletions(-)

commit c59bcc647667b786682b078fd07322a8873b7272
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2010-03-08

    Updated Latvian translation.

 po/lv.po |  255 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 137 insertions(+), 118 deletions(-)

commit cc68e6bd86661f4ce1136f004906f5374d974e6d
Author: Marek Černocký <marek@manet.cz>
Date:   2010-03-07

    Update Czech translation

 po/cs.po |  539 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 277 insertions(+), 262 deletions(-)

commit 82081084d4c34f330a720077bd99aad24424e68d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-03-05

    Updated Hungarian translation

 po/hu.po |  150 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 74 insertions(+), 76 deletions(-)

commit 15642c2ec2ce64a572cba65944e3650f00bd4416
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-03-05

    Updated Basque language

 po/eu.po |   29 +++++++++++++++++++++++------
 1 files changed, 23 insertions(+), 6 deletions(-)

commit d1dbcf04084592c9c7125ebcbd390fa4a59cc1fd
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   2010-03-05

    Updated Hungarian translation

 po/hu.po |  380 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 194 insertions(+), 186 deletions(-)

commit 17388abac930e819f66bea869bc6acd7ad8a5af9
Author: Daniel Nylander <po@danielnylander.se>
Date:   2010-02-28

    Updated Swedish translation

 po/sv.po |  513 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 269 insertions(+), 244 deletions(-)

commit 29c383d73b6560234c0a8ee83cf1df20fbe453f1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   2010-02-26

    Updated Polish translation

 po/pl.po |  589 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 296 insertions(+), 293 deletions(-)

commit e2194dcd9016891f900e786c707ff7cd70c7211c
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   2010-02-24

    Updated British English translation

 po/en_GB.po |  451 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 240 insertions(+), 211 deletions(-)

commit 182b9cecdb9e33c156ace365bfb4a56b1bcb8fd1
Author: Leonid Kanter <leon@asplinux.ru>
Date:   2010-02-23

    Updated Russian translation

 po/ru.po |  285 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 130 insertions(+), 155 deletions(-)

commit a90b0735e75f4b532fce6a2a247bfdbffbc32730
Author: Alexander Shopov <ash@contact.bg>
Date:   2010-02-23

    Updated Bulgarian translation

 po/bg.po |  181 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 95 insertions(+), 86 deletions(-)

commit 039e5d347bb80e38f01012bf7898ea3face5a1a6
Author: Antonio Fernandes C. Neto <fernandes@pelivre.org>
Date:   2010-02-22

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  446 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 237 insertions(+), 209 deletions(-)

commit f14055cd1c67a508b15e4df49bd6d53dfb446e47
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-21

    Post-release version bump

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3021d049c7bbb803efa47354b7cd4765f1eff130
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-21

    Make 2.29.91 release

 NEWS   |   29 +++++++++++++++++++++++++++++
 README |    2 +-
 2 files changed, 30 insertions(+), 1 deletions(-)

commit dd47282ec4dfc4d7319004e3ea1810d4667b881c
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-21

    Change default key lengths for subkey generation.

 pgp/seahorse-gpgme-add-subkey.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 77e8dad64c35d80970be52409babbfc7a986a0c8
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-21

    Remove unused variables

 pgp/seahorse-gpgme-generate.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit ef5874328c8a3155e8f38be3ec396f9583b9ba1b
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-20

    Revoking subkey now works again. Also minor documentation changes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=592956

 libseahorse/seahorse-util.c |    6 +++---
 pgp/seahorse-gpgme-key-op.c |   14 +++++++++-----
 2 files changed, 12 insertions(+), 8 deletions(-)

commit dd94f42f9fd5fb3a642035aa269e503ddb0176a8
Author: vasudeven <agnihot3@gmail.com>
Date:   2010-02-18

    updated Tamil translation

 po/ta.po |  494 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 260 insertions(+), 234 deletions(-)

commit 262aec9f1f109f9e2ad670c67b4db535cef2017c
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-17

    Don't show the passphrase in plaintext.
    
    Bug introduced in 6bfb8025ed42f47748b6d83d604a4fa71aec61df

 libseahorse/seahorse-passphrase.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3593d4c58363b8d584aae179f532ba5ceedd5d9e
Author: nobled <nobled@dreamwidth.org>
Date:   2010-02-16

    Check the OpenPGP engine only

 pgp/seahorse-gpgme.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit c1447172c212aafb92f0dcce0dfa5923e498d037
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   2010-02-16

    Updated Basque language

 po/eu.po |  457 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 223 insertions(+), 234 deletions(-)

commit 511277254fbb1ab0bcb6fb9867e7404558f0225e
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-16

    Fixed wrong variable names in comments
    
    Thanks to nobled for reporting:
    https://bugzilla.gnome.org/show_bug.cgi?id=605326

 pgp/seahorse-gpgme-key-op.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0eec7838a411870636ac797f1de4046719b4920b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   2010-02-16

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po |  491 +++++++++++++++++++++++++++++++----------------------------
 po/zh_TW.po |  491 +++++++++++++++++++++++++++++++----------------------------
 2 files changed, 516 insertions(+), 466 deletions(-)

commit 869f6d95bab44abd73e04511985b39530d8c79e2
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2010-02-15

    Really updated Italian translation, removed the fuzzy

 po/it.po |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit 81e781443e14df283693948efe8ea9bea2b20320
Author: Milo Casagrande <milo@ubuntu.com>
Date:   2010-02-15

    Updated Italian translation

 po/it.po |  455 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 235 insertions(+), 220 deletions(-)

commit d8ff80a2b43baec7daa136e07583fe179fec1d75
Author: nobled <nobled@dreamwidth.org>
Date:   2010-02-07

    Clean up version constants
    
    Add an inline macro to make the declarations readable

 libseahorse/seahorse-util.h |    3 +++
 pgp/seahorse-gpgme.c        |   15 ++++++---------
 2 files changed, 9 insertions(+), 9 deletions(-)

commit fe2ed7691666ab7b773fc02bbcb4d13ef08021f0
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   2010-02-15

    Updated Galician Translation

 po/gl.po |  639 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 334 insertions(+), 305 deletions(-)

commit b5ad0d7e7153305b36b460ff6469a9bceb105586
Author: Bruno Brouard <bbrouard@src.gnome.org>
Date:   2010-02-15

    Updated French translation

 po/fr.po |  430 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 228 insertions(+), 202 deletions(-)

commit a88703f481e10a0c0199cbd47eaccc66ec453193
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2010-02-14

    Update Romanian translation

 po/ro.po |  636 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 399 insertions(+), 237 deletions(-)

commit 5b61e396582b451d47cbc3c07d17ecc20e29bbc9
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-02-13

    Estonian translation updated

 po/et.po |   31 ++++++++++++++-----------------
 1 files changed, 14 insertions(+), 17 deletions(-)

commit 353446a7d6308316b1b4525eae17a09fce6e429b
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-13

    Fixed two warnings at compile time
    
    - Added missing cast GTK_TOGGLE_BUTTON
    - Corrected case syntax

 gkr/seahorse-gkr-item-properties.c |    2 +-
 pgp/seahorse-gpgme-key-op.c        |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 326b399cf90019a80c0abeff98b44a39e1cd9455
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-13

    Unescape URI's before presenting them to the user.

 daemon/seahorse-service-crypto.c  |    6 ++++--
 pgp/seahorse-pgp-key-properties.c |   12 +++++++-----
 src/seahorse-viewer.c             |   10 ++++++----
 ssh/seahorse-ssh-key-properties.c |   12 +++++++-----
 4 files changed, 24 insertions(+), 16 deletions(-)

commit 149434f8d13415ab16866534bcd9a70a2665d1be
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-12

    Updated year in the copyright string of the about dialog
    
    Part of: https://bugzilla.gnome.org/show_bug.cgi?id=609418

 src/seahorse-viewer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e4ea26b9ae7394dd72b8749df14cd7c3f98b097c
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-12

    Fixed incorrect signal name
    
    In the signing key dialog, it was causing the descriptions for
    "Not at all/Casually/Very Carefully" not being updated when the
    radiobutton changed.

 pgp/seahorse-sign.xml |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 08b392d6b800e3856325919dc877429dded186e6
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-02-12

    Fixed bug in the public key properties GUI.
    
    With handlers specified in the UI file you cannot pass parameters.
    It was causing an assertion error and you couldn't see the people
    who had signed any public key you had.
    The solution is using g_signal_object as far as I have seen.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=609708

 pgp/seahorse-pgp-key-properties.c          |    2 +-
 pgp/seahorse-pgp-public-key-properties.xml |    1 -
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 4027328a8aa4ff30ef3a618061787b47abf16125
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-02-11

    Updated Slovenian translation

 po/sl.po |   73 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 42 insertions(+), 31 deletions(-)

commit 06e6c3d0773bc1c0adcab7d391a14d10be25dc5b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-02-10

    Updated Norwegian bokmål translation

 po/nb.po |   43 ++++++++++++++++++++++++++-----------------
 1 files changed, 26 insertions(+), 17 deletions(-)

commit ae2a1cd801f0a712e48b6eb91442129f7264128f
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-08

    Post bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 852d2a1ef78d6be6718a4a7a11ff1a493fe06534
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-08

    Make 2.29.90 release

 NEWS         |   16 ++++++++++++++++
 README       |    2 +-
 configure.in |    2 +-
 3 files changed, 18 insertions(+), 2 deletions(-)

commit fda4190561a1488ef1166c6bd0673c115b403186
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-02-08

    Updated Thai translation.

 po/th.po |   46 +++++++++++++++++++++++++++++-----------------
 1 files changed, 29 insertions(+), 17 deletions(-)

commit 8f63c6bab966e3af8512264991f2f9388895a33d
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-07

    Fix formatting of g_strsplit to add space before parens

 libseahorse/seahorse-util.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e2092a387868e7a71db7f0c230e7b18da5bbc844
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-07

    Remove daemon autostart file from lists

 po/POTFILES.in   |    1 -
 po/POTFILES.skip |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit 8d80091e8fe708d2c7e771a797946f04b50868a9
Author: nobled <nobled@dreamwidth.org>
Date:   2010-01-20

    pgp: Make subkey creation more robust
    
    Creating subkeys depends on a hack based on the numbers gpg happens to use
    for each keytype in its UI, which can change at random with new versions.
    
    This detects the gpg version in use at runtime and sends the appropriate
    keytype selection number instead of a defined constant. Seahorse no longer
    depends on using the same gpg version as at compile-time.
    
    This also adds support for creating subkeys using gnupg 1.2.x.
    
    Closes: bgo#605967.

 pgp/seahorse-gpgme-key-op.c |   16 ++++++++++++++--
 1 files changed, 14 insertions(+), 2 deletions(-)

commit c7671f25e6c752924c1957491b9fff16f79b4e2d
Author: nobled <nobled@dreamwidth.org>
Date:   2010-01-20

    pgp: Add keytype numbers
    
    Add the keytype selection numbers used by gpg from 1.2.0
    to 2.0.14.

 pgp/seahorse-gpgme.c |   65 ++++++++++++++++++++++++++++++++++++++++++++++++++
 pgp/seahorse-gpgme.h |    8 ++++++
 2 files changed, 73 insertions(+), 0 deletions(-)

commit e992586c5058b4639c422c02818bd0665030791f
Author: nobled <nobled@dreamwidth.org>
Date:   2010-01-20

    libseahorse: Add version string parsing

 libseahorse/seahorse-util.c |   28 +++++++++++++++++++++++++++-
 libseahorse/seahorse-util.h |    4 ++++
 2 files changed, 31 insertions(+), 1 deletions(-)

commit e53ff18f839871a60eb70d450062c5a1f357f046
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-07

    Updated Spanish translation

 po/es.po |   33 +++++++++++++++++++++++++--------
 1 files changed, 25 insertions(+), 8 deletions(-)

commit 395506b50e0a60aea0c73397f98ee918a48fe153
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   2010-01-25

    Drop daemon autostart file
    
    Do not install an autostart desktop file for the daemon any more. It takes a
    lot of CPU resources on startup, and is not needed for most day to day
    operations. The SSH/GPG agent functionality does not need it at all, and for
    the GUIs (seahorse-preferences and the nautilus plugins) a slightly increased
    startup cost is a small price to pay for getting a faster desktop startup.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=608012

 configure.in                         |    1 -
 daemon/Makefile.am                   |    8 --------
 daemon/seahorse-daemon.desktop.in.in |   13 -------------
 3 files changed, 0 insertions(+), 22 deletions(-)

commit 4dcbc1f5bac4331b5bef5f3a15b839bba9fd8925
Author: Mario Blättermann <mariobl@gnome.org>
Date:   2010-02-07

    Updated German translation

 po/de.po |  171 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 91 insertions(+), 80 deletions(-)

commit ba8bcf321291f8cd8f91ba60e1f05ebcdbea300c
Author: Adam Schreiber <sadam@gnome.org>
Date:   2010-02-07

    Bug 608010 - Crashes if autostart desktop file is not present
    
    Update eggdesktopfile.[ch] from libegg/smclient

 libegg/eggdesktopfile.c |  103 +++++++++++++++++++++++++++++++++-------------
 libegg/eggdesktopfile.h |    8 +++-
 2 files changed, 80 insertions(+), 31 deletions(-)

commit c388601bf88412756621e4382c691829bc903ab0
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2010-02-01

    Adds a DBus interface to create keys
    
    User name, email address and comments can be passed over DBus. The only
    dialog being shown is the password creation dialog.

 daemon/seahorse-service.c     |   72 ++++++++++++++++++++++++++
 daemon/seahorse-service.h     |    3 +
 daemon/seahorse-service.xml   |    7 +++
 pgp/seahorse-gpgme-dialogs.h  |   14 +++++-
 pgp/seahorse-gpgme-generate.c |  111 ++++++++++++++++++++++++++++++----------
 5 files changed, 178 insertions(+), 29 deletions(-)

commit c6681cd99a4bfbeb5ada3e396accb06a378a67d5
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-09-14

    changed GPG_ERR_CANCELED to GPG_ERR_BAD_PASSPHRASE

 pgp/seahorse-gpgme-key-op.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8e37fabd89fcfd3fe0f267e2cc5d9563d2365aa7
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-08-22

    Error windows after the third wrong pasword is displayed now.

 pgp/seahorse-gpgme-key-op.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit b2e176fe36424efcf2a78a543a377e50a1789ef3
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   2010-02-07

    Updated Thai translation.

 po/th.po |  361 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 187 insertions(+), 174 deletions(-)

commit 2d7ad2bc35cfe2c957e32997e8808cf9e2fae609
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   2010-02-01

    Updated Spanish translation

 po/es.po |  402 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 207 insertions(+), 195 deletions(-)

commit 6a85f6e93660ccb6a9943feab9a858b2db861252
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   2010-02-01

    Updating Estonian translation

 po/et.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 3e560335a4dc44dc2f1b5cb8e251505a26961c2c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-01-31

    Updated Norwegian bokmål translation

 po/nb.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 148848196cbb292e337b727f475d230e221b2c76
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   2010-01-29

    Fixed: POTFILES.in references non-existing file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=608248

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit f4c06b573b20172bbbbd44634fdf6bfc830eb427
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   2010-01-29

    Updated Bengali translation

 po/bn.po | 6116 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 3065 insertions(+), 3051 deletions(-)

commit 16b5de56416f64f2f3a65ed7ec965bb783eda7c9
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   2010-01-28

    Fixed typo in daemon/seahorse-service-crypto.c
    
    https://bugzilla.gnome.org/show_bug.cgi?id=608256

 daemon/seahorse-service-crypto.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c06b59c95921d3ae12e9262a1451f4ab6c422f97
Author: Ivar Smolin <okul@linux.ee>
Date:   2010-01-28

    Updating Estonian translation

 po/et.po |   62 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 34 insertions(+), 28 deletions(-)

commit d92ff4314c64c5366693ce7f9850221ce7c1db47
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   2010-01-27

    Updated German translation

 po/de.po |  379 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 196 insertions(+), 183 deletions(-)

commit 17d9d43ca6aa6f4c885db48a3ddd38b0810c4233
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   2010-01-27

    Updated Slovenian translation

 po/sl.po |  506 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 260 insertions(+), 246 deletions(-)

commit 369fb7930f91edbd671f5c8757c1ceeb5607b787
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2010-01-26

    Updated HACKING file

 HACKING |   21 ++-------------------
 1 files changed, 2 insertions(+), 19 deletions(-)

commit 287fa9c4925e1e4faa8a4f97c6b9bf9682039895
Author: Alexander Shopov <ash@contact.bg>
Date:   2010-01-25

    Updated Bulgarian translation

 po/bg.po |  363 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 180 insertions(+), 183 deletions(-)

commit 9bf8b84ebcbb9cfadae7decae0c7d9ea8de611c6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   2010-01-22

    Updated Norwegian bokmål translation

 po/nb.po |  385 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 191 insertions(+), 194 deletions(-)

commit 6bfb8025ed42f47748b6d83d604a4fa71aec61df
Author: Stef Walter <stef@memberwebs.com>
Date:   2010-01-21

    Use GTK+ GtkEntryBuffer for secure password entry.
    
    Remove our own copy of GtkEntry, and use the new GtkEntryBuffer
    in GTK+ 2.18. Bump requred GTK+ version.

 common/Makefile.am                  |    4 +-
 common/seahorse-secure-buffer.c     |  196 +++
 common/seahorse-secure-buffer.h     |   57 +
 configure.in                        |    2 +-
 gkr/seahorse-gkr-add-item.c         |   20 +-
 gkr/seahorse-gkr-item-properties.c  |   50 +-
 libseahorse/Makefile.am             |    1 -
 libseahorse/seahorse-passphrase.c   |   44 +-
 libseahorse/seahorse-prefs.c        |    1 -
 libseahorse/seahorse-secure-entry.c | 3007 -----------------------------------
 libseahorse/seahorse-secure-entry.h |  187 ---
 11 files changed, 322 insertions(+), 3247 deletions(-)

commit a066a303e4a167f107eeb981d3b4a7f9c96f3331
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2009-12-21

    Adds Dbus commands to encrypt/decrypt files
    
    This adds the DBus commands EncryptFile and DecryptFile to process a file and store
    the results in another file.  The second file will be overwritten. These commands
    are meant to allow people to encrypt/decrypt binary data using DBus commands.

 daemon/seahorse-service-crypto.c   |  417 ++++++++++++++++++++++++++++--------
 daemon/seahorse-service-crypto.xml |   20 ++
 daemon/seahorse-service.h          |   16 ++
 3 files changed, 367 insertions(+), 86 deletions(-)

commit 8330d061885ce133d3b6dd8792879b167f7a82d1
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   2010-01-17

    Updated Dutch translation

 po/nl.po | 1202 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 622 insertions(+), 580 deletions(-)

commit 3233b32ff70566ce1c7da61388a3087a9e58a960
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   2010-01-04

    Updated asturian translation

 po/ast.po | 2930 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2930 insertions(+), 0 deletions(-)

commit 8c8323351679826a47035c74ec3c5ff429f66f0e
Author: Xandru Armesto Fernandez <xandru@softastur.org>
Date:   2010-01-04

    Added asturian language

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8572a86718b4f8d07417713eafe597ba7b09c165
Author: Matthias Clasen <mclasen@redhat.com>
Date:   2010-01-02

    Bug 604541 - wrong use of gdk_property_get
    
    Check return value of gdk_property_get before returning value.

 src/seahorse-key-manager-store.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit e329c309f8330c140acb86d270f531f2fc1cca64
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-29

    Fixed bad usage of g_strconcat: missing NULL
    
    Closes: bgo#605367

 pgp/seahorse-gpg-options.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5e233999df4fb0ee11422020a93b9577c810f128
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-24

    [release] post-release bump to 2.29.5

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 24c55a5ba010fae3a3424991132b21e1ef877539
Merge: 23d181e f98a38f
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-24

    Merge branch 'releasing-2.29.4'

commit f98a38fd3ecd1824da15c138f00bfc885832a38d
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-24

    [release] 2.29.4

 NEWS   |   14 ++++++++++++++
 README |    2 +-
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 176b907abc137ccaf9ce637c1f2792587c7321c2
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-24

    Fix distcheck with introspection

 libcryptui/Makefile.am |   24 ++++++++++++------------
 1 files changed, 12 insertions(+), 12 deletions(-)

commit 3eee55c4234f8642c0c9e17fb3ca715fa071d6d7
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-23

    Fix build after gp11 API change
    
    gp11_slot_open_session_async now takes two additional arguments.

 configure.in                        |    2 +-
 pkcs11/seahorse-pkcs11-operations.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 23d181ea19ce7c7f611c5114f811bb8c2497697a
Author: Vincent Untz <vuntz@gnome.org>
Date:   2009-12-23

    Fix build after gp11 API change
    
    gp11_slot_open_session_async now takes two additional arguments.

 pkcs11/seahorse-pkcs11-operations.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e852cb47ed77ef71610d6a87b2271271156d1029
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   2009-11-30

    Provide a man-page for seahorse
    
    Closes: bgo#592959

 src/Makefile.am |    3 +++
 src/seahorse.1  |   53 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+), 0 deletions(-)

commit b497a91cfeea3d24eab10e39ba6485754c92717f
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   2009-12-14

    Bug 604494: Don't use fixed MAXPATHLEN size buffers
    
    Use dynamic allocation instead, since MAXPATHLEN may not be
    defined on some platforms. Fixes the build on GNU/Hurd.

 pgp/seahorse-gpg-options.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit 5f42e1e9aad249cf1ed6fc018dac817cecdb12de
Author: Thorsten Sick <tsick@src.gnome.org>
Date:   2009-12-08

    Full documentation for seahorse-context.c
    
    This patch adds full documentation for seahorse-context.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 libseahorse/seahorse-context.c |  377 +++++++++++++++++++++++++++++++++++++++-
 1 files changed, 375 insertions(+), 2 deletions(-)

commit d4089fc45bdc5423d48bbbe57655cb961bc3b48e
Author: Tao Wei <weitao1979@gmail.com>
Date:   2009-12-08

    Updated Simplified Chinese translation.

 po/zh_CN.po |  266 +++++++++++++++++++++++++++++------------------------------
 1 files changed, 132 insertions(+), 134 deletions(-)

commit b62f080b94c98ec69b68dc105c9dbe0de67fc8f7
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-12-07

    Remove underscore from enum to fix introspection generation

 libcryptui/cryptui.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1281ac54286a9e9f3450dcd11f5d8c85b65aa8b4
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   2009-12-05

    Update Romanian translation

 po/ro.po |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ed5b6c9f1280b05baf52a29f8d80cd8d8a8c6c45
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-12-04

    Initial support for introspection of libcryptui
    
    WARNING: Don't use this, it's relatively untested and there's at
    least one known bug.
    https://bugzilla.gnome.org/show_bug.cgi?id=603812

 configure.in           |   29 +++++++++------
 libcryptui/.gitignore  |    2 +
 libcryptui/Makefile.am |   52 ++++++++++++++++++++++++---
 m4/introspection.m4    |   92 ++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 158 insertions(+), 17 deletions(-)

commit e4df7d98ee6b21edc24c6af8093db3e6dc612477
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-29

    Bump version to 2.29.4

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3620093350b45fb4697bf6fd58c1dbcc613e6575
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-29

    Release 2.29.3

 NEWS         |   17 +++++++++++++++++
 README       |    2 +-
 configure.in |    2 +-
 3 files changed, 19 insertions(+), 2 deletions(-)

commit 268dae261e4ce9dedc5b377569977882db97f944
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-29

    Update my email address

 MAINTAINERS |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e02d3ecda17b82bfea5ce61739b54dd79b5de43b
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-29

    Set sane default length on keys
    
    Set to 2048 bits unless > algo max

 pgp/seahorse-gpgme-generate.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6ef33b44e8546b095c74c8b99762d3fcbcfca28f
Author: nobled <nobled@dreamwidth.org>
Date:   2009-11-29

    Bug 598203 - Generate a new RSA-sign/RSA-encrypt key in one pass
    
    This adds the option "RSA" to the top of the list of available
    key types.

 pgp/seahorse-gpgme-generate.c |    1 +
 pgp/seahorse-gpgme-key-op.c   |   13 ++++++++-----
 pgp/seahorse-gpgme-key-op.h   |    6 +++++-
 3 files changed, 14 insertions(+), 6 deletions(-)

commit 418dd39300417cd5bc8f7effdd73673fa84916e3
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2009-11-29

    Bug 599015 - Seahorse should support GnuPG 2.0
    
    Patch the configure script

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 62a391f53f6e455c3683941654519aed380b7015
Author: Pablo Castellano <pablog.ubuntu@gmail.com>
Date:   2009-11-03

    Fixed signals (they were "pressed" and must be "clicked")

 ssh/seahorse-ssh-key-properties.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2804e28c5d997c780239588467877b46cccda67b
Author: Pablo Castellano <pablog.ubuntu@gmail.com>
Date:   2009-11-04

    Added delete_event to key search dialog
    
    Before, if you closed the dialog using the top right X
    the dialog window wouldn't open again

 src/seahorse-keyserver-search.xml |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a226f506a8e428b17c2a6299919c9e912e3d85b0
Author: Adi Roiban <adi@roiban.ro>
Date:   2009-11-27

    Add po/ro.po and update LINGUAS

 po/ro.po | 2948 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2948 insertions(+), 0 deletions(-)

commit 9461aa809b350b162681d9193405c8b8b8fdd788
Author: Adi Roiban <adi@roiban.ro>
Date:   2009-11-27

    Update Romanian translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1ce79b38205830b96547cfae9283800dc2de2447
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-26

    Fix compile warnings

 libseahorse/seahorse-util.c |    3 +--
 src/seahorse-key-manager.c  |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit b076f383fc80ee50e233fb19544e9b2bcaa6032b
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-11-26

    Full documentation for seahorse-operation.c
    
    This patch adds full documentation for seahorse-operation.c.
    Static functions are commented in a non-specific way, the other functions in a GTK-Doc style.

 libseahorse/seahorse-operation.c |  284 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 279 insertions(+), 5 deletions(-)

commit 29a76c5be321061555aefd7e17273fcc215a5a61
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-11-21

    seahorse-source.c full documentation

 libseahorse/seahorse-source.c |   99 ++++++++++++++++++++++++++++++++++++++---
 1 files changed, 92 insertions(+), 7 deletions(-)

commit 702a8156ee7b4ecaff7d33d3435c9978ef3cec40
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-11-21

    update documentation for seahorse-source.h

 libseahorse/seahorse-source.h |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 52f318c4e8a0f26b7eb6e99bf8f80c8ea8ea8243
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-11-15

    seahorse-widget.c documented

 libseahorse/seahorse-widget.c |  130 ++++++++++++++++++++++++++++++++++++++--
 1 files changed, 123 insertions(+), 7 deletions(-)

commit 99e5e881df3287ff304c7240f9d610c052327a40
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-11-11

    full documentation for seahorse-keyserver-search.c

 src/seahorse-keyserver-search.c |  130 +++++++++++++++++++++++++++++++++++++--
 1 files changed, 125 insertions(+), 5 deletions(-)

commit a0dba5c66456fbcb28968fbcefe6f253d03a8e59
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-17

    full documentation for seahorse-daemon.c For the sake of completeness. This file is not very complex. Things happen somewhere else

 daemon/seahorse-daemon.c |   48 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 48 insertions(+), 0 deletions(-)

commit 2a82b9e1f02fc8f71d880c22c355242fde4056ad
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-17

    seahorse-sharing.c full documentation

 daemon/seahorse-sharing.c |   83 ++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 82 insertions(+), 1 deletions(-)

commit 003fa6b145e181ecf9c8fdafa71c58e93e049c28
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-16

    seahorse-hkp-server full documentation

 daemon/seahorse-hkp-server.c |  147 +++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 146 insertions(+), 1 deletions(-)

commit 7116e8c7b647680607c28d8a754473e60ec7b2ce
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-16

    seahorse-service-keyset full documentation

 daemon/seahorse-service-keyset.c |  108 ++++++++++++++++++++++++++++++++++++++
 1 files changed, 108 insertions(+), 0 deletions(-)

commit 0a88643393a881d7edd438c6645ba730ea88ca5c
Author: Thomas Thurman <tthurman@gnome.org>
Date:   2009-11-25

    Shavian translation

 po/LINGUAS    |    1 +
 po/en@shaw.po | 2320 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2321 insertions(+), 0 deletions(-)

commit 2a842387c4fe0cbdbe6e5d29e4d06ac106425dbd
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   2009-11-21

    Updated Latvian translation.

 po/lv.po | 4945 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 2245 insertions(+), 2700 deletions(-)

commit 31bdeb23a74f2810c4ab10e89a806a44ffba7537
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2009-11-06

    Fix #556670
    This patch can fix the error that happens when a user imports a SSH key file.
    But it doesn't fix the issue when importing from the clipboard.

 libseahorse/seahorse-util.c |   18 +++++++++++++++---
 1 files changed, 15 insertions(+), 3 deletions(-)

commit e90930b27d60c459955729d0a9620fc6405ae82b
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   2009-11-05

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 2161 +++++++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 2010 insertions(+), 151 deletions(-)

commit f89de7228f9a58eb8b1645dde369c086a1c5d200
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-11-03

    Modify the API documentation to support introspection comments

 reference/libcryptui/libcryptui-docs.sgml   |    1 +
 reference/libseahorse/libseahorse-docs.sgml |    6 +++---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 2c9bf49c8603ddfec0dd1fb8f0fece9bbcd07ccb
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   2009-11-03

    Updated Japanese translation

 po/ja.po | 1132 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 589 insertions(+), 543 deletions(-)

commit 508533c82b0e20669b916d6371d871ad06fb94e3
Author: Adam Schreiber <sadam@gnome.org>
Date:   2009-10-31

    Release 2.29.1

 NEWS         |    5 +++++
 README       |    2 +-
 configure.in |    2 +-
 3 files changed, 7 insertions(+), 2 deletions(-)

commit 2153aab3cdd457732204a4988eb13c56d52fd567
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2009-10-21

    Revert "Use g_file_info_get_content_type instead of g_content_type_guess"
    
    This reverts commit 38849c3de2465b731ac3564c5069d96b02549018.

 libseahorse/seahorse-util.c |   18 +++---------------
 1 files changed, 3 insertions(+), 15 deletions(-)

commit 38849c3de2465b731ac3564c5069d96b02549018
Author: Jeff Cai <jeff.cai@sun.com>
Date:   2009-10-21

    Use g_file_info_get_content_type instead of g_content_type_guess
    Fix #556670

 libseahorse/seahorse-util.c |   18 +++++++++++++++---
 1 files changed, 15 insertions(+), 3 deletions(-)

commit 8b327d0bf85efd0343ff56cf3b57ee28ffa5d00f
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-17

    Bump version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7d92015ee4945e360b391ad49c924a0b0d7b9d40
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-17

    Release 2.28.1

 NEWS   |   16 ++++++++++++++++
 README |    2 +-
 2 files changed, 17 insertions(+), 1 deletions(-)

commit e270921c6f712b1132d78a0885cc747f0caf69a6
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-13

    full documentation for seahorse-service-crypto.c

 daemon/seahorse-service-crypto.c |  110 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 108 insertions(+), 2 deletions(-)

commit dbc15703a35ac78efeba285d20e627f755070c73
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-10-11

    seahorse-service.c fully documented
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 daemon/seahorse-service.c |   95 +++++++++++++++++++++++++++++++++++++--------
 1 files changed, 79 insertions(+), 16 deletions(-)

commit 5f8867464217f505c825892189b1cda25c2b6950
Author: Gil Forcada <gforcada@gnome.org>
Date:   2009-10-13

    Updated Catalan translation

 po/ca.po | 1048 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 544 insertions(+), 504 deletions(-)

commit 0159fb43a1e32832fdcefa333c2abac1adf834a6
Author: Leonid Kanter <leon@asplinux.ru>
Date:   2009-10-11

    Updated Russian translation

 po/ru.po | 1073 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 562 insertions(+), 511 deletions(-)

commit 9065861cdb314a6351fe241145c73436f9252a8f
Author: nobled <nobled@dreamwidth.org>
Date:   2009-10-10

    Set usage flags during unattended key generation
    
    Add lines for "Key-Usage:" and "Subkey-Usage:" to the standard input
    to `gpg --batch --gen-key`, as documented in GnuPG's doc/DETAILS.
    
    Closes: bgo#555205

 pgp/seahorse-gpgme-key-op.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit b0cef6e39c8aa2643dd78b79f4ddf73a704e5273
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-10

    Set bits setting properly when creating SSH key.
    
    The key bit size setting was not set properly in the SSH
    key generate dialog.

 ssh/seahorse-ssh-generate.c |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit 05d133f818b574fab1a36a8f71ae14993e20e26c
Author: nobled <nobled@dreamwidth.org>
Date:   2009-10-10

    Add support for GnuPG DSA2 keys
    
    Newer versions of GPG have support for 3072-bit DSA keys
    turned on by default. This tests for supported GPG versions
    at compile-time with the new macro GPG_MICRO.
    
    Closes: bgo#594707
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 pgp/seahorse-gpgme-key-op.c |    2 +-
 pgp/seahorse-gpgme-key-op.h |   12 +++++++++---
 2 files changed, 10 insertions(+), 4 deletions(-)

commit 5773f60e19156ac4c20a9af5cd3ed15e423a7245
Author: nobled <nobled@dreamwidth.org>
Date:   2009-10-10

    Use the right macro names; create GPG_MICRO version macro
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 configure.in                |    1 +
 pgp/seahorse-gpgme-key-op.h |    4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 01a06706174d04f9e19b63892299b1d2516c1248
Author: Petr Kovar <pknbe@volny.cz>
Date:   2009-10-10

    Added Czech translation by Marek Cernocky
    
    Reviewed by: Petr Kovar.

 help/cs/cs.po | 1558 +++++++++++++++++++++++++++++++++++++++------------------
 1 files changed, 1071 insertions(+), 487 deletions(-)

commit 1e1e68896263a043334ae744b22a1d878502af86
Author: Pablo Castellano <pablog.ubuntu@gmail.com>
Date:   2009-09-09

    Prevent opening help window twice.
    
    Fixes bug #593695
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 pgp/seahorse-pgp-generate.xml |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 44b1bb974b3d3cab80171fa8f3d7e0cd906b8a32
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-10

    Remove translatable attribute from placeholder strings.
    
    Actually, we also remove the placeholder strings all together.
    It's (slightly) inefficient to have these here, and better to
    just leave them blank in glade.
    
    Fixes bug: #594269

 src/seahorse-keyserver-sync.xml     |    2 +-
 ssh/seahorse-ssh-key-properties.xml |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a9034b0d23ed3156e6a64319713f3c1cb90ac0fa
Author: Stef Walter <stef@memberwebs.com>
Date:   2009-10-10

    Fix build problem with libcryptui libraries.
    
    Fixes botched fix in commit dc8d2827...

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 433bb13701b754f3cb2c0e8b93ec8b52744685b8
Author: nobled <nobled@dreamwidth.org>
Date:   2009-09-10

    Fix subkey creation on newer GnuPG versions
    
    gpg 2.0.12 and 1.4.10 and later, changed their --edit-key options
    for creating subkeys. The prompts have changed in a backwards
    incompatible manner.
    
    Closes: bgo#594809
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 pgp/seahorse-gpgme-key-op.h |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit ec4795be0b8f1a62d078fc02e4bcf01350dd33be
Author: Thorsten Sick <thorsten.sick@email.de>
Date:   2009-09-20

    seahorse-gpgme-generate.c fully documented
    
    Signed-off-by: Stef Walter <stef@memberwebs.com>

 pgp/seahorse-gpgme-generate.c |   75 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 75 insertions(+), 0 deletions(-)

